Changes go downward, months go upward.  Please scroll to the bottom for a legend.
Changelog started January 1, 2004; Currently at $Revision: 10610 $.

SMF 2.0                                                             05 June 2011
================================================================================

June 2011
--------------------------------------------------------------------------------
 ! A necessary language file was not loaded when using read_tgz_data() function outside Packages area. (Subs-Package.php) [Bug 4732]
 ! Boards weren't sorted in the correct order in PostgreSQL when adding/editing membergroups (ManageMembergroups.php) [Bug 4737]
 ! Spaces in usernames and passwords messed up the connection string for PostgreSQL [Bug 4736]
 * Minor consistency fix on admin centre template edit page (Themes.template.php)
 * Final fix for IE8 jumpy cursor bug (Display.template.php, GenericControls.template.php, editor.css, editor_ie.css, index.css, ie6.css, ie7.css, core/Display.template.php, core/index.css, core/ie6.css, core/ie7.css)
 * Fixed W3 XHTML validation links (index.template.php, core/index.template.php) [Bug 4740]
 ! urldecoding parameters values breaks OpenID, which relies on urlencoded values for parameters.
 ! Members only with manage membergroups permission could create groups that inherit from or based of off protected groups. (ManageMembergroups.php)
 ! Members having manage membergroups and moderate forum members could register members protected groups as their primary group. (ManageRegistration.php, Subs-Members.php)
 ! Removed unreliable code for detecting forum version and copyright requirement on SSI pages. (Subs.php)
 ! CSS and JavaScript includes cache suffix updates. (many files)
 ! PHP's empty() function doesn't work too well with PostgreSQL's boolean values (ManageMembergroups.php) [Bug 4744]
 & Correction to a language string (ManagePermissions language file) [Bug 4745]
 ! Current avatar image URL was broken in profile when avatars were stored in a custom directory. (Profile-Modify.php)
 ! Minor change for better variant support (Subs-BoardIndex.php)
 * IE8 Fixes for all minor textareas, just to be sure. (twelve templates, default and core)
 * Replaced the JavaScript version compare with a better implementation. (admin.js)
 ! Replaced matchPackageVersion with a better implementation. (Subs-Package.php)
 ! Search API version check did not use proper version checking functions. (Search.php)
 & added a trademark (Manual language file)


May 2011
--------------------------------------------------------------------------------
 ! Adding new post icons didn't work properly in PostgreSQL (ManageSmileys.php) [Bug 4731]
 ! Don't try to set a temporary order for the smileys table in PostgreSQL (Subs-Db-Postgresql.php, thank you habakuk!)
 * Change of header bar classes for admin main page, core features page, and reports. (Admin template, Reports template) [Bug 4647]
 * Fix to stop linktree anchors scrunching in IE6 and IE7. (index.css) [Bug 4651]
 * Hide category links for non-collapsible categories. (BoardIndex template, index.css, rtl.css) [Bug 4652]
 * Partial fix for problems caused by category collapse/expand in some browsers. (index.css) [Bug 4639]
 & Corrected menu text for consistency. (index language file) [Bug 4648]
 * Fix for untracked validation errors with collapsed categories. (BoardIndex template)
 ! Making a board child of itself crashed the forum. (Subs-Boards.php) [Bug 4710]
 & Added the language string necessary for the above change. (Errors language file)
 ! Theme option changes were not loaded after profile changes in some cases. (Profile-Modify.php) [Bug 4675]
 * Bringing back the good, old welcome guest note along with activation link. (index template, index.css) [Bug 4703]
 ! Fixing MySQL 5.5 compatibility for a timestamp field. (upgrade_1-0.sql, upgrade_1-1.sql) [Bug 4698]
 ! Attachment mime type calcuation was ignored while upgrading from 1.0 and 1.1 versions. (upgrade_2-0_mysql.sql) [Bug 4700]
 ! Member language selection was not reset upon a language deletion. (ManageServer.php) [Bug 4641]
 * JavaScript quick topic modify did not work when quick moderation mode was 'icons'. (MessageIndex template) [Bug 4715]
 ! It was possible to create permission profiles without names. (ManagePermissions.php) [Bug 4709]
 ! Additional group changes were not tracked properly. (Profile-Modify.php) [Bug 4718]
 ! Ignore boards options were ignored in MessageIndex. (Subs-BoardIndex.php) [Bug 4719]
 ! Remove Inactive Members maintenance removed members it should not. (ManageMaintenance.php) [Bug 4716]
 ! Reserved member name check failed with HTML entities. (Subs-Members.php) [Bug 4717]
 * Minor break in PM replies fixed. (PersonalMessage template) [Bug 4713]
 * Fixed incorrect class on checkbox. Changed default removal selection to safest option.(ManageMaintenance.template.php)
 ! Fixed Webkit/Presto bug with sidebar menus enabled and deleted superfluous code from webkit.css and rtl.css (index.css, rtl.css, webkit.css)
 * A stack of minor bugfixes, primarily for better IE6 support. (many files)
 ! Categories which could not be collapsed were still given collapse links. (Subs-BoardIndex.php) [Bug 4639]
 ! Installing, upgrading and uninstalling packages were not logged in admin log. (Packages.php) [Bug 4669]
 & Added the language strings necessary for the above change. (Modlog language file) [Bug 4669]
 * It was not possible to remove avatar when selecting avatar from gallery was disabled. (Profile-Modify.php, Profile template) [Bug 4636]
 & Added the language string necessary for the above change. (Profile language file) [Bug 4636]
 ! Automated conversion of URLs to hyperlinks failed with URLs containing exclamation mark. (Subs.php) [Bug 4624]
 * Topic moderation using checkboxes did not function correctly for non-moderators. (topic.js) [Bug 4706]
 * Minor correction in admin. Fixes for sidebar menus on narrow resolution. (Admin template, Profile template, index.css)
 ! Profile updates did not load all previously saved data. (Profile.php, Profile-Modify.php) [Bug 4635]
 ! Login session data was cleared when it shouldn't have. (LogInOut.php) [Bug 4644]
 ! Login by $_GET is not needed. (LogInOut.php)
 ! Incorrect custom menu URL for unapproved posts moderation area. (ModerationCenter.php) [Bug 4728]
 ! Languages which doesn't support 12 hour time format had their 'am/pm's stripped. (Subs.php) [Bug 4720]
 & Added the language strings necessary for the above change. (index language file) [Bug 4720]
 ! Incorrect error message when attempting to remove a non-existing post. (RemoveTopic.php) [Bug 4705]
 * Tabs and line endings within code tags were not parsed correctly for some browsers. (Packages.php, Subs.php, Packages template, index.css, ie6.css, ie7.css) [Bug 4578]
 ! Upgrading from earlier versions did not update themes. (upgrade_2-0_mysql.sql) [Bug 4724]
 & Copyright and trademarks changes, and messing up [SiNaN]'s work (index language file, Subs.php)
 ! Credits updates (Who.php)
 ! Cookie shouldn't be reset. (Subs-Auth.php)
 ! Search strips so much it may end up with nothing. (Search.php)
 ! Minor smiley misalignment fixed. (index.css, core/css/index.css) [Bug 4727]
 ! Added some fixes to core, removed core ie6_rtl.css, minor correction in default/index.css (index.css, core/css/index.css, core/index.template.php)
 ! A few more copyright changes (several files)
 * Minor bugfixes. (index.css, PersonalMessage.template.php, Profile.template.php)


April 2011
--------------------------------------------------------------------------------
 ! Made functions removeEvent, getEventProperties and removeHolidays use the parameter value instead of a request variable. (Subs-Calender.php)
 ! viewquery action generated errors when necessary data was not loaded in some cases. (ViewQuery.php) [Bug 4628]
 ! Attachment links in attachment management area wasn't mod_security compliant. (ManageAttachments.php) [Bug 4629]
 * Ban creation form did not have any default triggers set. (ManageBans template) [Bug 4659]
 ! Incorrect href in news management area. (Admin.php, ManageNews.php) [Bug 4671]
 * The URL for setting theme options via JavaScript wasn't mod_security compliant. (script.js) [Bug 4701]
 ! Chrome was displaying a warning when scheduled tasks were triggered via JavaScript. (ScheduledTasks.php) [Bug 4673]
 ! 'db_create_table' package database function 'if_exists' parameter default was misleading. (DbPackages-*.php) [Bug 4672]
 ! The re-attribute posts feature was broken on PostgreSQL. (Subs-Members.php) [Bug 4676]
 ! Missing preparsecode() call for package readme files with BBC. (Packages.php) [Bug 4678]
 ! Unauthorized users were able to see warning status in some cases. (Display.php, PersonalMessage.php) [Bug 4696]
 ! Setting base_theme_dir caused undefined index errors in manage languages area. (ManageServer.php) [Bug 4634]
 ! Personal message preview did not display post errors. (PersonalMessages.php) [Bug 4653]
 ! Custom language strings were not loaded when editing theme settings. (Themes.php) [Bug 4658]
 ! integrate_modify_modifications hook should be triggered earlier in the code. (ManageSettings.php) [Bug 4638]
 ! integrate_menu_buttons hook was triggered too late in the code. (Subs.php) [Bug 4637,4670]
 * Undefined index errors when there were not any recent posts. (BoardIndex template) [Bug 4650]
 ! CAPTCHA settings were linked to the incorrect area in admin search results. (Admin.php) [Bug 4707]


February 2011
--------------------------------------------------------------------------------
 ! In some cases, you couldn't edit calendar events after upgrading to Postgres 8.4 from an older version (upgrade_2-0_postgresql.sql) [Bug 4642] 
 & Better text for attachment clearing box. (Post language file)
 ! Some custom profile fields weren't being displayed in PostgreSQL (Profile-Modify.php, upgrade_2-0_postgresql.sql) [Bug 4626]
 ! zip files decompression fix (thank you Brett!) (Subs-Package)
 ! Postgres upgrade script fix (upgrade_2-0_postgresql.sql)


SMF 2.0 RC5                                                      8 February 2011
================================================================================

February 2011
--------------------------------------------------------------------------------
 * Finalizing the help section. (Help.php, Help template) [Bug 2924]
 & Updated the help language strings accordingly. (Manual language file)
 * Help section was not displayed correctly in Core theme. (Help template, index.css) [Bug 4611]
 ! Checking for search API files could cause an open_basedir error. (ManageSearch.php) [Bug 4605]
 ! Visual verification could cause undefined index errors in some cases. (Subs-Editor.php) [Bug 4546]
 ! add_index function failed on duplicate indexes. (DbPackages-*.php) [Bug 4536]
 ! Allow search APIs to modify search settings. (ManageSearch.php) [Bug 4606]
 ! Undefined index when a non-moderator edited polls. (Poll.php) [Bug 4544]
 ! Non-existent permission profiles could cause undefined index errors. (ManagePermissions.php) [Bug 4612]
 ! Incorrect dots during upgrade with multiple script files. (upgrade.php) [Bug 4617]
 ! It was possible to add the same integration function twice. (Subs.php) [Bug 4616]
 ! Who's Online integration hook was too restrictive. (Who.php) [Bug 4615]
 * Auto suggest could not handle display names with html special characters. (suggest.js) [Bug 4604]
 ! Minor improvements to integration hooks. (Admin.php, Load.php, ManagePermissions.php, ManageSettings.php)
 ! Tabs within code tags were not parsed correctly for some browsers. (Subs.php) [Bug 4578]
 ! Validate odd URLs (QueryString, Subs.php)
 ! Users were logged out when other failed attempts to login were made (Load.php)
 ! Remove completely incorrect protection against $cachedir removal. (upgrade.php)
 ! sprintf call for support resources language string was overriden. (Admin.php)
 ! MySQL 5.5 compatibility. (upgrade from older versions to 2.0)


January 2011
--------------------------------------------------------------------------------
 ! Fixed converted passwords not recognized with encryption using md5(md5($_POST['passwrd'])) (LogInOut.php) [Bug 4584]
 & Incorrect link to Scheduled Tasks area in 'birthday_email' help string. (Help language file) [Bug 4598]
 ! Text color was lost when additional styling was applied using WYSIWYG editor. (Subs-Editor.php) [Bug 4600]
 * Replaced or removed the remaining deprecated <b> tags. (Reminder.php, PersonalMessage template) [Bug 4594]
 ! It was possible define wildcard-only censor words. (ManagePosts.php) [Bug 4574]
 ! The value of checkbox custom fields were displayed incorrectly on topic display. (Load.php, ManageSettings.php) [Bug 4601]
 ! Paid subscriptions scheduled taks should be disabled when paid subscriptions feature is disabled. (ManageSettings.php, install_2-0_*.sql) [Bug 4599]
 & Unclear help strings for post unapproved replies and attachments permissions. (ManagePermissions language file) [Bug 4561]
 & Outdated information in calendar help string. (Help language file) [Bug 4556]
 ! Post action caused errors on wap protocol, trying to load a nonexistent template. (Post.php) [Bug 4570]
 ! The check for empty body on personal message body failed in some cases. (PersonalMessage.php) [Bug 4597]
 ! Calendar maximum year was not adjusted on forums upgraded from older versions. (install_2-0_*.sql, upgrade_2-0_*.sql) [Bug 4592]
 ! Member approvals did not take account deletion requests into account when registration method is not set to member approval. (ManageMembers.php, Subs.php) [Bug 4529]
 ! News items didn't get their html special chars encoded. (ManageNews.php, thank you Ghost!)
 & Updated the area description matching the change above. (Admin language file)
 ! SSI.php did not handle guest access correctly for forums having guest access disabled. (SSI.php, ssi_examples.php)
 ! ssi_examples.php was missing padding on the sides. (ssi_examples.php) [Bug 4602]
 * Replaced the help section with a page linking to Online Manual. (Help.php, Help.template.php, index.css)
 & Updated the help language strings accordingly. (Manual language file)
 ! Integrated output buffers can use static functions in classes too (Subs.php) [Bug 4603]
 * Incorrect fallback for pm receive options when buddy/ignore lists are disabled. (Profile template) [Bug 4596]
 ! Upgrade did not update group types. (upgrade_2-0_*.sql) [Bug 4577]
 ! Protected but visible group details could not be viewed by non-admins. (Groups.php) [Bug 4525]
 ! Search returned incorrect results for database users without create_temporary privilege. (Search.php, thank you ioszilla!)
 ! Search may result in database errors for database users without create_temporary privilege. (Search.php)
 & Copyright years update (index.english.php and a few more files)
 ! SSI.php should not give information through functions called by $_GET either, if guest access is disabled (SSI.php)
 & Fixed a couple of languages strings. [Bug 4566]
 * Fixed validation error and header bar markup. [Bug 4549]
 * Fixed newsletter IE7 issue and some other IE issues. (ie6.css, ie7.css, index.css, rtl.css, ManageNews.template.php, Login.template.php) [Bug 4567]
 ! Fixed admin titlebg padding. (admin.css) [Bug 4576]
 * Missing class on some help icons. (Admin.template.php, Themes.template.php) [Bug 4580]
 ! Fixed admin submenus glitch on very narrow screens and break on edit themes page. (index.css, admin.css) [Bug 4571] [Bug 4581]
 * Incorrect id's fixed. (SplitTopics.template.php) [Bug 4582]
 * Minor markup fixes. (Profile.template.php) [Bug 4607]
 ! Fixed display of spider log title/information. (ManageSearchEngines.php) [Bug 4608]
 ! Broken function call in ManageMail (ManageMail.php) 
 * All browsers (inc.IE6) fix for adm_submenus on narrow screens. Also untracked IE6/IE7 bug for span.firstlevel. (index.css, GenericMenu.template.php) [Bug 4571]
 ! css caches preliminary updates (many files)
 * Added array flip for buttonlists to fix untracked ltr/rtl issues in IE6/7. (rtl.css, index.template.php)


December 2010
--------------------------------------------------------------------------------
 ! HTTPS cookie detection was incorrectly detected for some configurations (ManageServer.php)
 ! Check for spam with emails before sending the email. (ported from Tools, thank you Brett!) (SendTopic.php)
 & Tweaks to language strings (thank you, Akyhne!) (a few language files)
 & Tweak to language string (Admin file) [bug 4558]
 ! Minor tweaks (ModerationCenter.template.php, index.css) [Bug 4523] [Bug 4548]
 * Added ie6_rtl.css file to core theme (core/index.template.php, core/ie6_rtl.css)
 ! New css for bbc_link class, with new_win secondary removed (index.css, Subs.php)
 ! Tweak to a language string (ManagePermission file) [Bug 4564]
 ! Fixed link to pruning logs under Search Engines Settings (ManageSearchEngines.php) [Bug 4569]
 ! Fixed formatting of birthday email on mail settings page (ManageMail.php) [Bug 4573]
 ! Added timeout protection for removing posts and topics when deleting a user (RemoveTopic.php, Profile-Actions.php) [Bug 4575]
 ! Made title column for calender events and holidays larger to handle long events and holidays (install*.sql upgrade*.sql) [Bug 4583]


November 2010
--------------------------------------------------------------------------------
 & Language strings for "sent items" in PM updated. (Profile, Manual language files)
 ! Reapplied the fix of 10194, even though the cache is only cleared if using SMF's disk cache. (Load.php, Subs-Boards.php)
 * Typo (Post.template.php)
 ! array_diff_key() compatibility added - ported from bug fixes (index.php, SSI.php, Subs-Compat.php)
 ! integration hooks fix for temporary/permanent hooks - ported from bug fixes (Subs.php)
 & Added a language string for cannot_moderate_board (Errors file)
 ! Invalidate cache (as long as Load.php can be modified, at least) (Subs.php)
 ! Tweak the size regex to accept the standard valid values (Subs.php)
 ! Fixed signature padding for IE6 and IE7 (ie6.css, ie7.css) [Bug 4535]
 ! Allow fallback to non-utf8 languages for UTF8 forums, in case the corresponding UTF8 files are not installed (still prefer UTF8) (Profile-Modify.php) [Bug 4534]
 * Minor spacing tweaks for request membergroup and edit registration agreement pages. (Profile.template.php, Register.template.php, admin.css) [Bugs 4530, 4531]
 ! Typo in OpenID handling. (Subs-OpenID.php)
 ! Trivial change, to check for spam a tad bit sooner. (LogInOut.php)


--------------------------------------------------------------------------------
SMF 2.0 RC4                                                      1 November 2010
================================================================================

October 2010
--------------------------------------------------------------------------------
 * Missing icon in profile/ignore boards. Markup/css to allow large content above the linktree (Profile.template.php, index.template.php, index.css)
 * Minor cleaning up in admin. Better highlighting of search results. Defined new_win class. Better description for post options (Admin.template.php, admin.css, index.css, Post.english.php)
 * Fixed post-breaking bug in IE6 and IE7. Removed $context['right_to_left'] from two templates. (ie6.css, ie7.css, index.css, rtl.css, Display.template.php, Memberlist.template.php)
 * Fixed board selection in profile and help. Cleaned up stats markup. (Profile.template.php, Help.template.php, Stats.template.php, index.css, rtl.css)
 * Editors without BBC buttons caused JavaScript errors. (editor.js) [Bug 4475]
 * New replies added by JavaScript did not get correct backgrounds. (Post template) [Bug 4474]
 ! Nested move BBC tags caused trouble for some browsers. (Subs.php)
 ! Added default forum_width of 90% to install and upgrade files(install_2-0_mysql.sql, install_2-0_postgresql.sql, install_2-0_mysqlite.sql, upgrade_2-0_mysqlite.sql)
 ! Removed side padding from body (relying solely on forum_width setting now). Added max-width and min-width restrictions to prevent breaking. (index.css)
 ! Sorted cell borders for message index child boards table. (index.css, rtl.css) [Bug 4490]
 * Added alt text fallback for quick edit icon. Changed quickbuttons font declaration to shorthand notation. (Display.template.php, index.css, core/Display.template.php, core/index.css)
 * Removed alt text fallback for quickbuttons icons in Core. Better without as text string displays anyway. (core/Display.template.php)
 * Syntax correction for previous rev. (core/Display.template.php)
 ! CSS colour fallback for buttonlists, minor css tweaks. (index.css, rtl.css, ie6.css, ie7.css, menu_gfx.png)
 ! CSS colour fallback for catbg and titlebg. Extra bar for catbg inside roundframe. Removed excess main_block height. (index.css, main_block.png)
 * Fixed code for icons in some areas. Removed unnecessary ie6_header span from GenericList. Removed old commented out code. (GenericList.template.php, GenericMenu.template.php, Profile.template.php, Profile-Modify.php, Profile-View.php) [Bug 4489]
 ! Height fix for RTE with Opera. (editor.js) [Bug 4500]
 + Add the option to enable/disable test mode for payment gateways to the user interface. Thanks Nibogo! (ManagePaid.php) [Bug 4503]
 ! Small cleanups. (several files) [Bug 4505]
 ! Oops, yet some more formatting cleanup! Nao in action :). And other pedantic stuff. (several files) [Bug 4505]
 ! Supported database versions. (install, upgrade and convert scripts)
 ! Updated a couple of latest* files to their last version.
 * Moved CSS and JavaScript to top. (index template) [Bug 4468]
 ! Fixed an undefined variable in some cases (Subs.php)
 ! Some actions were unnecessarily logged. (index.php) [Bug 4465]
 & Who's Online language strings were missing for some actions. (Who.php, Who language file) [Bug 4465]
 ! Removed obsolete scripts and functions: FixLanguage.php and related functions in Themes.php. [Bug 4495]
 ! Moved YabbSE theme converter code to external Tools. [Bug 4495]
 ! FixLanguage.php removed, I say! :) [Bug 4495]
 ! UTF8 fixes. Thank you, Nao! (Subs.php, Subs-Post.php) [Bug 4498]
 ! One more slight change, in supported versions. (install, upgrade, convert scripts)
 ! Now MySQL versions support ENGINE, so simplify some things. (several files)
 ! Escaping potential identifiers used as column names (DbExtra-mysql.php, DbExtra-postgresql.php) [Bug 4261]
 * Clean attachment function didn't work properly on Chrome. (script.js) [Bug 4508]
 ! Incorrect usage of $smcFunc['db_insert_id'] function. (Subs-Calendar.php) [Bug 4509]
 ! Offer one last warning for admins enabling test mode for paid subscriptions. (ManagePaid.php) [Bug 4503]
 & Add a new language entry for the change above. (ManagePaid language file) [Bug 4503]
 ! Removed no longer used validate_unicode__recursive function. (QueryString.php) [Bug 4498]
 * Install script stylesheet required its own width setting. (install.css)
 * Some lists were not alternated in Subscriptions Profile area. (ManagePaid template) [Bug 4502]
 ! getBoardParents() function results were not cached. (Load.php, Subs-Boards.php) [Bug 4487]
 * Adding in some new integration hooks. (index.php, Admin.php, Profile.php, Subs-Editor.php, Subs.php, Display template, MessageIndex template)
 ! Updated credits with recent changes. (Who.php)
 ! Ensure forum_width setting for Postgres and SQLite (upgrade scripts) [Bug 4496]
 ! A few more updates to credits. (Who.php)
 & Adding a new group to credits to reflect the recent changes in the structure. (Who.english.php)
 ! One more little credits update. (Who.php)
 * Incorrect background image for Core theme last active buttonlist buttons on IE6. (index template, index.css) [Bug 4472]
 ! Brackets in username caused trailing quote to be lost on WYSIWYG toggle. (Subs-Editor.php) [Bug 4316]
 ! Ugly fix for Firefox resetting form content. (script.js) [Bug 4346]
 ! Browsers' javascript has sometimes odd ideas about expected order. :P (editor.js) [Bug 4453]
 ! Reverting 10207 for Subs.php. Should be included only if it can be properly tested.
 ! Fixed webkit unexpected behavior when setting font styles (thank you Nibogo!) (editor.js) [Bug 4511]
 ! Allow nested [size] tags - we do allow them anyway, just not in all combinations (Subs.php)
 ! censor area should only be available to admins - reported by more, including KinG-InFeT.
 ! Package servers URLs and names properly cleaned for all circumstances - reported by KinG-InFeT.
 & Adapt a language string to the changes in SMF meta keywords. (Help.english.php) [Bug 4515]
 & Notify about PostgreSQL of older and newer versions not supported in the same database. (install language file) [Bug 4214]
 ! Language files are no longer cached. (Load.php, ManageMaintenance.php, ManageServer.php, Subs.php, Themes.php)
 & Remove the note about caching from all language files. (many files)
 ! Load English version of language files as a fallback for missing language strings. (Load.php) [Bug 2743]
 * Added a new group type, protected, for too powerful groups to be managed only by true admins. (Groups.php, ManageMembergroups.php, Profile-Modify.php, Subs-Membergroups.php, ManageMembergroups template, Profile template) [Bug 3528]
 & Added the new group type language string for the change above. (ManageMembers language file) [Bug 3528]
 ! Make sure Administrator group type is set to protected on install and upgrade. (install_2-0_*.sql, upgrade_2-0_*.sql)
 ! Making sure eol-style is on all files on other directory as well. (might have been missed) (/other files)
 ! Making sure eol-style is set on all our converters as well. (/other/converters ASCII files)
 ! Fix for windows check (ManageServer.php)
 ! A safer handling of the database last error and generally writing Settings.php () [Bug 4222]
 ! Last minute: boards incorrectly retrieved (Subs-Boards.php, Load.php)
 ! Last minute: an incorrect warning (Profile-Actions.php)
 ! Last minute: adding SMF favicon. (favicon.ico)
 * Validation errors due to a typo in themes list (Themes template) [Bug 4505]
 ! On some versions of Opera the cursor wasn't displayed in WYSIWYG editor (thanks TE) [Bug 4521]
 ! Clean the entire cache on the disk, if any, during scheduled maintenance (ScheduledTasks.php)
 ! Small addition to clean_cache() documentation (Subs.php)
 ! Manage Posts area should only check for admin_forum permission. (ManagePosts.php) [Bug 4520]
 * Undefined index in Subs.php for Core theme (Display template)
 ! Mail functions broken (ManageMail.php)


September 2010
--------------------------------------------------------------------------------
 ! Source files should be UTF-8 encoded. (convert.php, Subs.php)
 ! Incorrect $smcFunc function use (Subs-Calendar.php)
 ! Removed classic and babylon files from the core (they are in their own repository now) (/Themes/classic and Themes/babylon files) [Bug 4376]
 ! Removed babylon directory (Themes/babylon) [Bug 4376]
 ! Removed classic directory (Themes/classic) [Bug 4376]
 ! Removed smflib (it is in tools repository now) (other/smflib)
 ! Removed tools (they are in tools repository now) (other/tools content)
 ! A variable was overwritten for font-size style tag, but needed later for <a> tag preservation (Subs-Editor.php)
 ! MySQL needs the autoincrement column defined as primary key (DbPackages-mysql.php) [Bug 4422]
 ! Drop the sequence if any, along with the table in Postgresql (DbPackages-postgresql.php) [Bug 4421]
 ! Improve 'who's online' behavior for a user who toggles WYSIWYG view (index.php) [Bug 4415]
 ! Re-added a couple of flock() that rev 10000, 10002 had removed. fclose() does not unlock the file on all PHP versions. (Load.php, ManageMaintenance.php) [Bug 4330]
 ! Avatars loaded from remote locations may have failed resizing in some cases (script.js) [Bug 3842]
 ! Small improvement to be more mod-friendly, a useless variable usage could have caused issues with mods (Load.php) [Bug4445]
 ! Added the optional (in 1.1 spec) assoc_type to OpenID parameters (Subs-OpenID.php) [Bug 4420]
 ! Fixed calculating steps/substeps for log_actions changes (upgrade script) [Bug 4427]
 ! Fixed avatars resized with javascript (script.js)
 * Tweaked the attachments cleaning to allow single file removals (script.js, Post template) [Bug 3559]
 & Tweaked the language string accordingly (Post english)
 ! Chose a hopefully more portable fix for cleaning file input (script.js) [Bug 3780]
 ! Cleanup - changing back all CRLF to LF (lots of files) [Bug 4439]
 ! Add attachments cleaning for IE as well, though it allows manually deleting the file input box (script.js)
 ! fetch_web_data did not properly parse a port on urls (Subs-Package.php)[Bug 4454]
 ! constructPageIndex didn't respect flexible start for compact pagination (Subs.php)
 ! Topic moderation logs were not listed on mod report details. (ModerationCenter.php) [Bug 4419]
 ! Unoptimized query for topic participation query in unread topics. (Recent.php) [Bug 4457]
 ! 'moderate_board' permission does not really make sense for guests (ManagePermissions.php) [Bug 4460]
 * Avatars and other packages removals missed session vars (Package template) [Bug 4463]
 ! Small cleanup and tweaks [Bug 4461]
 ! Fix attachments boxes cleanup for Safari [Bug 4470]
 * Variant selection was disregarded when previewing a theme. (Themes template) [Bug 4433]
 * Redirect back to the post instead of board, after reporting a post. (Display.php, MessageIndex.php, SendTopic.php, Display template, MessageIndex template) [Bug 4452]
 ! Adjusted the URL for the arin whois service to reflect its new location. (Profile-View.php) [Bug 4464]
 * Incorrect label assignment in Reattribute User Posts section. (ManageMaintenance template) [Bug 4467]
 ! Restoring moderate_board permission for guests. (ManagePermissions.php)
 * Ignored members' posts were not hidden in topic summary. (Post.php, Post template, Xml template) [Bug 4466]
 * Who's Online filters did not function correctly. (Who.php, Who template) [Bug 4462]
 * Variant selection was broken with reserved variant names. (Themes template) [Bug 4435]
 ! Cleanups and documentation fixes (many files)
 * Fixed a few minor bugs (index.css, PersonalMessage template, Display template, Sendtopic template, MessageIndex template) [Bug 4411,4434,4446,4471]
 * Yet another attempted fix for IE8 cursor bug (GenericControls template) [Bug 3354]
 * Minor typos and glitches (ProfileModify.php, ModerationCenter template, Packages template) [Bug 4436,4476]
 ! The check on package server URL for http:// prefix failed. (PackageGet.php)
 ! Incorrect parameter given for checkImageContents() on avatar uploads. (Profile-Modify.php)
 ! Members with moderate_forum permission can no longer access Manage Posts admin area. (Admin.php)
 * All new replies added via JavaScript were marked as ignored. (Post template)
 * Fixed secret question page, and overflow error in admin menus (index.css) [Bug 4405]
 ! index.php in avatars directories was caught in a loop (avatars/*/index.php)
 + Adding a file to avoid browsing in Themes/core/languages (index.php)
 ! Tables should be created with SMF's charset and collation (DbPackages-mysql.php)
 ! Installing as UTF8 should make all tables UTF8 (install script for MySQL)
 ! Fixing potential usage of international characters in attachments filenames (Subs.php)
 ! smf_table_structure() should be consistent for Postgres as well as MySQL (thanks feline!) (DbPackages-postgresql.php) [Bug 4425]
 ! Fixed missing global $smcFunc in prepareIndexes function (SearchAPI-Custom.php)
 ! $smcFunc['db_list_indexes'] was broken for SQLite. (DbPackages-sqlite.php)
 - remove getOuterHTML(), outdated javascript function (script.js) [Bug 4284]
 
 
August 2010
--------------------------------------------------------------------------------
 * The new replies template for preview JavaScript was using outdated post layout. (Post template) [Bug 4387]
 * "new" images for new replies inserted by JavaScript were not removed once the post is no longer unread. (Post template) [Bug 4397]
 ! PM ignore settings were ignored. (Subs-Post.php) [Bug 4401]
 ! File counts for attachment directories were counted wrongfully. (ManageAttachments.php) [Bug 4381]
 ! Unnecessary logouts following password conversion. (LogInOut.php) [Bug 4365]
 ! Missing sub template caused premature termination of the script instead of displaying error. (Errors.php, Subs.php) [Bug 4402]
 ! Approvals by quick moderation were not logged properly. (MessageIndex.php)
 * Got the last of th smalltext in (MessageIndex template)
 * Applied "fix" to (Stats template) [Bug 4403]
 * Fixed submit button bug in (PersonalMessage template)
 ! It was possible to use custom e-mail functionality even when e-mail address was not found. (SendTopic.php)
 * E-mail icon was displayed for guests who did not have e-mail address information. (Display template, PersonalMessage template) [Bug 4362]
 & Incorrect last login date for recent watched members who never logged in. (ModerationCenter.php, ModerationCenter template, ModerationCenter language) [Bug 4406]
 * Incosistency in handling color of erroneous field captions between PHP and JavaScript. (Post template, Xml template) [Bug 4343]
 ! Passing an incorrect pm id on conversation mode could cause errors in the log. (PersonalMessage.php)
 ! Pm search results listed incorrect URLs for pms when using conversation mode. (PersonalMessage.php) [Bug 4351]
 * Previewing generated unlimited topic replies when there were new replies to topic while posting. (Post template) [Bug 4389]
 * The warning for new replies while posting did not take deleted posts into account. (SSI.php, Display.php, Post.php, Display template, Post template, Xml template) [Bug 4400]
 * The warning for new replies while posting did not consider replies displayed by previewing as read. (SSI.php, Display.php, Post.php, Display template, Post template, Xml template) [Bug 4354]
 ! Links were corrupted when additional formatting was applied on WYSIWYG mode. (Subs-Editor.php) [Bug 4372]
 ! Fixed Postgresql error at search as messages [Bug 4391]
 ! Fixed error on Profile stats - Postgresql (thank you Nibogo! as usual lately :) ) [Bug 4393]
 ! Implemented a simple MySQL-like behavior for REPLACE for Postgresql (Subs-Db-postgresql.php) (bug 4062)
 ! Corrected the buggy implementation of attachments security fixes for Postgresql (upgrade script for Postgresql) (bug 4268)
 ! Fixes for buddy lists: added the right setting enable_buddylist for upgrade (upgrade scripts), and a setting to avoid reseting user settings by running queries twice (install script) (bug 1451)
 ! Upgrade for Postgresql should be working now (bug 4412)
 ! Fixed an issue with the previous delivery (upgrade scripts for mysql and sqlite)
 ! Undefined error when upgrade may need to chmod files (upgrade.php)
 * Replaced incorrect use of substr with $smcFunc['substr'] (Calendar template) [Bug 3738]
 * A few more fixes for using internationalized substr/strlen (ManageCalendar, ManageMail) [Bug 3738]
 ! Fixed migration of a buddy lists setting (upgrade scripts for MySQL and SQlite)
 ! Fixed a couple of issues with the RSS feeds optimization (News.php) [Bug 4428]
 ! More fixes to use internationalized substr/strlen (more files) [Bug 3738]

 
July 2010
--------------------------------------------------------------------------------
 ! Incorrect password was passed to integrate_reset_pass hook when password was changed. (Profile.php) [Bug 3986]
 + Allow adding multiple functions for integration hooks. (Many files)
 ! Static class methods could not be handled properly by integration hooks. (Many files)
 ! It was not possible to pass variables by reference for integration functions. (Many files) [Bug 4246]
 * Years did not automatically collapse in statistics center. (Stats.php, Stats template, stats.js) [Bug 4011]
 ! Custom selectbox fields did not provide an empty option. (Profile.php) [Bug 4345]
 * Indenting was to be redone entirely in MessageIndex template.
 ! version_compare doesn't need 'PHP' in the comparison string. (Subs-OpenID.php)
 ! If user provides an incorrect OpenID URL, consider it a mistake, and fall back to the username/password check. (LogInOut.php, Subs-OpenID.php) [Bug 2978]
 ! $no_engine_support was wrongfully computed. (DbExtra-mysql.php, DbPackages-mysql.php, DbSearch-mysql.php) [Bug 4342]
 ! Languages were not correctly listed in language management area due to caching. (Load.php, ManageServer.php)
 ! Adding UTF-8 languages caused the English ISO pack to be listed as UTF-8. (ManageServer.php) [Bug 3656]
 ! Incorrect language file was being forced on language changes via profile. (Profile-Modify.php) [Bug 3658]
 * Links in the Messages section of Help area had incorrect URLs. (Help template) [Bug 4331]
 * Post content is lost when using the Back button in Firefox. (Post template) [Bug 4346]
 ! Fixed regression from rev 9948 where topic IDs were sometimes corrupted. (Search.php) [Bug 2201]
 ! When writing a cache file, disable file buffering and minimize time spent writing it. (Load.php, ManageMaintenance.php) [Bug 4330]
 * Clicking the Spell Check button was broken when quick modifying a post. (Display template)
 * Posters could not see their own unapproved attachments. (Display.php, Display template) [Bug 4344]
 * JavaScript verification for registration form did not use CSS for background colors. (index.css, register.js) [Bug 3844]
 ! Crashed log_errors table caused infinite loop. (Subs-Db-mysql.php, Subs-Db-postgresql.php, Subs-Db-sqlite.php) [Bug 4294]
 ! RSS and Recent Posts features sometimes showed less posts than expected. [Bug 3605]
 ! Fix for table headers breaking sometimes. (main_block.png, index.css) [Bug 3716]
 * Fixed several validation/markup/layout issues. (Admin.template.php, Packages.template.php, index.css, admin.css)
 * Got rid of remnants of align_left and align_right classes. Replaced with floatleft and floatright. (Quite a lot of files)
 * And these are the ones I missed. This should be merged with 10011 (Quite a lot of files)
 * Had dropped a layer when making new main_block from psd. Fixed, with better compression. (main_block_.png)
 * Various minor template and CSS glitches plus new stats_pie.png. (A dozen files of various sorts)
 ! Use REPLACE for SQLite. (Subs-Db-sqlite.php) [Bug 3853]
 * Finished reverting the table headers part of rev. 9966. (Themes/default/images/theme: removed titlebg.png and catbg.png)
 ! Reverted partially 9976, causing issues with PostgreSQL, and MySQL should be further tested. (DbExtra-mysql.php, DbExtra-postgresql.php)
 ! cache directory does not need to be writable during upgrade; fix potentially missing language strings during upgrade. (upgrade.php) [Bug 3834]
 ! Database error on unread replies on PostgreSQL. [Bug 4390]
 * Allow removal of attachments on posting error. (thanks TE!)[Bug 3780]
 & Added a language file entry for the attachments cleaning link. [Bug 3780]
 ! Disable non-utf8 installation for Postgresql and SQLite. (install.php) [Bug 4282]
 ! Invalid HTML markup for disabled UTF-8 option. (install.php)
 ! Allowing authors to view their own unapproved attachments didn't function correctly when guests were involved. (Display.php)
 ! Undefined index on downloading avatars. (Display.php) [Bug 4385]
 ! Hardcoded text for unknown action error. (Xml.php) [Bug 4377]
 ! Doing sub-steps were showing dots on previous entry during upgrade. (upgrade.php) [Bug 3510]
 ! Changing username did not reset the password. (Profile-Modify.php) [Bug 4358]
 * Board Index category toggle URLs were missing session ids for WAP2 and imode. (Wireless.template.php) [Bug 4394]
 * Changes to various files for cross-browser support plus some tweaks for aesthetics (Quite a few files)
 ! Cleaned up some formatting in moderation log (Modlog.php)
 * Minor tweaks to stats page and profile for consistency (Stats.template.php, Profile.template.php, index.css)
 * Fixed a bug in 10038 in send new message area (PersonalMessage.template.php)
 * Fixed small glitches with slice spans and updated topic posting samples to match Curve (Help.template.php)
 ! Minor bugfixes for quick moderation and moderation log [Bug 4384,4369]
 * Left aligned text for message index headers that have left aligned column content (MessageIndex.template.php)
 * Fixed a typo in stats table markup. Fixed indentation issue in MessageIndex.php (Stats.template.php, MessageIndex.php)
 * Removed some redundant css, added some desirable definitions for table_grid, moved all table_grid to same location (index.css)
 * Recoded Profile>Show permissions with standard table_grid, added language string (Profile.template.php, Profile.english.php)
 * Added catbg/titlebg classes to tr's for table headers, removed unnecessary smalltext classes (Stats.template.php, Memberlist.template.php)
 * Removed all remaining th class="smalltext", added missing <thead></thead> tags, fixed table indentations (fourteen templates)
 * Cleaned up css for fieldsets and legends to remove unnecessary code (index.css)
 * Fixed a php error and some indentation issues (Stats.template.php, Recent.template.php)


June 2010
--------------------------------------------------------------------------------
 ! Reverted an invalid change in the upgrader from December 2007, as ip2range() may be used by the SMF1 upgrade script. (upgrade.php) [Bug 1127,4312]
 ! Moved ip2range() from ManageBans and ManageSearchEngines to Subs.php (ManageBans.php, ManageSearchEngines.php, Subs.php) [Bug 4312]
 ! When requesting messages rather than topics in the Search feature, SMF never returned more than one message per topic. (Search.php) [Bug 2201]
 * In Ignore Boards section, having many categories could break the submit button's layout and the board list columns could be unbalanced. (Profile template)
 ! When redirecting internally inside a profile, don't specify the user ID in the URL if it's oneself. (Profile.php)
 & Moved the question mark in 'Did you miss your activation email?' out of the link. (index language)
 * Moved print media CSS to index.css and removed print.css. (index template file, index.css)
 ! Reverted a SMF2 change that could corrupt the query string in some cases. (QueryString.php) [Bug 2669]
 ! When dealing with RSS feeds, rely on the database rather than URL variables to determine the number of boards. (News.php)
 * Detailed Version Check could not handle version comparison properly. (admin.js) [Bug 3603]
 ! Uninstalling an upgrade did not set older versions as uninstalled. (Packages.php) [Bug 925]
 ! It was possible to upload two packages with the same id and version. (PackageGet.php) [Bug 925]
 ! An extra bracket broke the language handler in the admin area. (Class-Package.php) [Bug 4324]
 & More 'seperate' misspellings were fixed. (changelog, Reports.php, Subs-Calendar.php, Subs.php, MessageIndex template, Reports template, Help language)
 * Moved all .titlebg/.titlebg2/.catbg classes to tr tags in case they were attached to a td or th tag. (Calendar, Errors, Help and Recent templates)
 * Title backgrounds could be broken when text was too long. (index.css, titlebg.png, catbg.png) [Bug 3716]
 * Improved 'Registration done' confirmation message. (Register template)
 ! Editing and quick quoting a post could turn &#38; into &#38;#38; when inside html tags. (Subs-Post.php) [Bug 3736]
 ! Editing a calendar event with no topic associated would generate an error in the error log. [Bug 4329]
 & Added a confirmation for sending a report. (MessageIndex.php, SendTopic.php, MessageIndex template, index language) [Bug 4327]
 * Even when Wysiwyg mode was enabled by default, its icon wouldn't follow suit. (editor.js) [Bug 4319]
 ! Converting rich text to BBC would sometimes add extra spaces where not needed. (Subs-Editor.php) [Bug 4200]
 ! Database backup may fail for columns with reserved names. (DbExtra-mysql.php, DbExtra-postgresql.php, DbExtra-sqlite.php) [Bug 4261]
 ! Default value isn't escaped in create table/change column/add column. (DbPackages-mysql.php, DbPackages-postgresql.php, DbPackages-sqlite.php) [Bug 4326]
 ! Custom field value was not set for required on registration check, when it was not a text field. (Register.php) [Bug 4337]
 ! 'alternate' value for Unapproved Attachments list was not set. (PostModeration.php)
 * Unapproved Posts and Unapproved Attachments areas were missing bottom page index. (ModerationCenter template) [Bug 4334]
 ! Division by zero error in profile stats area with members having posts but a post count of zero. (Profile-View.php) [Bug 4336]


May 2010
--------------------------------------------------------------------------------
 ! Converting to UTF-8 might result in a syntax error in rare cases (ManageMaintenance.php) [Bug 2540]
 ! Package manager required the wrong files/folders to be writable, when custom themes files were not writable. (Packages.php) [Bug 4236]
 ! Passwords were sent as plaintext when the forum was in maintenance mode (Login template) [Bug 3908]
 ! Unapproved posts were displayed to everyone on print page (Printpage.php) [Bug 4297]
 & Membergroup changes through profile were not being logged (Profile-Modify.php, Profile language file) [Bug 3953]
 ! Package database functions were loaded more than once if initialized multiple times (DbPackages-mysql.php, DbPackages-postgresql.php, DbPackages-sqlite.php) [Bug 4190]
 ! Prevent adding self to buddy/ignore lists and always allow pms from self (Profile-Modify.php, Subs-Members.php, Subs-Post.php) [Bug 4267]
 ! Theme settings area listed current (active) theme variants instead of the variants of the theme being edited (Themes.php) [Bug 4295]
 & Correct sub template was not set for email activation notice on email change (Profile-Modify.php Register.php, Register template, Profile language file) [Bug 3950]
 * Forum width wrapper close tag was in tempate_html_below() sub template (index template) [Bug 4293]
 ! url_image_size() was called for a filesystem path on image resizing (Subs-Graphics.php) [Bug 4278]
 * It was not possible to split an unapproved post when it's the only reply in topic (Display.php, SplitTopics.php, Display template) [Bug 3552]
 * showimage() didn't work properly when message icon had hyphens in the file name (Post template) [Bug 4296]
 ! Make sure for SSI.php that the cache dir is defined (SSI.php)
 ! Removed old holidays from the install database files (install_2-0_mysql.sql, install_2-0_postgresql.sql, install_2-0_sqlite.sql)
 * Quote button should not be displayed if quote BBC tag is disabled (Display.php, Post.php, Profile-View.php, Recent.php, Search.php, Display Template, Post Template, Profile Template, Recent Template, Search Template) [Bug 4298]
 ! Check for custom cache caching that all data was written in case of low disk space (Load.php) [Bug 4255]
 ! Fixed missing help icons on couple sections under Server Settings (ManageServer.php) [Bug 4265]
 * Made the template where you select what posts to split a bit more Curvy. (SplitTopics.template.php, index.css)
 ! On browse files for manage attachments set the topic link to the message of the attachment (ManageAttachments.php)
 * Minor Curvification of the News page in the admin panel. (ManageNews.template.php)
 * Minor Curvification of the permission lists in "Simple" mode. (ManagePermissions.template.php)
 ! Make sure that $db_values parameter is passed as an array for security override option as well (Subs-Db-mysql.php, Subs-Db-postgresql.php, Subs-Db-sqlite.php, DbPackages-mysql.php, DbPackages-postgresql.php, DbPackages-sqlite.php) [Bug 3405]
 * Revised the access to moderation center (Load.php, ModerationCenter.php, Subs.php, Subs-Auth.php, ModerationCenter Template) [Bug 4058]
 & Guests reporting posts did not log email and ip, and did not support visual verification (Several source files, Several template files, Several language files, index.css, install/upgrade sqls) [Bug 4158]
 ! Updated some comments (Admin.php, ManageMembers.php, Subs-Admin.php)
 ! Mark boards as read at unread action if there are not any unread topics (Recent.php) [Bug 3231]
 * Custom profile fields broke the profile layout if displayed "with icons" and if drop downs were enabled. (Profile.template.php, index.css) [Bug 4299]
 ! Fixed extra Select query typo (ModerationCenter.php) [Bug 4300]
 ! When user does not have a valid id for validatePasswordFlood() try a redirect first (LogInOut.php) [Bug 2760]
 ! addMembersToGroup() 'auto' type assigned membergroup as both primary and additional group when primary group was available (Subs-Membergroups.php) [Bug 4274]
 ! Redirection boards were listed in list of boards for search (Search.php) [Bug 4301]
 ! When a member edited their own post, the post was not marked as read for them (Subs-Post.php) [Bug 4262]
 ! Restoring a recycled topic with new replies did not update board last message id properly (MoveTopic.php) [Bug 3742]
 ! Theme was loaded before user permissions were loaded in SSI.php (SSI.php) [Bug 4302]
 ! Linktree items in the help section pointed to the admin areas (Help.php)
 * Core's Recent template had an extra div in two places, causing xHTML errors. (core/Recent.template.php)
 & Added a better error message for attachments failing security checks (Errors.english.php, Subs-Post.php, Post.php)
 + Added configurable extensive security checks for attachments and avatars: default disabled (ManageAttachments.php, Subs-Post.php, Profile-Modify.php, language and help files)
 + Added configurable image re-encoding for attachments and avatars, for security (ManageAttachments.php, Subs-Post.php, Profile-Modify.php, language and help files)
 + Added option to create image attachments thumbnails as PNG (ManageAttachments.php, Subs-Post.php, language files)
 ! A number of fixes of attachments and avatars re-encoding and re-sizing (multiple files: Subs-Graphics.php, Subs-Post.php, and others)
 ! Added permissions check necessary for viewing memberlist (News.php) [Bug 4021]
 & Fixed punctuation on reminder mail body. (EmailTemplates language file, Profile language file) [Bug 4305]
 ! Prevent sending personal messages consisting only of BBC tags. (PersonalMessage.php) [Bug 4304]
 ! Make sure that start variables in the URL are numbers. (MessageIndex.php)
 ! Reordered some profile-related URLs to make it easier to rewrite them on the fly. (Profile-Actions.php, Profile-Modify.php, Profile.php)
 ! Calling pspell_new() when doing a search could generate an error on badly configured servers. (Search.php)
 & attachment_image_* entries shouldn't reference avatars, as they only deal with attached files. (Admin language file)
 & It was not possible to disallow smileys in signatures. (Load.php, ManageSettings.php, Profile-Modify.php, ManageSettings language file) [Bug 3254]
 ! Admin member search parameters query were broken when parameters contained wildcard characters. (ManageMembers.php) [Bug 4306]
 ! Do not rely on url_image_size() for image file type for external images. (Subs-Graphics.php) [Bug 3991]
 ! Pending account deletion notice did not show up unless registration method was set to admin approval. (Subs.php) [Bug 4269]
 & Warn the poster about silently attached temporary attachments on making a new post. (Post.php, Post language file) [Bug 4263]
 * Harmonized Error Log header with the other log pages. (Errors.template.php)
 ! If a member without permission to view profiles manually navigated to a profile, an undefined index error could occur. (Profile.php) [Bug 4307]
 * Making life easier for those random mod authors. If .description was used within .tborder (i.e, when trying to make something look good in Core) the bottom margin broke the layout. (core/css/index.css)
 * Lots of indentation fixes. Really. (Admin, Display, Help, index, ManageBoards, ManageCalendar, ManageMail, ManageMaintenance, ManageNews, ManagePaid, ManagePermissions, ManageSmileys, Memberlist, MessageIndex, ModerationCenter, Packages, PersonalMessage, Post, Profile, Recent, Search, SplitTopics, Stats and Themes templates)
 * In the credits area, validation could be broken if a group title wasn't set. (Admin template)
 * If a member didn't have all 4 messenger fields filled, ugly blank lines would show up in the topic and profile source code. (Display and Profile templates)
 * Don't waste time showing who made the last edit on a message if it's the message author. Sounds logical. (Display template)
 * A class in Quick Reply was called 'lefftext' instead of 'lefttext'. (Display template)
 * Modified Quick Reply target URL to allow for proper URL rewriting and avoid errors in rare cases where using subdomains for board URLs. (Display template)
 * Link to board URLs when listing boards in the Manage Boards section. (ManageBoards template)
 * A <div class="content"> was missing from the Convert Entities template, breaking it. (ManageMaintenance template)
 * In memberlist, specific number formatting and busy boards could end up breaking post numbers into two lines. (Memberlist template)
 * Searching with Complete Posts option enabled would mess up div ordering. (Search template)
 * replaceText() and surroundText() functions didn't work correctly in Opera. (script.js) [Bug 2964]
 ! Allow ssi_recentPosts() to specify a limit_body flag. (SSI.php)
 ! In ssi_queryPosts(), parse the body through censorText() before generating a preview. (SSI.php)
 * When an error happens early in the Quick Edit process, Mozilla can tell us what happened, so we may show the error message. (topic.js)
 * setInnerHTML and getInnerHTML are deprecated, as innerHTML has been supported by all browsers since IE4... (script.js)
 * Opera had trouble loading a function in window.onload if it had to be eval'd first. (script.js)
 ! The redirectEnabled variable was always used, but not always set in the first place. (ManageBoards template)
 * When using the auto-suggest popup and pressing the Enter key, Opera would submit the entire form. (suggest.js) [Bug 3546,4059]
 * When writing a message and switching from normal to WYSIWYG mode, Firefox and Opera would lose focus. (editor.js) [Bug 2177]
 * Fixed several minor glitches here and there (index.css, rtl.css, webkit.css, ie6.css, ManageBoards.template.php, Who.template.php)
 * More minor template/css bugs fixed. (Admin, BoardIndex, Calendar, Display, GenericControls, GenericMenu, Help, Packages, Post templates, index.css, webkit.css, rtl.css)
 * Correct indentation is good. Correct indentation can fix validation bugs. Like here. (ManagePermissions template)
 * Sidebar menu did not use menu toggle URL. (GenericMenu Template) [Bug 4309]
 ! Linked events got unnecessary time offset added on message display. (Display.php) [Bug 3699]
 ! Event end date timestamp was set incorrectly in Display.php. (Display.php)
 ! size BBC did not allow double digits after decimal separator. (Subs.php) [Bug 4308]
 ! Anchor tags without content (which are valid) were being removed with BBC clean up. (Subs-Editor.php) [Bug 2198]
 * Fixed an awful lot of extra tabs, spaces, etc in dozens of files. (changelog, convert.php, phpmyforum_to_smf.sql, install_2-0_postgresql.sql, ssi_examples.php, repair_settings.php, upgrade.php, upgrade_2-0_postgresql.sql, latest-news.js, Display.php, Load.php, ManageMaintenance.php, ManageSettings.php, PersonalMessage.php, Poll.php, PostModeration.php, Profile-Modify.php, Profile-View.php, SendTopic.php, SplitTopics.php, Themes.php, Who.php, index.css, rtl.css, PersonalMessage template in Core, compat.css, ie6.css, index.css, Display template, editor.js, stats.js, suggest.js, SplitTopics template, Who template in Curve)
 ! Removed column addition code from db_create_table(), as it was only doing half the work and could mislead mod developers. (DbPackages-mysql.php, DbPackages-postgresql.php, DbPackages-sqlite.php) [Bug 3561]
 ! Added checkExistingTriggerIP() function to test whether an IP address is already in the ban trigger list. (ManageBans.php) [Bug 4310]
 & Added language entry for that feature. Also fixed a typo and a missing sprintf in $txt['ban_name_exists']. (Errors language)


April 2010
--------------------------------------------------------------------------------
 ! Converting to UTF-8 didn't report conversion complete (ManageMaintenance.php) [Bug 4224]
 ! smf_db_add_index could cause an undefined index 'type' error (DbPackages-mysql.php, DbPackages-postgresql.php, DbPackages-sqlite.php) [Bug 4243]
 ! Properly handle auto linked FTP urls (Subs.php) [Bug 4238]
 ! A few integration functions have a return value mishandled (Subs-Post.php, Subs.php) [Bug 4246]
 ! HTML strict mode broke javascript targets (Subs.php) [Bug 4240]
 ! Use a popup box since we may have a large list of files (upgrade.php) [Bug 4114]
 + Show a confirmation message after sending a PM (PersonalMessage.php, PersonalMessage template, PersonalMessage.english.php)[Bug 4219]
 * Invalid XHTML (Profile template)
 ! Checking for subscription files could cause an 'open_basedir' error (ManagePaid.php) [Bug 4251]
 ! A third level drop menu item couldn't be limited by the 'show' permission check (Subs.php, Index template) [Bug 4252]
 ! Emails with plus signs to be banned (ManageBans.php) [Bug 3527]
 ! A few Integration bugs (Subs.php, Subs-Post.php) [Bug 4246]
 ! Signature image size checks repaired the wrong data (Profile-Modify.php) [Bug 4247]
 ! Do not unlock topics moved to the recycle bin (RemoveTopic.php) [Bug 4239]
 ! Right to Left mode didn't work as expected for our rich editor (editor.js, GenericControls Template) [Bug 4248]
 ! A few missing globals (Wireless Template, Admin Template, Profile-Modify.php) [Bug 4257,4259,4260]
 ! Safely special char our search string (Search.php) [Bug 1957]
 ! Do not hash passwords on account reactivation (LogInOut.php) [Bug 4204]
 ! Try to obtain more memory for resizing images (Subs-Graphics.php) [Bug 4234]
 ! No [table] cleanup inside of [html] (Subs-Post.php) [Bug 2368]
 ! Admin search takes into account capitals correctly (Admin.php) [Bug 4271]
 ! Int columns were always unsigned (DbPackages-mysql.php) [Bug 4277]
 ! Undefined errors on custom themes (Packages.php) [Bug 4270]
 ! Log approvals from mod center to the moderation log (PostModeration.php)
 ! Log removals from mod center to the moderation log (PostModeration.php) [Bug 4167]
 ! Fix a permissions check (RemoveTopic.php)
 ! Undefined index during UTF8 conversion (ManageMaintenance.php) [Bug 4281]
 ! Fix for the broken search on the second page when using space in the search query (Search.php) [Bug 4275]


March 2010
--------------------------------------------------------------------------------
 * A typo in the compatibility template prevented it from being used properly. (Compat template)
 * Fixed a class issue with the header in the Confirm Subscription screen. (ManagePaid template)
 * The BBcode help page was calling the obsolete bbc_highlight function; added in a replacement. (Help template)
 ! Missing global $scripturl causing undefined index errors. (Security.php)
 * Core theme: background-position takes two parameters, not three. (Core index.css)
 * Allow a simpler customization of boards and categories (MessageIndex template, BoardIndex template) [Bug 4231]
 ! Trying to view a user's stats resulted in a database error in PostgreSQL (Profile-View.php) [Bug 4229]
 ! PostgreSQL truncates results when dividing integers, which messed up percentages in profile statistics (Profile-View.php, Subs-Db-Postgresql.php) [Bug 4233]
 ! Birthdays and events were only showing on the boardindex for 2-digit months in PostgreSQL (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql) [Bug 4227]
 ! A typo broke upgrading for PostgreSQL (upgrade_2-0_postgresql.sql) [Bug 4228]
 ! Disabled profile fields were visible on Who's online template (Who template, Who.php) [Bug 4232]
 ! Trying to view unread replies caused a database error in PostgreSQL (Recent.php, Subs-Db-postgresql.php)
 ! Viewing Who's Online with a condition of "show=all" caused a database error in PostgreSQL (Who.php)
 ! Make sure the memberlist headers end with a curve, even with the Posts field disabled. (Memberlist.php)
 * A wrong message was shown after uploading a package (Packages template) [Bug 4235]
 * Invalid XHTML (ManageNews template) [Bug 4241]


SMF 2.0 RC3                                                         8 March 2010
================================================================================
March 2010
--------------------------------------------------------------------------------
 ! Counting the number of custom registration questions didn't work as expected (ManageSettings.php)
 * Invalid XHTML (GenericControls template)
 * Custom verification questions weren't properly aligned except in Curve (Core index.css, compat.css) [Bug 4212]
 * Updated the Profile-related sections of the SMF User Help section. (Help template, index.css, compat.css)
 & Changed lots of language strings accordingly. (Manual language file)
 * Added curvy headers to the group membership template. (Profile template)
 * Made Core's personal message template tableless too, reusing the markup from the Display template. (PersonalMessage template, index.css, compat.css)
 ! Force a reload of editor.js after upgrading by suffixing it with ?rc3, as browsers will keep it in their cache otherwise. (Subs-Editor.php)
 * Removed the override stylesheet for Firefox, as it is no longer necessary. (index template, firefox.css)
 ! Undefined index error in the help section for non-admins due to the createMenu function interpreting the second argument of subsection arrays for a permission key. (Help.php)
 * Increased the width of the submit button image as it was a bit too small for the registration page. (submit_bg.png)
 ! Possible undefined index error when editing polls without moderate_board permissions. (Poll.php) [Bug 4206]
 * The pie charts in the profile stats section should be filled the opposite other way in RTL mode. (stats_pie.png, stats_pie_rtl.png, rtl.css)
 ! Merging posts across different boards didn't work properly for non-admins (SplitTopic.php) [Bugs 3737, 4211]
 ! (Re)naming a field could result in an error if the field name is a reserved name. (DbPackages-mysql.php) [Bug 4213]
 ! It was not possible to hyperlink images (WYSIWYG-mode) in browsers other than IE (editor.js) [Bug 3336]
 * Don't allow labels for a single pm if we are in conversion mode (PersonalMessage template) [Bug 2293]
 ! Hide boards that do not contribute towards the post count in the 'Most popular boards by posts' panel, as the numbers may confuse users. (Profile-View.php)
 ! Forgot to escape single quotes (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql)
 ! Added an extra check on the language environment variable of the installer. (install.php)
 * Fixed the language selector not being selectable in the installer. (install.css)
 ! Escape the URL being used for the header logo - reported by cicatriz.r00t. (Load.php, index template)
 ! Remove session checks from modify and quote actions that don't require it - reported by WHK. (Post.php, Display template, MessageIndex template, Post template, Profile template, Recent template, Search template, Wireless template, topic.js)


February 2010
--------------------------------------------------------------------------------
 * The permissions layout was broken when using different languages (ManagePermissions template, admin.css) [Bug 4050]
 * When moving topics the target board name wasn't correctly displayed in Opera (index.css, compat.css) [Bug 4154]
 * Polished the ManagePermissions template slighty. (ManagePermissions template, admin.css)
 & Rephrased the ban expiration time notice so it is less personal. (index language file)
 ! The allowedTo function wasn't called correctly due to a typo (Profile-Actions.php) [Bug 4192]
 * Fixed iframe alignment issues on admin CSS editing page with IE7 (Themes template) [Bug 4153]
 * Sending PMs in wireless mode caused an implode error (Wireless template)[Bug 3980]
 * The message layout was broken on Firefox when using very long words (firefox.css) [Bug 4111]
 ! Memberlist didn't order by online status correctly for non moderators (Memberlist.php) [Bug 3990]
 ! Choose Theme was missing the LinkTree (Themes.php) [Bug 4134]
 * Allow custom style and class on additional rows (GenericList.template.php)
 ! Added some extra security checks. (Several files)
 * Added a few missing button classes. (Packages template)
 ! Sometimes a reply isn't shown as new. (Subs-Post.php) [Bug 4189]
 ! Reading halfway into a topic would mark it as fully read. (Display.php, Subs-Boards.php) [Bug 4189]
 ! Mark unread moves up one post each time. (Subs-Post.php) [Bug 4189]
 ! Maintain unread logs even after splitting a topic. (SplitTopics.php) [Bug 4189]
 ! When reminding members of activation, the activation emails would not contain the activation code for manual activation. (ManageMembers.php)
 ! Make sure the smf_prepareScriptUrl is being used to encapsulate the scripturl. (script.js) [Bug 4067]
 ! Redirect invalid poll edit requests. (Poll.php) [Bug 4194]
 ! Spiders weren't detected properly with caching enabled. (ManageSearchEngines.php) [Bug 4195]
 * Alternate between windowbg and windowbg2 when viewing mod reports in the moderation center. (ModerationCenter.php, ModerationCenter template)
 * Synchronised Core's help template with Curve's. (Help template, index.css, compat.css)
 & Removed redundant language entries. (Manual language file)
 ! Detect nginx as server software. (Load.php) [Bug 4191]
 ! With WYSIWYG disabled, it was not possible to select the same combobox item twice in a row. (editor.js) [Bug 4036]
 * Optimized the styling of additional rows. (various source files, index.css, compat.css)
 * Hide empty custom profile fields in the profile summary. (Profile template) [Bug 3895]
 * The headers in the statistics center were looking a bit off. (index.css)
 * Greatly improved general usability by aligning submit buttons consistently to the right. (various templates)
 * Show the birthday email preview as plain text instead of text fields, to prevent it from being interpreted as editable. (ManageMail.php, Admin template)
 * Improved the usability of the Issue Warning screen. (Profile template)
 * Made the Edit Poll and Edit Event screens more consistent throughout the forum. (Poll template, Post template, index.css, compat.css, rtl.css)
 ! Disabling notifications of items awaiting approval should include group request approvals. (Profile-Modify.php) [Bug 3927]
 ! When generating a thumbnail on the fly, don't forget to store the mime type and extension, too. (Display.php)
 ! When regenerating a thumbnail, make sure to remove the old one. (Display.php) [Bug 4037]
 ! Make it harder for flash files to be used inline. (Display.php) [Bug 3979]
 ! Improved regular expression detection and reencode all suspicious image attachments. (Profile-Modify.php, Subs-Graphics.php, Subs-Post.php) [Bug 3484]
 ! Restructured the Subs-Graphics functions to reduce code duplication. (Subs-Graphics.php)
 ! Prevent HTML entities from being used as reserved names. (Subs-Members.php) [Bug 4127]
 ! A downloaded UTF8 language pack wouldn't have its content listing split correctly. (ManageServer.php)
 ! Increase the height of the editor slightly in several places. (PersonalMessage.php, Post.php)
 * The error log wasn't displayed correctly in RTL mode. (Admin template, index.css, rtl.css)
 * Tweaked the admin login screen slightly. (index.css, Login template)
 * Slightly enhanced the looks of the quick reply and post forms. (index.css, rtl.css, Display template, PersonalMessage template, Post template)
 ! Fixed an issue in IE6 and IE7 causing an 'Operation aborted' message to be shown when using the autosuggest control. (script.js, suggest.js) [Bug 3304]
 ! Do a better job at hiding non-UTF8 language packs where UTF8 is favored. (Load.php, ManageServer.php) [Bug 3657]
 ! When updating entries in the built-in language editor, at least save a placeholder when the user clears a string. (ManageServer.php)
 ! Updated the SSI poll and topic functions to output easily targetable HTML, having presentable inline styles. (SSI.php) [Bug 4039]
 & Reworded the description for the nested quotes removal feature. (Admin language file, Help language file) [Bug 3866]
 ! Don't use kick_guest when there aren't any template layers set. (Security.php) [Bug 3930]
 ! In the print topic view, redirect to the boardindex if no valid topic id is provided. (Printpage.php)
 * Use 'Guest' as name if a post was reported by a guest. (ModerationCenter.php, Moderation template) [Bug 4158]
 ! The SQL function find_in_set wasn't being properly used in several cases, causing type conflicts in PostGreSQL. (several files) [Bug 4064]
 * Updated the findmember dialogue to match Curve's look and feel. (Help template) [Bug 4160]
 ! The function setting a session cookie wasn't respecting the configured session timeout and domain. (Subs-Auth.php) [Bug 3915]
 * Added board ID to the quick reply form to prevent session timeouts. (Display template) [Bug 3915]
 ! Various fixes for the webinstall script. (webinstall.php) [Bug 4105]
 ! The stylesheet preview iframe was not working correctly since the introduction of multiple stylesheets. (Themes template) [Bug 2717]
 * Re-introduced blue bars in the statistics center as the old bars felt out of place. (Stats template, index.css, rtl.css)
 * Divide the list of boards on the search and ignore boards screens by amount of boards, not categories. (Profile template, Search.php)
 ! Date formatting was hardcoded in the View Stats area of the Profile section. (Profile-View.php, Profile template) [Bug 3835]
 * Core's GenericMenu template was still using tables, causing overflow problems. (Subs-Menu.php, GenericMenu template, index.css, rtl.css, compat.css)
 * Replaced the 'my' icon in participation icons with some friendlier looking ones. (topic/my_*.gif)
 ! install.php was still using the old version of find_in_set(), causing a couple of warnings in PostgreSQL (install.php)
 * Tweaked the installer to fit better on a small display (install.css) [Bug 3771]
 * The profile statistics center was calculating the amount of posts by board incorrectly, resulting in off pie charts. (Profile-View.php, Profile template, Profile language file) [Bug 3896]
 * Vastly improved the usability of the profile statistics center by presenting its information more akin to SMF 1.1. (Profile-View.php, Profile template, index.css, rtl.css, compat.css, ie7.css) [Bug 4198]
 ! Prevent usage of %e on Windows servers, as strftime may fail altogether if we do. (Subs.php) [Bug 3892]
 * Updated the pie chart sprite image used in the profile stats center to blend in better. (stats_pie.png)
 * Tweaked the padding of the (wysiwyg) editor slightly, so it looks the same in both wysiwyg and non-wysiwyg mode. (editor.css, editor.js, index.css) [Bug 2178]
 ! Hide contact details of users for guests by default on new installs. (install_2-0_mysql.sql, install_2-0_postgresql.sql, install_2-0_sqlite.sql)
 ! In the popular boards panels, don't calculate percentages relative to the maximum activity; it only causes confusion as to what they represent. (Profile-View.php, Profile template)
 ! When moving boards, try to do a better job at determining whether move links are needed for a certain board. (ManageBoards.php) [Bug 3664]
 ! Upgrading still didn't work quite right in PostgreSQL (upgrade_2-0_postgresql.sql)
 ! inet_aton() croaked with invalid input in PostgreSQL (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql) [Bug 4063]
 * Slight tweak to the button_strip template to make individual buttons more easy to target. (index template, Compat template)
 * In a topic, linked events were shown slightly off if the topic was also linked to a poll. (index.css, compat.css)
 ! Improve handling of tags inside the legalise_bbc function. (Subs-Editor.php)
 ! Added recursion protection of inline links in the parse_bbc function. (Subs.php) [Bug 3984]
 * Aligned the quick modify template to the left. (Display template)
 * IE7 requires us to add a width to the encapsulated elements of the stats bars, too. (Stats template)
 * Replaced the rectangular poll bars with the blue stats bars used in other areas. (Display.php Display template, index.css, rtl.css)
 * Updated the member list template to blend in better with Curve. (Memberlist template, index.css)
 * Fixed some oddities with panel heights for the statistics center in IE6. (ie6.css)
 * Redirect as expected after removing a member's post via the Show Posts area of a profile. (RemoveTopic.php, Profile template) [Bug 4209]
 ! Calendar events not linked to a topic would not appear on the board index for non-admins. (Subs-Calendar.php) [Bug 4208]
 ! Order custom profile fields alphabetically upon saving, as there currently isn't an option to prioritize them. (ManageSettings.php)
 ! Redirect invalid post form requests. (Post.php)
 * Made the poll options slightly more user friendly. (Post template, Poll template, index.css, rtl.css, compat.css, Post language file)
 & Duplicate language key 'poll_results_expire'. (FixLanguage.php, Post language file, Post template, Poll template)
 * The 'Show permissions' area in the profile section was somewhat glitchy in the Core theme. (index.css, compat.css)
 ! Custom profile fields in the "Forum Profile" section didn't work in PostgreSQL (Admin template, install_2-0_*.sql, upgrade_2-0_*.sql)
 ! Don't allow sending PMs to banned accounts or accounts pending deletion. (Subs-Post.php) [Bug 4073]
 ! Do not allow sending PM reports without doing a session check. (PersonalMessage.php)
 * Added row color alternation and curvy headers to generic lists; removed some hardcoded alternation. (GenericList template, various source files)
 * Added some curvy corners to table headers in various sections. (ManagePermissions template, Packages template, PersonalMessage template)
 * Made the various theme listings in the admin center more consistent. (Themes template)
 * Made the border color of fieldsets consistent throughout the Curve theme. (index.css)
 * Removed the 'calendar_how_edit' help link from Curve's board index, as it's become very self-explanatory in Curve. (BoardIndex template)
 * When managing boards, show only the first ~30 boards for large categories while overflowing the rest (i.e. scrollbar). (admin.css)
 ! Better detection of first and last subsection, taking RTL into account. (Subs-Menu.php)


January 2010
--------------------------------------------------------------------------------
 ! Updated copyright and all other instances of 2009 to 2010 (146 files)
 ! Don't send Happy Birthday emails to banned members (ScheduledTasks.php) (Reported by Yahmez)
 * Don't lose the u=123 part in the url when saving account details (Profile.template.php) [Bug 4124]
 * Fixed a couple of IE6 bugs and altered markup slightly for more flexible styling (Profile.template.php, Display.template.php, Recent.template.php)
 ! The calendar could sometimes predict the wrong week numbers for years with 53 weeks (Calendar.php, Subs-Calendar.php)
 ! Some wireless improvements (wireless.css, Wireless Template)
 ! Calendar missing previous/next month if your in the min/max year. (Calendar.php) (Reported by TheDragon)
 ! Missing session vars in admin linktrees (Admin.php) [Bug 3985]
 * Config_vars, invalid xhtml when using title, extra tabs/spaces with most options (Admin.template.php) [Bug 3904]
 ! Google may attempt to follow out of date reporttomodoerator links with split/merging topics (SendTopic.php) [Bug 4147]
 ! CPF's wouldn't render newlines for textarea when parse_bbc wasn't allowed (Profile.php)
 ! Require on registration wouldn't work for Checkboxes, radios and select boxes (Register.php) [Bug 4049]
 ! Install utf8 support check for PostGreSql wouldn't always work (install.php) [Bug 4061]
 ! Optimizing one table with Sqlite optimizes them all (install.php)
 ! Bug with set names to utf8 in install (install.php) [Bug 4112]
 ! The list used for managing attachment paths could exceed the template's boundaries. (ManageAttachments.php) [Bug 4132]
 + Ability to do alternate styling of quotes - for all permutations (Subs.php, index.css) [Bug 3920]
 * Altered css for blockquote and code classes (index.css)
 * Debyted some images, got rid of redundant images, adjusted css slightly (index.css and sundry icons)
 * Make truetype elements somewhat more readable. (index.css)
 * Install script looked very broken in IE6 (install.css) [Bug 3824]
 * Made the PM send template more consistent with the Post main template. (PersonalMessage template)
 * Fixed a lot of misaligned header bar icons/text in IE6 (ie6.css, many template files)
 * The Toggle icon wasn't properly aligned (GenericMenu template, index.css, compat.css) [Bug 4030]
 * Opening the topic split page could result in an undefined index error. (SplitTopics.php)
 * Made the 'select posts to split' screen slightly more usable by presenting messages differently and using lists instead of tables. (SplitTopics.php, SplitTopics template, Xml template, index.css, compat.css) [Bug 3899,4069]
 * Adjusted the header bar markup in order to make it work better in every major browser. (index.css, various template files)
 * The statistics center was no longer collapsing years automatically. (Stats template) [Bug 4011]
 * Fixed a stack of IE6 bugs in admin and elsewhere (index.css, admin.css, ie6.css, several templates)
 * Show additional buttons when viewing PM's in conversation mode to make the differences in behaviour more clear. [Bug 1748]
 ! Broke Search with an unneccessary strtr (Search.php) [Bug 4149]
 * The new search results page was looking a bit off in the Core theme. (Search template)
 ! The search page would sometimes exclaim too trivial search terms were used when there were in fact no terms at all. (Search.php)
 ! No. of verification questions can't exceed no. of actual questions (ManageSettings.php) [Bug 4066]
 * Packages - find/replace popup allowed code to exceed the container (admin.css)
 ! When searching, catch practically empty message previews in time, so we don't end up wasting space on the search results page. (Search.php)
 ! m.id_board must be in repair_boards groupby or will cause postgresql error (RepairBoards.php) (Reported by MegaByte)
 ! Disable the wywiwyg editor on Android, iPhone and iPod devices. (Load.php, script.js, editor.js) [Bug 4020]
 * Fixed some more IE6 bugs and tweaked profile styling (index.css, ie6.css, several templates)
 * Extensive Help.template changes (index.css, Help.php, Help.template.php, Manual.english.php)
 ! Adding an IP to a ban might fail if it has leading or trailing whitespace. (ManageBans.php)
 ! Setting the time threshold absurdly high would break the forum. (ManageSettings.php) [Bug 4157]
 * Fixed Core Help.template & fixed some IE6 glitches (core/index.css, default/index.css, both Help.templates)
 + Allow toggling of full size versions of resized images. (theme.js)
 * Use scrollbars if a quote box's contents exceed its width. (index.css)
 ! Do a better job at creating unique column keys for custom profile fields. (ManageSettings.php) [Bug 4034]
 ! The installer caused an undefined index error when the ftp path was not properly recognized (install.php) [Bug 4163]
 ! Overhauled the SSI examples page to make use of the Curve theme and new SSI functions. (ssi_examples.php) [Issue 4168]
 * Added some air between BBC buttons and smileys on the post screen. (index.css)
 * The news fader caused a JS error in some browsers. (index.css, compat.css) [Bug 4150]
 ! Fixing polls without a topic resulted in an undefined index error. (RepairBoards.php)
 & Made the edit board section slighty more user friendly by adding a few captions. (ManageBoards language file, ManageBoards template)
 * Made the destination of the (!) links for unapproved posts somewhat more predictable. (BoardIndex template, MessageIndex template)
 * The IP list in the Track IP section wasn't displaying properly. (Profile template, index.css, compat.css)
 ! Moved a few settings between the General and Layout screens in the Feature Settings area. (ManageSettings.php)
 ! Added classes to the various image and link tags generated by loadMemberContext to ease styling. (Load.php)
 ! Processing large batches of email via cron was running PHP out of memory (mailQueueCron.php)
 * Adjusted the error log styles to make it significantly easier to style. (ManageErrors.php, Errors template, admin.css)
 * Don't float additional rows of generic lists to the right. (index.css) [Bug 4171]
 * Fixed a scrolling issue in the manage profile field section. (Admin template)
 ! When manually approving members, activation emails would not contain the link for manual activation. (ManageMembers.php, Register.php)


December 2009
--------------------------------------------------------------------------------
 * Some button strips weren't properly reversed in RTL mode. (rtl.css) [Bug 4045]
 * Handle linktrees slightly different to ensure correct behaviour in RTL languages. (index template, index.css, rtl.css) [Bug 4045]
 * Give disabled text input elements a different background color in the Curve theme. (index.css)
 ! Some avatar setting fields could not be edited due to a typo in a javascript function call. (ManageAttachments.php) [Bug 4051]
 * Calendar week view wasn't respecting the 'show days numbers as link' setting. (Calendar template)
 ! Escape invalid file names from being used - reported by WHK (ManageErrors.php)
 ! Package Flushing was missing a session check - reported by sirdarckcat (Packages.php, Packages template)
 ! Language management needed session check improvements - reported by cicatriz.r00t (ManageServer.php, Admin template)
 ! Post Settings was missing a session check - reported by sirdarckcat (ManagePosts.php)
 ! Language search was not properly escaped - reported by sirdarckcat (ManageServer.php)
 ! Multiple settings pages did not check the session (Manage*.php, Admin template, ManageSearch template)
 ! Load average balancing could cause undefined index errors (Profile-View.php) [Bug 4023]
 ! Profile xml data needed a permission check (News.php) [Bug 4021]
 * Non-gd Captcha needed an extra character (GenericControls template)
 ! The sourcedir wan't always defined in the third step of the install process. (install.php)
 ! Subtext for karma_good was set to icq so it remove it (Profile-Modify.php)
 * The background colors used on the unread topics pages were inconsistent with those on the message index. (Recent template) [Bug 4056]
 * It was not possible to re-enable user theme variant selection after previously disabling it. (Themes template) [Bug 3648]
 * Revamped the show posts listings to clean it up and make it easier to read. (Profile-View.php, Profile template, Recent template, index.css, rtl.css)
 * Replaced hardcoded tabindexes in templates with dynamic ones. (several templates)
 * Changed Core css to match new profile template (index.css, rtl.css)
 * Changed identifier for Core posts and topics (core/index.css, default/Profile.template.php)
 ! Group by query optimizer could cause errors for some inserts (Subs-Db-mysql.php)
 * Updated Post.template.php to match the others (Post.php, Post template, index.css, rtl.css, core/css/index.css, core/css/rtl.css)
 * Corected a validation error for quickbuttons when logged out (Profile template, Recent template)
 * Updated Search.template.php to match the others (Search.php, Search template, index.css, rtl.css, ie7.css, ie6.css)
 * There is no #top, only #postmodify. (Post template)
 * Included the recent changes in the Core stylesheet into the compatibility stylesheet. (compat.css)
 * Cleaned up statistics center and tweaked calendar css a bit (Stats.template.php, index.css, ie7.css)
 ! Convert newlines to spaces when converting HTML to BBC in the WYSIWYG editor, as that's how browsers usually render them. (Subs-Editor.php)
 ! Try to do a better job at parsing paragraph breaks when converting HTML to BBC in the WYSIWYG editor. (Subs-Editor.php)
 ! Before trying to parse styling in html_to_bbc, remove certain HTML entities that shouldn't be there to begin with. (Subs-Editor.php) [Bug 4054]
 ! Also log member approval when requiring activation still. (ManageMembers.php) [Bug 4070]
 * Got sensible and simplified things a bit. (Post.template.php, Profile.template.php, Recent.template.php, Search.template.php, index.css, core/css/index.css)
 * Reversed the starmod.gif and stargmod.gif images to reflect their membergroup color. (default/images/starmod.gif, default/images/stargmod.gif)
 & Use "Alienine's Set" as the default smiley set's name to credit its author. (Install language file)
 ! The smiley set check was checking the wrong setting. (upgrade_2-0_mysql.sql, upgrade_2-0-postgresql.sql, upgrade_2-0_sqlite.sql) [Bug 4083]
 * Invalid XHTML, harmonized comma delineation (Packages template) [Bug 4099]
 * Improved the interface of the attachment file maintenance screen. (ManageAttachments template, Admin language file)
 * Link a member's avatar to their profile. (Display template) [Bug 3881]
 & Indicate whether we're viewing PM's as individual messages or as a conversation. (PersonalMessage template, PersonalMessage language file) [Bug 3349]
 ! An AutoSuggest object would never execute a registered onBeforeAddItem callback. (suggest.js)
 ! WYSIWYG in PMs duplicates backslashes for apostrophes. (Subs-Editor.php) [Bug 4081]
 ! Installer didn't show which files still needed to be chmod'ed. (install.php)
 ! Show proper errors in case something goes wrong during FTP commands in the installer. (install.php)
 ! Added a check whether the FTP chmod actually succeeded in the installer (install.php)
 ! Add more possible callbacks to the AutoSuggest object to allow better customisation. (suggest.js)
 * Move .1% css over to IE6 css file, and a extra semi-colon typo (index.css, ie6.css, compat.css) [Bug 3925]
 ! Incorrect pm count (requires "Recount all forum totals and statistics" to fix existing incorrect pm counts) (PersonalMessage.php) [Bug 4043]
 ! Hanging transaction in Sqlite (DbPackages-sqlite) [Bug 4086]
 * Duplicate css and misspelt class (ie6.css, index.css, rtl.css) [Not tracked]
 ! Removed even more extraneous spaces Thx Nao, (Many files) [Bug 4122]
 * Nought is nought, so remove extraneous units from (Css files) (Reported by Sverre) [Not Tracked]
 * Use shorthand color codes where possible, lowercase codes (like xhtml), have consistency with order border: width, style, color (Reported by Sverre) [Not tracked]
 ! Undefined index 'current_area' (Subs-Menu.php) [Bug 4119]
 ! Drop index for Pgl and sqlite breaks upgrade if the index doesn't exist, so use IF EXISTS (postgresql/sqlite upgrade sql files)
 * upperframe should be lowerframe, and should be catbg not titlebg (Reminder.template.php) (Reported by Brettflan & Max_74)[Not Tracked]
 ! For Newsletters use IN instead of LIKE so that mysql can use the email_address index (ManageNews.php) (Reported by Ensiferous) [Not tracked]
 * Removed extra padding on information and description classes (index.css, compat.css) [Bug 3925]
 ! db_add_column missing unsigned integer support (mysql only) (Reported by Windy) [Bug 4125]
 ! Multiple attachment dir broken (ManageAttachments.php) [Bug 4131]
 ! Administrators could still access warning area even when warnings disabled (Several source files) [Bug 4091]
 * Harmonized error messages (Admin template, Profile template, index.css, compat.css) [Bug 4019]
 * Layout was broken when banning a user (admin.css)[Bug 4085]
 * Invalid CSS (index.css) [Bug 4120]
 * Make Shortcuts work in Firefox (editor.js) [Bug 4108]
 * Chrome auto completes or empties fields when it shouldn't (profile.js, Profile.template.php) [Bug 3485]
 ! Don't waste cpu cycles on an empty string (Subs.php) [Bug 4102]
 ! Sqlite doesn't like parenthesis (upgrade_2-0_sqlite.sql) [Bug 4088]
 ! SQLite upgrade script: multi-line INSERT INTO query, use smcFuncs (upgrade_2-0_sqlite.sql, upgrade_2-0_postgresql.sql) [Bug 4089]
 ! Packages might not always create necessary directories (Subs-Package.php) [Bug 4007]
 ! Tars might extract 0kb files (Subs-Package.php) [Bug 2747]
 ! Sqlite upgrade sql missing db_prefix (upgrade_2-0_sqlite.sql) [Bug 4087]
 * Warnings were not properly aligned (index.css)[Bug 4022]
 * Code blocks should use a printable layout (Printpage template)[Bug 4116]
 ! Visual verification on qr shouldn't pass you to full post unless there was an error (Post.php) [Bug 3940]
 ! js_operations undefined index (Packages.php) [Bug 3858]
 * Non-Curve themes missing mandatory session checks in the url to remove a poll (Display.template.php) [Bug 4075]
 * Child board new icon should link to the unread action (BoardIndex Template, MessageIndex Template)
 * Missing closing brace (Packages.template.php) [Bug 4139]
 * Cannot install languages (Admin.template.php) [Bug 4138]
 * The Stats bars were broken since REV 9559 (index.css) [Bug 4140]
 ! Postgresql install broken re: replace (Subs-db-PostGreSql.php)
 ! Double semicolon (Load.php) [Bug 4143]
 ! Braces are deprecated as of PHP 5.3.0 (Several files) [Bug 4142]
 ! Make repair_settings work on 1.1 (repair_settings.php) [Bug 4130]
 * Standardized the stats bars (Stats template, Memberlist template, Profile template, index.css, compat.css, rtl.css)[Bug 4046]
 * Removed Unnecessary scrollbar and blank space in permissions list when viewing users permissions (Profile template, index.css, rtl.css, compat.css) [Bug 3874]
 * Usability improvements for the Ban Name and Ban Feason fields. (ManageBans template)
 ! error_type missing dollar sign (repair_settings.php) [Bug 4130]
 ! IE<8 have max 2083 character url length causing issues with long search strings (Search.php) [Bug 3676]


November 2009
--------------------------------------------------------------------------------
 ! Not all mail is private (Subs-Post.php) [Bug 3967]
 ! Allow forcefully sending the mail queue, even if being run by cron (ScheduledTasks.php, ManageMail.php)
 ! Previewing posts using XMLHTTP didn't send all posted information correctly, preventing smileys from being parsed. (Post template) [Bug 3961]
 ! The integration hook functionality didn't support static methods properly. (several files)
 ! Settings using select boxes could cause undefined errors. (ManageServer.php) [Bug 3972,3968]
 ! Web install would clean passwords, breaking any containing special characters. (webinstall.php)
 ! The border style of the WYSIWYG control could in some cases be improperly defined. (editor.js)
 * Post moderation permissions could not be saved. (ManagePermissions template) [Bug 3976]
 & Fixed a few typos in language files. (Help language file, ManagePaid language file)
 & Gave the list-related BBC buttons a more appropriated title. (Subs-Editor.php, Post language file) [Bug 3939]
 ! Detect other names for firefox (Load.php, script.js)
 * Change our post link color so they stand out more (index.css)
 * Removed obsolete template_profile_ignore_list_modify function. (Profile template) [Bug 3997]
 ! Dynamic pagination didn't work properly in case of urlencoded base URL's. (Subs.php, script.js)
 * The manage bans page could output invalid XHTML in some cases. (ManageBans template)
 * Highlight parent items while hovering over submenus in Curve's dropdown menus. (index.css) [Bug 4008]
 * Rewrote the text of the Getting Started part of the help section. (Help template, Manual language file)
 * Don't try to hide avatar options that aren't there. (Profile template) [Bug 3933]
 ! Users who can only see their own profiles couldn't see the subitems of the Show Posts menu. (Profile.php)
 * Don't hide posts by ignored members if the buddy and ignore lists are disabled. (Display.php, Display template) [Bug 3974]
 ! The buddy/ignore check for sending PM's was checking the wrong setting. (Subs-Post.php)
 & Show a different error message when a search string is rejected due to blacklisted words. (Search.php, Errors language file) [Bug 3998]
 * Duplicate upshrink css (index.css) [Bug 4015]
 & Missing username message was misleading (Login language) [Bug 4013]
 ! Debug mode would always empty the language cache (Subs.php) [Bug 3988]
 ! Task notifications in some cases can appear to processed in the future (ManageScheduledTasks.php) [Bug 3965]
 ! Pending details can not be empty (ManagePaid.php) [Bug 3964]
 ! Group action may show incorrect active menu link (Subs.php) [Bug 3956]
 * Our webkit post fix didn't completely fix the issue (webkit.css) [Bug 3995]
 * BBC buttons would overlap smileys (index.css) [Bug 3999]
 * Highlight would not change the text color as intended (index.css) [Bug 3996]
 ! SMF would override a post variable, which could break our integration (Profile-Modify.php) [Bug 3986]
 ! theme_variant being empty would cause double slashes in urls (Load.php, BoardIndex Template, MessageIndex Template) [Bug 3937]
 ! Theme related profile options would update even when errors occurred, which is inconsistant with other profile fields (Profile-Modify.php) [Bug 3808]
 ! Upgrading would fail for mysql4 users (upgrade.php) [Bug 3944]
 ! Do not show meta keywords, unless set. (Subs.php, index template) [Bug 3977]
 ! Users who have not set who they receive pms from would cause errors (Profile-Modify.php) [Bug 3989]
 ! Prevent undefined errors for template eval errors at end of file (Load.php) [Bug 3978]
 ! A fatal language error in loadTheme could cause a infinite loop (Errors.php) [Bug 3959]
 ! A few of our tools needed fixed (reapir_*.php, repair.php, *_backup.php, smf_api.php) [Bug 3943]
 ! Allow administrators to change their warning level (Profile.php) [Bug 3935]
 ! Ensure that our website_url field only has valid http links - reported by WHK. (Profile-Modify.php)
 ! Package server deletion was missing a session check - reported by WHK. (PackageGet.php, Packages Template)
 ! Clean our package server name of any html - reported by WHK. (PackageGet.php)
 ! Do better validation on which packages we are deleting - reported by WHK. (Packages.php, Packages Template)
 ! We only can see files in our directory - reported by sirdarckcat. (ManageErrors.php)
 ! Check our session prior to saving any moderation center settings - reported by sirdarckcat. (ModerationCenter.php, ModerationCenter Template)
 ! Only remove our vote for valid sessions - reported by sirdarckcat. (Poll.php)
 ! Rule management needed a session check - reported by sirdarckcat. (PersonalMessage.php)
 ! Package option settings didn't check the session - reported by cicatriz.r00t. (Packages.php)
 ! Permissions settings was missing a session check. (ManagePermissions.php)
 ! Poll removal was missing a session check. (Poll.php)
 ! Merging topics needed a session check - reported by ysk.sft. (SplitTopics.php, SplitTopics Template)
 ! Try to clean our attachment names better. (Post.php)
 ! Do a better job at cleaning our admin login page - reported by gabry9191. (Subs-Auth.php)
 ! Fixed a missing Smiley Settings session check. (ManageSmileys.php)
 ! The board index category collapse was missing a session check - reported by WHK. (BoardIndex.php, Subs-BoardIndex.php)
 ! The parsing of basic HTML images wasn't properly escaped - reported by sirdarckcat. (Subs.php)
 ! Smiley sets weren't properly escaped - reported by cicatriz.r00t. (ManageSmileys.php, Profile.php, Subs.php)
 ! The 'find members' delimiter wasn't properly escaped - reported by WHK. (Subs-Auth.php, Help template)
 * The Core theme was missing an image. (Themes/core/images/icons/modify_small.gif)
 * The Remove Old Posts template of the Forum Maintenance section wasn't working as expected. (ManageMaintenance template, ManageMaintenance language file)
 ! Removed the trailing <br /> for quote tags to meet expectations - this was changed unintentionally in RC2. (Subs.php)
 * Make use of theme variations in the help section's faux board index, too. (Help template) [Bug 4032]
 * Invalid XHTML was generated for custom fields above signature.  (Display template, PersonalMessage template) [Bug 4035,4041]
 * Added alternating post background classes to the Recent pages. (Recent.php)
 * Groovy up the polls for the Curve theme a bit more. (Display.php, Display template, index.css, rtl.css)
 * Altered quickbuttons.png to add a notify icon to the end with index.css amended to suit. (index.css, quickbuttons.png)
 * Added a fixed height to #move_topic dl.settings in to prevent it collapsing in IE6 and 7. (babylon/style.css)
 ! The newsletter section included an unnecessary parenthesis character in its default message body. (ManageNews.php) [Bug 4040]
 * The 'delete board' button was missing the submit button class. (ManageBoards template)
 ! Double check the sanity of URL's in parse_bbc. (Subs.php)
 * Log datatype should be tinyint (mysql install/upgrade sql) [Bug 3910]


SMF 2.0 RC2                                                      8 November 2009
================================================================================
November 2009
--------------------------------------------------------------------------------
 * The preview post could cause a JavaScript error in some browsers. (Post template) [Bug 3717]
 ! Inserting BBC in non-WYSIWYG mode was broken for some browsers. (script.js)
 ! Language selection did not show correctly in profile (Profile-Modify.php)
 ! In some cases the guest_title may not exist (Load.php) [Bug 3916]
 * IE6 and IE7 were having difficulties with the Core theme's implementation of min-height. (index.css, rtl.css)
 * Auto suggest will throw an error if the field doesn't exist (ManageBans template)
 ! Guests can't have warnings, so don't try to find them. (PersonalMessage.php) [Bug 3941]
 + Allow multiple selections in select boxes. (Admin template)
 ! Prevent the detectBrowser function from being mislead by Internet Explorer identifying itself as two different versions. (Load.php)
 ! Improved debugging of load times. (Subs-Db-mysql.php, Subs-Db-postgresql.php, Subs-Db-sqlite.php, Subs.php, ViewQuery.php, index language file)
 ! Stat collection didn't send out proper database information (Stats.php)
 ! Update the default theme's name when installing the Core theme on upgrade. (upgrade_2-0_mysql.sql, upgrade_2-0_postgresql.sql, upgrade_2-0_sqlite.sql) [Bug 3779]
 * Rewrote the 'Getting Started' part of the help section to match Curve's look and feel. (Help template, index.css)
 * Changed the way linktrees are classes in order for there to be more than three linktree instances on a page. (index template, index.css)
 * Rewrote the 'Registering' and 'Forum Tools' parts of the help section to match Curve's look and feel. (Help template, Manual language file, index.css)
 * The board selection part of the advanced search screen could break on some resolutions. (Search template, index.css, compat.css, rtl.css)
 ! Don't typecast when checking for empty variables in the View Member section of the admin center. (ManageMembers.php) [Bug 3917]
 ! In some rare cases, creating a cache file for language files failed, leading to undefined indices. (ManageMaintenance.php) [Bug 3951]
 * Curve does not support showing buttons as images, so don't offer it as an option. (Settings template)
 ! Skip separators when saving theme settings, as they aren't actual settings. (Themes.php)
 ! Make sure there's always a birthday email template set, and be consistent with it. (install script, upgrade script, ManageMail.php, ScheduledTasks.php)
 ! Fixed footer breaking due to possible invalid XHTML. (Recent template)
 ! Output additional HTML for quotes to make it possible to style them with rounded corners. (Subs.php)
 ! Time bbcode was handled improperly when editing a post. (Subs-Post.php)
 ! Buddy list used wrong permission check. (Profile.php)
 ! Store the selected filter for the Who's Online page in the session, so it may be applied again if the user revisits the page later. (Who.php)
 ! Remove the index on the hits column of the log_activity table, as it's a waste of cycles. (install SQL files, upgrade SQL files) [Bug 3960]
 ! Added three new smileys sets to the package, replacing the old ones. (Smileys/default/*, Smileys/aaron/*, Smileys/akyhne/*)
 * Updated Curve's post icons to reflect the new default smiley set. (Themes/default/images/post/*)
 ! Hide the View Results button for polls when it is no longer possible to vote. (Display.php)
 ! Include the compatibility stylesheets for themes designed for 2.0 Beta, too. (Load.php)
 ! The inline URL detection could in some cases cause bad parsing results - reported by yacg. (Subs.php)


October 2009
--------------------------------------------------------------------------------
 ! Function to create new tables wasn't working properly in PostgreSQL (DbPackages-postgresql.php) [Bug 3817]
 ! PostgreSQL doesn't support unsigned integers (DbSearch-postgresql.php)
 * Installer/Upgrader had no mention of overall/step progress (install.php, upgrade.php, install.css) [Bug 3814]
 ! Added a hidden setting to allow multiple paypal emails (Subscriptions-PayPal.php)
 ! SMF's workaround for REPLACE and INSERT IGNORE queries in PostgreSQL caused a database error (Subs-Db-postgresql.php) [Bug 3821]
 ! Fix for Bug 2963 caused some issues with managing smilies, spiders and post settings (ManagePosts.php, ManageSearchEngines.php, ManageSmileys.php) [Bug 3831]
 * Other languages caused the login screen to show a scroll bar (index.css, compat.css, ie7.css) [Bug 3832]
 & $txt['paid_add_subscription'] had a duplicate (ManagePaid language file) [Bug 3828]
 ! The menu was broken with caching enabled (Subs.php) [Bug 3837]
 ! Improved smiley parsing within BBC and fixed the issue of incorrect UTF-8 smiley parsing. (Subs.php) [Bug 3474]
 ! Updated support links to use redirects (Admin.php, Admin language)
 ! BBC restrictions in a signature can be bypassed by using uppercase letters (Profile-Modify.php) [Bug 3848]
 ! Upgrade incorrectly set collapsed categories to be autoincrement on the cat id (Upgrade-mysql.sql) [Bug 3845]
 * Those who didn't need approval to delete an account were warned, the rest were not (Profile.template.php) [Bug 3849]
 * Autosuggest failed when adding users to groups (ManageMembergroups.template.php) [Bug 3851]
 * Invalid xhtml (Admin template) [Bug 3852]
 * More invalid xhtml (Admin.template.php) [Bug 3859]
 * News fader didn't work when creating a copy of the default theme (BoardIndex.template.php)
 ! Don't show the registration form with COPPA in effect and under age registrations disabled. (Register.php)
 * The dropmenu background was sometimes too short, extend it with CSS (GenericMenu template, index.css) [Bug 3792]
 ! Changed the notice for verification after quick reply into something less obscure. (Post.php)
 * Rewrote the rest of the PersonalMessage template to match Curve's look and feel. (PersonalMessage.template.php, PersonalMessage.js)
 * Rewrote the rest of the Calendar template to match Curve's look and feel. (Calendar.template.php)
 * Fixed some spacing on Poll template. (Poll.template.php)
 * Rewrote most of the Post template to match Curve's look and feel. (Post.template.php, index.css, index.english.php)
 ! Unknown's fix for direct ip access. [Bug 3864] (Load.php)
 * Curve: the board name wasn't shown in unread and unreadreplies. (Recent template) [Bug 3867]
 * Modify ban group had to much padding. (ManageBans template) [Bug 3871]
 * The quote button was missing when quick-reply disabled. (Display template) [Bug 3875]
 * Boards were misaligned in the ignore boards section. (Profile-Modify.php, Profile template, index.css, rtl.css, compat.css) [Bug 3876]
 * Boards were misaligned in the advanced search section. (Search template, index.css, rtl.css, compat.css)
 * Revise a few templates to better match curve (Calendar, PersonalMessage, Poll and Post templates)
 ! When using MySQL, ORDER BY null was sometimes added when it shouldn't be. (Subs-Db-mysql.php) [Bug 3877]
 ! Store less information in the query string when searching the moderation log, and verify it every time. (Modlog.php)
 ! When navigating between pages in member administration, send the data being searched for in request prior to parsing, and parse it every time. (ManageMembers.php)
 * Removed a variable which was probably used for debugging (Post template) [Bug 3889]
 * The email link used wrong parameters (PersonalMessage template) [Bug 3887]
 * Collapsing a month in the statistics center wasn't saved properly. (Stats template, stats.js) [Bug 3802]
 ! Adding a new button strip wasn't working as expected in the Core theme. (index template, theme.js)
 * ManageBans used an outdated JS function (ManageBans template) [Bug 3882]
 ! Made the parsing of line breaks in textual attachments optional. (Display.php, ManageAttachments.php, Admin language file) [Bug 3865]
 ! Added an interface to set the formerly-hidden setting to disable template evaluation. (ManageServer.php, Help language file, ManageSettings language file)
 ! When creating a copy of the default theme, copy the rtl.css and theme.js files, too. (Themes.php) [Bug 3863]
 * Curve's button strips were misaligned by one pixel. (index.css) [Bug 3894]
 * Text sized via BBC was overlapping itself in some cases. (index.css)
 * Large attachments were overflowing properly in the display template. (Display template, index.css)
 * The upcoming calendar should be in small text. (BoardIndex template)
 ! Ensure the attachment permissions are verified for the correct board. (Display.php)
 * Reintegrated former fonts to BBC font select (GenericControls template) [Bug 3880]
 * Cleaned the BBC button layout (GenericControls template, index.css)
 ! dlattach caused errors when guests attempted to view them (Errors.php, Load.php, Security.php, Subs.php) [Bug 3862]
 * Incorrect verification check (Display Template) [Bug 3883]
 * Removed a gap and fixed invalid xhtml (PersonalMessage template, index.css) [Bug 3903]
 * Attachments should use a label for better usability (Post template) [Bug 3898]
 ! Warning status could display in some cases (Display.php, PersonalMessage.php, Display Template, PersonalMessage Template) [Bug 3905,3873]
 ! Use correct indexes when using db_insert (Subs-Db-sqlite.php) [Bug 3853]
 ! real_prefix didn't exist! (DbPackages-sqlite.php) [Bug 3855]
 ! Ensure that we have a column size and null values set (DbPackages-sqlite.php) [Bug 3854]
 ! Wireless users where unaware of unapproved posts (Wireless Template) [Bug 3197]
 ! Show unapproved posts/attachments in a different color (Profile-View.php, Profile Template, index.css) [Bug 3197]
 ! The theme missing check occurred after a previous check (Errors.php) [Bug 3862]
 * The signature settings page had improper alignment for the "Select All" checkbox (admin.css) [Bug 3826]
 * The "Save a copy in my outbox" checkbox was missing (PersonalMessage template) [Bug 3897]
 * A scrollbar appeared in some cases with IE8 (index.css)[Bug 3868]
 * Some profile icons were not properly aligned (Profile template) [Bug 3902]
 * The Message icon had a different padding when javascript is off (index.css, compat.css) [Bug 3711]
 ! BBC sizes without a unit weren't parsed correctly anymore. (Subs.php)
 * The custom subject was always disabled (SplitTopics template) [Bug 3914]
 * Core: hide the attachments division when there aren't any attachments to show. (Display template)
 & Properly capitalize the name of the DB software (repair_settings.php)
 ! Fixed a few JavaScript notices. (suggest.js)
 ! Fixed undefined index in case of a divergent detected URL. (Load.php)
 ! The legalise_bbc function could not be called twice. (Subs-Editor.php)
 ! Duplicate tags were not properly removed by the legalise_bbc function. (Subs-Editor.php) [Bug 3211-1]
 ! The legalise_bbc function didn't handle competing inline tags properly. (Subs-Editor.php) [Bug 3211-2]
 ! is_not_guest() isn't called on dlattach if guest browsing is disabled (index.php) [Bug 3862]
 ! Check if we can move_any topics from the recycle board (RemoveTopic.php) [Bug 3684]
 ! An extra incase sensitive check was being done to censorText (Load.php) [Bug 3922]
 ! Directories we didn't descend into were not listed (Packages.php) [Bug 3919]
 ! Package permissions did not handle custom cache directories (Packages.php) [Bug 3919]
 + Removal of "stuck" or old mail (ManageMail.php) [Feature 3913]
 ! md5_file can be slow, use another etag check (Display.php) [Bug 3886]
 ! The html_to_bbc function doesn't parse lists with only opening tags. (Subs-Editor) [Bug 3211-3]
 * The button strip was outputting empty lists if no buttons were present. (index template, Compat template)
 ! Rewrote the list processing part of the html_to_bbc function. (Subs-Editor.php) [Bug 3211-4,3724]
 * Replaced the bbc button backgrounds with brighter variants to match the post interface's background color better. (bbc_bg.gif, bbc_hoverbg.gif)
 ! Don't include code, cdata, comment or style bocks in the html_to_bbc function. (Subs-Editor.php) [Bug 3211]
 ! Make sure lists are being properly closed by html_to_bbc function. (Subs-Editor.php)
 ! In some cases a LEFT JOIN will remove filesorting (Recent.php)
 ! The editor still showed BBC buttons that were disabled. (editor.js) [Bug 3829]
 ! Prevent the BBC button bar to show a separator twice in sequence. (editor.js)
 ! Inserted lists while using the non-WYSIWYG mode in the editor, included literal newline characters. (editor.js) [Bug 3890]
 ! The autosuggest in some cases deleted selected items on form submit. (suggest.js)
 * Removed a bunch of unused images from the trunk. (various images)
 * Updated Curve's board status images to look slightly better. (on.png, on2.png, off.png, redirect.png)
 * Added a new style for the AJAX in progress bar to make it fit better in the Curve theme. (index.css, loadingbar.png)
 * Added rounded corners to the unread topics and unread replies screens. (Recent template)
 * Extended the frame image by 200px to avoid breaking the header easily. (main_block.png)
 ! In some rare cases, the {REGARDS} part of a notification message was sent in the wrong language. (Subs-Post.php)
 ! Collapsing of months wasn't saved properly (Stats.php, stats.js, script.js, Stats template) [Bug 3802]
 ! A form with an auto suggest control didn't always submit properly when pressing the enter key. (suggest.js) [Bug 3546]
 ! Viewing the error logs caused an undefined index in some PHP versions. (ManageErrors.php)


September 2009
--------------------------------------------------------------------------------
 ! Holidays need to be checked (ManageCalendar.php)
 * If a topic only contains one post it shouldn't show the split topic button (Display template) [Bug 3725]
 ! renamed functions caused a JS error (Install.php, Upgrade.php) [Bug 3683]
 ! Slow query - members topics (Profile-View.php) [Bug 3392]
 ! Some files didn't have latest copyright (install.php, upgrade.php, ssi_examples.php, ssi_examples.shtml) [Bug 3723]
 ! Shtml version had php function call (ssi_examples.shtml)
 * invalid CSS (index.css) [Bug 3727]
 * BBCode list was drawn in one line instead of multi-lines (Admin template, admin.css) [Bug 3731]
 ! Octet-stream bug, use octetstream for ie and opera otherwise they don't offer the file to download (Few files)
 ! Tables with a no. of rows divisible exactly by 250 would backup with bad sql (DbExtra-Xxx.php)
 ! IE8 bug with bouncy textareas.  Set max-width and min-width instead of width for fullreply, quick reply, quickedit etc (Few files) [Bug 3354]
 ! Warn admin to delete some files if they exist (Subs.php, index.english.php) [Bug 3728]
 ! Never redirect on login to an attachment (Few files)
 + Extreme level captcha (Subs-Graphics.php, ManageSettings.php, ManageSettings.english.php)
 ! Give creation of thumbnails more welly for large images (Subs-Graphics.php)
 * fixed 12 minor layout issues (Few files) [Bug 3729]
 * The post and pm keyinfo wasn't properly aligned (Display template, PersonalMessage template, index.css)
 + Added an interface to allow editing of load average thresholds. (Admin.php, ManageServer.php, Admin language file, ManageSettings language file)
 * Broken quick edit (Display.template.php) [Bug 3745]
 * Replaced the post-moderation icons with a proper version [Bug 3625]
 ! Split browser detection from theme loading; (index.php, Load.php) [Bug 3169]
 * Opera 10 uses 9.8 for user agent (Load.php, Script.js) [Bug 3750]
 * Invalid css (index.css) [Bug 3752]
 ! Only warn cache not writable if cache is enabled (Subs.php) [Bug 3747]
 ! Warn/prevent converting to utf8 with fulltext index. (ManageMaintenance.php, ManageMaintenance.template.php, ManageMaintenance.english.php) [Bug 3517]
 ! The recent download attachment handling changes caused a few errors (Load.php, Display.php) [Bug 3753]
 ! UTF-8 was not handled properly in parse_bbc (Subs.php) [Bug 3474]
 ! Removed an extra global variable that was done twice due to fix for bug 3753 (Display.php)
 & Don't send passwords in registration emails unless the admin registered the account, for security reasons (EmailTemplates language file)
 & Make registration emails a bit more user-friendly (EmailTemplates language file, Profile-Modify.php, Subs-Members.php)
 ! Attempt to calculate table sizes in PostgreSQL as well (ManageSearch.php) [Bug 949]
 ! Let users choose which stylesheet they wish to edit (Themes.template.php) [Bug 2716]
 & Minor language tweak to reflect above change (Themes language file)
 * Core: minor layout issues (index.css, compat.css) [Bug 3755]
 ! When installing some mods, they could throw a database error if they have already been installed once (Packages.php, DbPackages-mysql.php, DbPackages-postgresql.php, DbPackages-sqlite.php) [Bug 2963]
 * Removed a large gap on ManageAttachments (ManageAttachments template)
 * Show an ellipsis character for the active menu item if it contains subitems, too. (GenericMenu template)
 ! Accept both smf_crc32 and crc32 as a valid result (Subs-Package.php) [Bug 1220]
 + Converting to UTF-8 could break logins, attempt to store the previous charset to compat this during logins (ManageMaintenance.php, LogInOut.php) [Bug 2659]
 * The dropmenu used some outdated CSS (index.css) [Bug 3600]
 * The dropmenu didn't support IE6 yet (ie6.css)
 ! Theres only one file_hash (ManageAttachments.php) [Bug 3762]
 * Added a new area to the profile section that allows easy editing of the buddy and ignore lists. (Profile.php, Profile-Modify.php, Profile template)
 & Added a few language strings to accommodate the above; removed a few now-obsolete strings. (Profile language file)
 + Allow members to specify whose PM's they want to receive. (Load.php, Subs.php, Subs-Post.php, Profile template, Profile language file, install scripts, upgrade scripts)
 & Ignoring posts posted by those on a member's ignore list is now optional. (Display template, Settings template, Profile template, Profile language file)
 ! Fixed syntax error in upgrade for older versions of MySQL. (upgrade_2-0_mysql.sql)
 ! Merged xml_topic.js and xml_board.js into topic.js (xml_topic.js, xml_board.js, topic.js, Display template, MessageIndex template)
 * Made the PM search template in sync with the global search template. (PersonalMessage template, PersonalMessage language file)
 ! Postgresql and sqlite don't do tinyint or unsigned (install/upgrade sql files) [Bug 3772]
 ! Editing a poll caused the poll to extend (Poll.php) [Bug 3645]
 * Additional rows at the bottom of generic lists were not always displaying correctly. (GenericList template)
 ! IE<8 have max 2083 character url length causing issues with long search strings (Search.php) [Bug 3676]
 * smf_scripturl should use smf_prepareScriptUrl for previewPost (Post.template.php)
 * Load css before js for faster theme loading (index.template.php, Themes.php) [Bug 3741]
 ! Updated the poll bars to match Curve's look and feel (Display.php, Display template, index.css, i6.css, ie7.css, rtl.css)
 ! Reverted bug fix 3474 (Subs.php) [Bug 3783]
 * Make it possible to set the forum to a fixed width in both the Curve and Core themes. (index template, Settings template, index.css)
 * IE6 doesn't support multiple class selectors (few files) [Bug 3781]
 & Added a new string for showing redirect boards in the icon legend on the board index, to allow better translations. (index language file)
 * Allow users to preview a theme by clicking on its thumbnail (Themes template) [Bug 3798]
 * Removed a small gap from theme settings page (Themes template) [Bug 3793]
 ! In some cases, adding a new message icon was unintentionally replacing an existing icon. (ManageSmileys.php) [Bug 3760]
 ! PostgreSQL 8.4 doesn't like '0000-01-01' so use '0001-01-01bc' instead (install_2-0_postgresql.sql)
 ! UTF8 compatibility check wasn't always working for PostgreSQL (install.php)
 ! "Show new replies to your posts" caused a DB error in some versions of PostgreSQL (Recent.php, Subs-Db-Postgresql.php) [Bug 3764]
 * Underline links in the installer and upgrader to make them more noticeable (install.css) [Bug 3801]
 ! Changing theme settings was causing an "uninitialized string offset" error (Themes.php) [Bug 3800]
 ! Don't parse message bodies for the unread topics or unread replies screens to conserve CPU cycles, unless the theme settings say otherwise. (Recent.php)
 * Improved the linked events layout (Display template, index.css) [Bug 3806]
 * the forum history should be separate from the upper stats (Stats template) [Bug 3786]
 ! Regex could reach php stack limit and cause seg fault when generating custom index. So be less aggressive with backreferences(Search.php, Subs.php) [Bug 3805]
 ! More regex's could opt out of backreferences (19 files)
 ! Tabs in php blocks broken (Subs.php) [Bug 3813]
 ! Regex's could be optimized even futher (Several files) [Bug 3812]


August 2009
--------------------------------------------------------------------------------
 ! Hashing admin passwords didn't accept unicode characters (script.js) [Bug 3628]
 ! The ModerationCenter should load admin.css [MederationCenter.php) [Bug 3610]
 ! The LoadTemplate function expected false instead of null for not loading a template (Load.php) [Bug 3619]
 ! Quick modify was logging the author of a reply incorrectly. (Post.php) [Bug 3627]
 ! If SMF couldn't find the right language file and fell back, it would cache all other files in the fall back language too. (ManageMaintenance.php) [Bug 3622]
 ! matchPackageVersion wasn't working for all version types. (Subs-Package.php) [Bug 3603]
 ! The copyright wasn't always displayed as intended if someone wants the footer shown in SSI. (Subs.php) [Bug 2596]
 ! When adding moderators to a board using auto complete, if you didn't click the last one you lost the list. (Subs-Boards.php) [Bug 3288]
 - No longer attempt to clean up mods on upgrade until this functionality can be proved stable. (upgrade.php) [Bug 1669]
 ! Prevent the loadTemplate function to include CSS files multiple times. (Load.php)
 - Rid us of the evil known as pngfix.js (Admin.php, pngfix.js)
 * Use 8-bit PNG's instead of 24-bit PNG's for compatibilty with IE6.
 * Merged the images for the rounded corners into one file. (index.css, several images)
 * Made buttons look more like buttons again, and added a bit more padding to things. (index.css, admin.css)
 * Cleaned up the looks of the Error log. (Errors template)
 & Added an extra section to the credits area for crediting translators of the active language pack. (Who.php, index language file, Who language file)
 * Added missing CSS for the Edit Poll template (index.css) [Bug 3611]
 + Allow use of the rgb color syntax in the color tag. (Subs.php) [Bug 3646]
 * Updated all remaining references to style.css to css/index.css (several files) [Bug 3649]
 * Changed file request urls to include ?rc2 instead of ?rc1. (several files)
 ! Search min/max age should be limited to 4 digits (Search.php, Search.template.php) [Bug 3650]
 ! Do not URL decode the entire query string. (QueryString.php) [Bug 3034]
 & "The selected username has already been taken" should refer to display name (Errors.english.php)
 ! Searching for a new language was case sensitive (ManageServer.php)
 * Converted readme files, ssi_examples.pp and install.php/upgrade.php to using Curve theme (several files in Other)
 * Changed frames around theme to use one image (css/index.css, index.template, BoardIndex.template, MessageIndex.template)
 * Newsfader lacked overflow: auto for longer news (index.css) [Bug 3595]
 * Minor adjustments to paddings and markup (ManageSettings.php, Admin.template, Profile.template, Memberlist.template, css/admin.css)
 * Server stored avatars not were not aligned properly in the forum profile section. (index.css) [Bug 3661]
 + OpenID authentication now supports Diffie-Hellman key exchanges. (Subs-OpenID.php) [Bug 3654]
 ! Secure OpenID URLs were not handled quite right - thanks forum user bobjol. (Subs-OpenID.php, Subs-Package.php)
 ! The query string was still being decoded twice in some cases. (QueryString.php)
 ! Some OpenID providers gave link tags which SMF couldn't parse. (Subs-OpenID.php)
 * Cleaned up the personal message template: moved the capacity bar's styles to the stylesheet and removed a redundant table. (PersonalMessage template)
 * Attachments weren't displaying properly in Curve's Display template. (Display template)
 ! CREATE OR REPLACE FUNCTION doesn't allow you to change a function's return type (upgrade_2-0_postgresql.sql) [Bug 2657]
 * UTF-8 and Spellchecking non latin characters can cause the message body to be emptied (editor.js) [Bug 2267]
 * Swappable typo (Several files) [Bug 3651]
 * New looks for the quick reply section. (Display template)
 ! Typo, weird-sounding variables in getOnlineMemberStats (Subs-MembersOnline.php) [Bug 3644]
 * Unapproved topics weren't always styled correctly on the message index. (MessageIndex template) [Bug 3665]
 * Stats should use the same bar (Stats template, profile template, index.css) [Bug 3668]
 ! Regenerate OpenID Diffie-Hellman keys in the daily maintenance scheduled task. (ScheduledTasks.php, Subs-OpenID.php)
 ! Upgrades were failing for PostgreSQL boards due to a REPLACE query (upgrade_2-0_postgresql.sql)
 ! Incorrect function declaration for instr() (install_postgresql.sql)
 ! Make sure to authenticate before making some profile changes, even when using OpenID. (index.php, Profile.php, Profile-Modify.php, Subs-Auth.php, Subs-OpenID.php, Profile template) [Bug 3166]
 ! Admins can now use OpenID. (Security.php, Subs-Auth.php, Login template, Admin language file)
 ! Changed the name attribute of all OpenID forms to "openid_identifier" as per the OpenID spec. (several files)
 ! New OpenID URLs must be authenticated before switching an account to them. (Profile-Modify.php, Subs-OpenID.php, Errors language file)
 * Added a missing curve to Linked events (Display template) [Bug 3675]
 * Removed a gap beside the left button lists (index.css) [Bug 3666]
 ! Upgrade.php didn't have the necessary meta charset (Upgrade.php) [Bug 3677]
 ! Slow query - counting users using each theme resolved with an extra index (Install/upgrade sql files) [Bug 3659]
 ! Slow query - sort by member_name or poster_name (Mysql install/upgrade sql files) [Bug 3602]
 ! A tiny int breaks big things (Postgresql/Sqlite sql files) [Bug 3672]
 ! is_numeric can mistakenly think 9e45032019 is numeric (DbExtra-xxx.php) [Bug 3679]
 ! Infinite time limit is bad (convert.php, upgrade.php, Display.php) [Bug 3597]
 ! Don't redirect for www. when using SSI. (Load.php) [Bug 3663]
 ! Move translator credits to who file (Who.php, Who.english.php, Index.english.php) [Bug 3642]
 * The advanced PM search wasn't properly aligned (PersonalMessage template, index.css) [Bug 3685]
 * Revamped the Reattribute User Posts screen (ManageMaintenance template) [Bug 3687]
 * The memberlist stats bar was pushed onto separate lines (Memberlist template) [Bug 3686]
 * Removed a large gap before the packages advanced area (Packages template) [Bug 3688]
 ! UTF-8 support was still a bit buggy in PostgreSQL (install.php) [Bug 3175]
 * The "edit_options" screen had "profile" text in a couple of spots even though it's not always used in the profile area (PersonalMessage.php, Profile template) [Bug 3689]
 ! repair_settings had missing logo and some error warnings (repair_settings.php)
 ! 2 x Slow queries - attachment related. Kill two birds with one -stone- index (install/upgrade sql files) [Bug 3613] [Bug 3616]
 ! Missing an index for postgresql and sqlite (install/upgrade sql files)
 ! Slow query - related ips (install/sql files) [Bug 3617]
 ! After a repair if we've created a Salvage board suggest they recount the statistics, and redirect them. (RepairBoards.php, Admin template, Admin language file)
 ! If there are polls without topics, create a topic in the Salvage board (RepairBoards.php, ManageMaintenance language file)
 ! Reminder causes undefined indexes (Subs.php) [Bug 3690]
 ! Group By without order by causes filesorts (Subs-Db-Mysql.php) [Bug 3691]
 & Viewing the administration center (Who.english.php) [Bug 3694]
 ! Slow query - SSI board news (Install/upgrade sql files) [Bug 3615]
 ! Optimizing one sqlite table optimizes them all (ManageMaintenance.php, ScheduledTasks.php) [Bug 3141]
 * Don't tick before your content is ready for it (Profile.template.php) [Bug 3604]
 ! Re: not added to titles when splitting topics (SplitTopics.php) [Bug 3601]
 & Salvaged poll typo (ManageMaintenance.english.php) [Bug 3697]
 * Show a proper indication for sticky/locked topics (MessageIndex template, index.css) [Bug 3695]
 * Moved and merged install.css and update.css to Themes/default/css. (install.css)
 ! No specifying a package to upload should result in better error message (PackageGet.php, Errors.english.php)
 ! Reverse routine and database in ManageMaintenance options (Admin.php, ManageMaintenance.php) [Bug 3701]
 ! Changed the theme settings page to be more user friendly by reordening and separating its settings. (Themes.php, Themes template, Themes language file, Settings template)
 * Invalid xhtml (ManagePaid template) [Bug 3709]
 * Re-organized the Issue warning screen (Profile template) [Bug 3703]
 * The popup link was missing with only popup smileys enabled (Post template, GenericControls template, PersonalMessage template) [Bug 3706]
 * Core: fixed a JS error when expanding a months log stats (Stats template) [Bug 3708]
 * Register new member via acp had a large gap with sidebar enabled (index.css) [Bug 3710]
 * Long usernames got cropped (index.css) [Bug 3282]
 ! Missing a free result when converting to utf8. (ManageMaintenance.php) [Bug 3700]
 ! Thumbnails not removed on removing attachment (ManageAttachments.php) [Bug 3653]
 ! BBcode inside code, nobbc, php blocks would convert when switching to switching (SubsEditor.php) [Bug 3333]
 ! Searching for members would fail as we weren't searching with htmlspecialchar'd value (Memberlist.php, ManageMembers.php) [Bug 3714]
 ! Google + verification was listing a bunch of 4.0.x errors in WebmasterTools, so send a transparent pixel instead (Register.php) [Bug 2626]
 * Core: fixed various layout bugs (Recent template, index.css) [Bug 3707]
 * Inclusion of script.js used the wrong path for new themes based on curve (Index template) [Bug 3698]
 * Core: Fading part of the fader didn't work (index.css) [Bug 03529]
 ! Google Adsense bot filling up logs with no_access errors (Several files) [Bug 1894]
 * Remove linktree inline option from Core, but make sure to provide it for Classic (Settings.template.php)
 ! Browse screen can have invalid (inflated) page count (ManageAttachments.php) [Bug 3671]
 ! Slow query - watched users caused by unneeded ORDER BY (ModerationCenter.php) [Bug 2174]
 ! 'Task' for $_GET, $_POST or $_REQUEST will cause conflict with integrations (ManageScheduledTasks.php) [Bug 3635]
 * Tabs were broken with large logo (index.css) [Bug 3719]
 ! Set 'nohtml' as the default input mask of custom profile fields, as we run them through htmlspecialchars() anyway. (Profile-Modify.php)
 & Cleaned up the edit profile field page by splitting off a few descriptions into help popups. (Admin template, Help language file, ManageSettings language file)


July 2009
--------------------------------------------------------------------------------
 ! Sqlite error no such column: variable (Subs-Db-Sqlite.php) [Bug 3259]
 - Removed inline link tree option from babylon, curve and core (Settings.template.php) [Feature 3174]
 ! Firefox broke our access keys so FF users will have to use shift+alt+s (Help.template, Post.template.php, Personal Message.template.php) [Bug 3558]
 ! Validate previewing a message better (Post.php, index.php)
 ! In some rare cases, the cookie did not get updated with the new session id (Subs-Auth.php) [Bug 1183]
 ! If WYSIWYG editor was disabled, this could cause resizing to fail (editor.js)
 ! phpsessionid may not be always be stored in the cookie (Subs-Auth.php) [Bug 3570]
 ! JumpTo doesn't strip HTML from active option (Display.php, MessageIndex.php) [Bug 3565]
 ! Sending newsletter wasn't logged as an admin action (ManageNews.php, Modlog.english.php) [Bug 3571]
 ! Undefined $memID (Register.php)
 ! Multi-theme install breaks package installing (Packages.php) [Bug 1576]
 * Curve: Links seem to have 100% width on BoardIndex, pushing (!) down. (forum.css) [Bug 3568]
 ! Package actions should be cleaned better (Packages.php)
 ! Break up long words would fail for UTF-8 and do some optimization (Subs.php) [Bug 3365,2520,2666]
 ! Upgrading had some errors for CLI (upgrade.php)
 ! Registering a member via admin should force sending password to email if we're randomly generating it (ManageRegistration.php, Register.template.php) [Bug 3577]
 ! Sending PMs not using indexes so add index on real_name (install/upgrade sql files) [Bug 3110]
 ! When checking simplemachines.org, suppress the fsockopen/fclose error (install.php, upgrade.php)
 ! WYSIWYG - Basic Html enabled - <a> link when toggled is only half converted (Subs.php) [Bug 2952]
 * Added language string for shorter/abb send pm text string, mainly for non-english languages (Profile.template.php, Profile.english.php) [Bug 3481]
 ! upgrade had a few failing queries for mysql 4.1 and didn't quite work with CLI still (upgrade.php)
 ! Changed mail priorities (Several files) [Bug 3513]
 + Slow query on showPosts so add an index on id_member, approved, id_msg (install/upgrade files) [Bug 1742]
 * When WYSIWYG was disabled we were missing event listener handlers helping with resizer (editor.js) [Bug 3534]
 ! Upgrade sql update query was buggy (upgrade_2-0_mysql.sql)
 & Email Activation/Admin Approval string changed (Login.english.php, Help.english.php)
 ! Wrong recount when topic has at least 1 approved and 1 unapproved post (ManageMaintenance.php) [Bug 3424]
 & Use "Modification Settings" to avoid confusion with Package Manager (Admin.english.php)
 ! Spiders would be mis-detected in sqlite/postgresql (ManageSearchEngines.php, Subs-Db-Sqlite.php, Subs-Db-PostGresql.php) [Bug 3143]
 ! Upgrading could re-add all the same spiders (upgrade_2-0_mysql.sql, upgrade_2-0_postgresql.sql, upgrade_2-0_sqlite.sql) [Bug 3179]
 - Removed Yahoo (Publisher) spider (upgrade_2-0_mysql.sql, upgrade_2-0_postgresql.sql, upgrade_2-0_sqlite.sql)
 ! Missing comma caused sql error (install_2-0_mysql.sql) [Bug 3580]
 & Clearing cache isn't a link its a button/function so re-wrote the language string (ManageMaintenance.english.php) [Bug 3581]
 + Slow query on display/pagination so add an index on id_topic, id_msg, id_member, approved (install/upgrade files) [Bug 1741]
 ! Sqlite error messages when optimizing are not useful (Subs-Db-Sqlite.php, Errors.english.php) [Bug 3177]
 ! Slight/changes/re-order inner joins for faster performance on recent topics query (Recent.php) [Bug 1941]
 ! Typo preventing sql from working on upgrade (upgrade_2-0_mysql.sql) [Bug 3587]
 ! Install queries for spiders hadn't been updated (install_2-0_mysql.sql, install_2-0_postgresql.sql, install_2-0_sqlite.sql) [Bug 3588]
 * The Printpage template was still using old CSS selectors for code and quote blocks. (Printpage template)
 - Removed the fonts-compat stylesheet, as it is no longer considered a necessary. (lots of files)
 ! Login username match could cause collation errors. (LogInOut.php)
 ! Small JavaScript fixes/cleanup (several JavaScript files)
 ! Non mod actions didn't uninstall in other themes (Packages.php, Subs-Package.php, Packages Template, Packages English) [Bug 3573]
 ! Wireless mode should support reply to all (Wireless Template, Wireless English) [Bug 3596]
 ! Increased the version number to SMF 2.0 RC2.
 * Switched the Curve and Core themes, putting Curve in the default folder and splitting out Core to its own. (core theme, default theme)
 * Merged all user frontend styles into one stylesheet: index.css. style.css is no more. (default theme)
 ! The upgrade script will add the Core theme to the database if the registered SMF version is lower than 2.0 RC2.
 * Rewrote the PersonalMessage template to match Curve's look and feel. (PersonalMessage.template.php, index.css, quickbuttons.png)
 * Just because post_event isn't convertered to Cuve, doesn't mean we should remove it (Calendar Template) [Bug 3609]
 ! Old column names prevented the core and curve switchout from working properly (upgrade_2-0_*.sql)
 * The help icon wasn't properly aligned (GenericMenu Template) [Bug 3608]
 ! Fixed undefined index error in case the theme loader wants to show an XML template. (Load.php)
 ! Centralize the saveEntities JavaScript function. (script.js, Display.php, Calendar template, Display template, PersonalMessages template, Poll template, Post template)
 ! Prevent non-unique message icons to be sent to the template, as they are causing a JavaScript error. (Subs-Editor.php)
 ! The JavaScript function php_to8bit didn't capture all 8-bit character set characters.  (script.js) [Bug 3004]


June 2009
--------------------------------------------------------------------------------
 * Curve: rewrote the ManageMembers template to match Curve's look and feel. (ManageMembers.template.php, admin.css)
 * Added some more padding to memberlist search (memberlist.css) [Bug 3415]
 * Curve: rewrote the MoveTopic template to match Curve's look and feel. (MoveTopic.template.php, forum.css, MoveTopic.php)
 & Showing week numbers in the calendar is no longer optional, as they're needed for the linktree anyway. (Calendar.php, ManageCalendar.php, ManageCalendar language file) [Bug 3475]
 & Do a better job at handling the page titles in the calendar section. (Calendar.php, index language file) [Bug 3475]
 & Removed some hardcoded span tags from the ManageMembers langauge file. (ManageMembers.english.php)
 * Curve: rewrote the ManageBans template to match Curve's look and feel. (ManageBans.template.php, admin.css)
 * Curve: rewrote the ManageNews template to match Curve's look and feel. (ManageNews.template.php)
 * color: orange should use a hex value instead to css validate (style.css, index.css) [Bug 3483]
 * Profile shouldn't show signature space if no signature is set (Profile.template.php) [Bug 3478]
 ! Manage Members could detect the same duplicate members more than once (Subs-Members.php)
 ! Fatal error doesn't release the form for re-submitting (Post.template.php, Post.php) [Bug 3374]
 ! Show username in profile summary (Profile.template.php) [Bug 3477]
 * Provide backwards compatbility for older themes on recent sesc/sc changes (script.js, xml_topic.js, xml_board.js)
 * Curve: rewrote the ManageMembergroups template to match Curve's look and feel. (ManageMembergroups.template.php)
 * Curve: rewrote the ManageSearch template to match Curve's look and feel. (ManageSearch.template.php, admin.css)
 * Curve: rewrote the ManageSmileys template to match Curve's look and feel. (ManageSmileys.template.php)
 ! Cleaned up some repeated unsets (Many files)
 ! Added two hidden mod settings for scheduled tasks, now allowing for custom delays and for an external cron script to process the queue (ScheduledTasks.php, Load.php, mailQueueCron.php)
 ! Make WYSIWYG and quick reply also use the saveEntities method (Subs-Editor.php, Display.template.php) [Bug 2450]
 ! Unread wasn't showing all unread topics, and for new users all topics should be shown unread (LogInOut.php, Recent.php) [Bug 3164]
 * In IE hitting enter will not submit the form with one textbox and one submit button (Admin.template.php) [Bug 2104]
 * Quick Login Setting didn't work for login boxes in theme header (index.template.php) [Bug 3305]
 * this.opt doesn't exist yet, so relocate the backwards compatibility check (script.js) [Bug 3488]
 ! Try to buy more time when processing large pages from WYSIWYG (Subs-Editor.php) [Bug 3422]
 * Old font tags needed euthanizing (Help.template.php) [Bug 3120]
 ! When Uninstalling mods, use some more relevant titles (Packages.english.php, Packages.template.php, PackagesGet.php) [Bug 3466]
 & Who wasn't using the topic subject for whopost_quotefast (Who.english.php) [Bug 3473]
 * Pm popup should not be shown until after page has loaded (index.template.php) [Bug 3395]
 * Curve: partially rewrote the Packages template to match Curve's look and feel. (Packages.template.php, admin.css, style.css) [Bug 3059]
 ! Strike, ins and blockquote lost when toggling wysiwyg (Subs-Editor.php) [Bug 2954]
 ! Mysql changed all tinytext fields to varchar(255) for faster/better performance (install_2-0_mysql.sql, upgrade_2-0_mysql.sql) [Bug 3012]
 * New Opera 10 beta uses useragent Opera/9.8.  Add support so can use wysiwyg (script.js)
 ! Opera >9.63 bug - &nsbp; is needed before </code> to avoid broken selection. (Subs.php) [Bug 3351]
 ! Code unparsed_equals_content version, some should be $data[0] not $data (Subs.php)
 & Corrected set_perameters in search language and template files (Search.english.php, Search.template.php) [Bug 3487]
 ! Downloading packages didn't work as expected (PackageGet.php) [Bug 3084]
 ! When toggling WYSIWYG editor, set the focus prior to inserting text (editor.js) [Bug 3067]
 ! The message_id was lost when quick changing the message icon (script.js) [Bug 3450]
 * Curve: finished missing functions from Packages template to match Curve's look and feel. (Packages.template.php)
 * Debug window for editor was causing a gap before resizer in IE (editor.js) [Bug 2386]
 ! Allow the autosuggest retrieve URL to be customized. (suggest.js)
 * Profile: move users last active time to end of section (Profile.template.php) [Bug 3479]
 ! Prevent double clicking in installer file (install.php) [Bug 3139]
 ! Prevent errors on a database refresh when creating unique indexes (install.php) [Bug 3220]
 ! Fix addslashes from escaping more than it should for the board name (install.php) [Bug 2900]
 ! Try to use a quicker method of creating backup tables for MySQL (DbExtra-mysql.php) [Bug 3026]
 ! Empty the language cache when adding a new language (ManageServer.php) [Bug 3494]
 ! Make sure we delete all language files when removing a language (ManageServer.php)
 ! Webinstall would incorrectly verify a user (webinstall.php) [Bug 853]
 ! Hr parsing was very inefficient and could cause editor to fail with large pages (Subs-Editor.php) [Bug 3472]
 * Curve: the Welcome message wasn't properly aligned (Admin.template.php, admin.css) [Bug 3495]
 * Curve: display of posts had a gap in IE6 (ie6.css) [Bug 3496]
 ! Changed apf fields options to larger file type (text) to allow specifying more possible options (install/upgrade sql files) [Bug 3146]
 * name attribute for links is deprecated in xhtml in favor of id (Many files) [Bug 3500]
 ! Temporary tables created in earlier queries are not explainable for debug (ViewQuery.php, Subs.php) [Bug 3342]
 * Curve: the (new) icon was missing in unread and unreadreplies (Recent.template.php) [Bug 3492]
 ! Verification questions/answers did not accept special characters (ManageSettings.php) [Bug 2923]
 ! Install and upgrade now do a ping check to see if they should load remote or local css files (install.php, upgrade.php) [Bug 2782]
 ! Single quotes could break the Language Editor (ManageServer.php) [Bug 3326]
 ! Disable Language specific settings panel while editing entries to prevent confusion (ManageServer.php, Admin.template.php) [Bug 1464]
 ! Updated Sphinx API to allow search by relevance (SearchAPI-Sphinx.php) [Bug 3107]
 * Curve: rewrote the ManagePaid Template to match Curve's look and feel (ManagePaid.template.php, admin.css, profile.css)
 ! Canonical on wireless should only show to guests (wireless.template.php)
 * Re-order messageindex/display buttons to more logical order, and text 'new poll' alteration (messageindex.template.php, display.template.php, index.english.php, Manage.english.php) [Bug 3504]
 * Newsfader didn't always have a background color, move some newsjader js to the fader.js like curve (fader.js, BoardIndex.template.php, forum.css) [Bug 3506]
 * Large text in signature caused horizontal scrolling (style.css, profile.css) [Bug 3507]
 ! SQL query optimization in forum stats (Stats.php, install/upgrade sql files) [Bug 0691]
 * Curve: The registration form wasn't properly aligned (login.css) [Bug 3508]
 * Curve: min-height isn't supported in IE6 (index.css) [Bug 3448]
 * Curve: rewrote the ManagePermissions template to match Curve's look and feel (ManagePermissions.template.php, admin.css)
 * Always show a login bar in the header if the user's a guest, not just on the board index. (index templates)
 ! Move show_login_bar variable so it is setup for every page (Load.php, BoardIndex.php, index.template.php)
 * Rewrote the news fader script to be object orientated. (fader.js, BoardIndex templates)
 * Curve: spiced up the Core Features template. (Admin template)
 * Curve: color matched the collapse images. (collapse.gif, expand.gif)
 ! In some rare cases, adding a new custom field could result in a database error. (ManageSettings.php)
 * Curve: rewrote the Themes template to match Curve's look and feel. (Themes.template.php, admin.css)
 * Split up the registration template into two steps, giving the registration agreement its own step. (Register.php, Register template) [Feature 3437]
 * Curve: revamped the registration screen to match Curve's look and feel. (Register template, login.css) [Feature 3437]
 * Spell maintenace correctly (index.css, Login.Template.php) [Bug 3514]
 * Maintenance css class wasn't unique (index.css, Login.template.php) [Bug 3514]
 * Added styling for all input elements to make them look uniform in all browsers and operating systems. (many, many files)
 * Curve: rewrote the SendTopic template to match Curve's look and feel. (SendTopic.php, SendTopic.template.php, sendtopic.css)
 ! Private message subjects could be shown in rare cases (install_2-0_*.sql, upgrade_2-0_*.sql, SendTopic.php, Subs-Post.php, ManageMail.php) [Bug 3292]
 ! Show a verificaiton image on quick reply (Display.php, Display Template, GenericControls Template) [Bug 3154]
 ! In some cases the theme_dir may not be set when saving theme options (Themes.php)
 ! One remaining font tag was missed (Subs.php)
 ! A couple of old language strings should be removed and fixed (FixLanguage.php, Packages.english.php)
 * Curve: moved the numerical values outside the stats bar (Stats.template.php stats.css) [Bug 3518]
 + Ability for packages to support multiple readmes for different languages with lang="" parameter (Packages.english.php, Packages.template.php, Subs-Package.php)
 ! File permissions page still was not W3C valid (Packages.template.php) [Bug 1739]
 * Curve: rewrote the Reports template to match Curve's Look and Feel (Reports.template.php, report.css)
 ! All inputs should have a class because IE6 doesn't support css attribute selectors (All over) [Bug 2957]
 ! Prevent a database error when id_msg_last_visit isn't an integer (Display.php) [Bug 3525]
 ! Some operations could fail on MySQL6/5.4 (DbExtra-mysql.php, DbPackages-mysql.php, DbSearh-mysql.php) [Bug 3522]
 ! Prevent errors while replying to all via wireless mod (Wireless.template.php) [Bug 3372]
 * Curve: Recent template caused undefined index error (Recent.template.php) [Bug 3521]
 ! Move the repair boards html outside of the sources (RepairBoards.php, Admin Template) [Bug 3511]
 ! Clicking activate via profile could cause undefined index error (Profile.php)
 * Curve: rewrote the Calendar template to match Curve's look and feel. (Calendar template, calendar.css)
 * Curve: Login page gaps in IE (Login.template.php, index.css) [Bug 3532]
 * Curve: the profile success box should not break the layout (profile.css) [Bug 3533]
 * Curve: revamped the SplitTopics template to match Curve's look and feel. (SplitTopics template, splittopics.css, SplitTopics.php)
 * Curve: the profile change theme section had a fixed width (Themes.php, Themes template, profile.css) [Bug 3536]
 * Curve: some areas need a small padding for a better look and feel (Register template, admin.css) [Bug 3538]
 * Curve: removed the huge gap when toggle bar was enabled (Register template) [Bug 3540]
 * Curve: the currency boxes should only be visible if needed (Admin template, ManagePaid.php) [Bug 3537]
 * Curve: a CSS hack caused invalid css (style.css, admin.css, profile.css, stats.css, ie6.css, ie7.css) [Bug 3531]
 * Curve: Javascript error was caused by smfAnnouncements (Admin template) [Bug 3530]
 * Curve: large gaps on profile activity and stats when left menu was enabled (Profile template) [Bug 3535]
 * Curve: rewrote the Poll template to match Curve's look and feel. (Poll.php, Poll.template.php, poll.css)
 * Curve: The admin registration form wasn't properly aligned in some browsers (login.css, ie6.css, ie7.css) [Bug 3541]
 * Curve: Shrink header icon is wrong if shrunk on loading (index.template.php) [Bug 3542]
 ! Use CSS3 text-shadow for non-IE browsers for glow (Subs.php) [Bug 3539]
 ! Custom profile fields were not loaded for action=pm (PersonalMessage.php)
 + Enclose within text/html and placement of field options for custom profile fields (Many)
 + Added BurningBoard3 login support (LogInOut.php)
 + Allow setting a target for menu tabs (index.template.php, Subs.php) [Bug 2084]
 ! Upgrade could fail if there was an if before $upgradeData (upgrade.php)
 + Added "No HTML" option for custom profile fields (ManageSettings Template, Profile-Modify.php, ManageSettings.english.php)
 ! A custom profile field would show regardless if any input existed or not (Profile.php)
 ! Few bugs in extra scripts (create_backup.php, repair_settings.php, smf_api.php) [Bug 3543]
 ! Improve the nohtml check as htmlspecialchars may of been applied already (Profile-Modify.php)
 * Font sizes weren't applied correctly in non-wysiwyg mode. (editor.js)
 ! BurningBoard3 login support causing undefined error related to password salt (LogInOut.php) [Bug 3545]
 ! Sending http 500 error caused some mobiles not to show our error page (Errors.php)
 ! Failed registration would return to first step (Register.php) [Bug 3544]
 ! Install was missing css backup and checking (install.php)
 ! SEF urls/urls without index.php caused extra get parameters (Querystring.php) [Bug 3418]
 ! Package Manager marked the file test as successful sometimes when one edit failed (Packages.php) [Bug 3361]
 ! Deleting the last board caused db error (Subs.php)[Bug 3503]
 ! Merging an unapproved topic with an approved one caused db error (SplitTopics.php) [Bug 3505]
 ! Null check was being applied twice to db_create_column (DbPackages-mysql.php)
 ! Force ftp protocol over http within ftp tags (Subs-Post.php) [Bug 3295]
 ! Deleting non-english language pack set as default, didn't update Settings.php (ManageServer.php)
 ! Backing up tables failed for sqlite (DbExtra-sqlite.php) [Bug 3523]
 ! Upgrades in postgresql failed with recent changes (upgrade_2-0_postgresql.php)
 ! Boardindex failed in postgresql due to bug 3158 (Subs-Db-postgresql.php) [Bug 3158]
 ! Fixed undefined error in repair_settings.php (repair_settings.php)
 ! Updated readme files for multiple database support information and to reference webinstall.php (readme_*.html)
 * Curve: updated the ModerationCenter template to match Curve's look and feel (ModerationCenter template, moderate.css, ModerationCenter.php)
 ! Sqlite install broke due to extra comma (install_2-0_sqlite.sql) [Bug 3549]
 ! OpenID undefined indexes when requested info wasn't returned (Subs-OpenID.php) [Bug 3097]
 ! Backing up tables would report the wrong current table (upgrade.php, DbExtra-mysql.php, upgrade_2-0_mysql.sql) [Bug 3073]
 - Removed old button headers for babylon theme from default and curve (english/keystats.gif, english/newsbox.gif, english/userinfo.gif) [Bug 3515]
 * Sqlite is a flatfile backup so don't show the backup options (ManageMaintenance.template.php, ManageMaintenance.english.php) [Bug 2956]
 ! Hashing admin passwords didn't accept unicode characters (script.js) [Bug 3114]
 ! Mailbox and IF causing db error for Sqlite. (ManageMail.php)
 ! Recount stats caused inapproved topics/posts to ceased to be counted towards forum stats (Subs.php) [Bug 3557]
 * Undefined verification related variable causing errors in log (Display.template.php) [Bug 3556]
 ! Log removal of members only in the administration log, not in the moderation log. (Subs-Members.php)


May 2009
--------------------------------------------------------------------------------
 ! Some things still weren't working in PostgreSQL (ManageNews.php, Subs.php) [Bug 3118]
 * Remove CSS reference to image that doesn't exist (style.css) [Bug 3323]
 * Signature gap in IE6/7 (ie6.css, ie7.css) [Bug 3194]
 ! Table optimization was optimizing to many tables. (ManageMaintenance.php) [Bug 3142]
 ! It was possible for a infinite loop to occur if a database error occurrs in obExit (Subs.php, Errors.php, Errors.english.php, Wireless.english.php) [Bug 3364]
 ! Emails where deleted from the queue when smtp failed to send the email. (ScheduledTasks.php) [Bug 2123]
 ! Database creation should use UTF-8 as default character set if we are using UTF-8 (install.php) [Bug 997]
 * Delete/Remove selected should not show if there is no selected items (xml_topic.js, theme.js) [Bug 3233]
 ! un_preparsecode didn't put spaces back as they were (Subs-Post.php) [Bug 3109, 2202]
 ! Activate message may result error due to missing/extra math (Profile-View.php) [Bug 1430]
 ! Trim the Settings.php file for whitespace prior to updating it (Subs-Admin.php) [Bug 3423]
 ! Whitespace in Settings.php could cause redirectexit to fail (index.php)
 * Curve: MessageIndex Legend not middle aligned (ie6.css, ie7.css) [Bug 3039]
 * IE6 doesn't support multiple class selectors (ie6.css, GenericMenu.template.php) [Bug 3421]
 * Missing closing p tag (Wireless.template.php) [Bug 3425]
 ! Add support for comma_format/timeformat for use generic lists (Subs-List.php)
 * comma_format was missing in a few places (BoardIndex.template.php, SSI.php, Groups.php) [Bug 3264]
 ! Ensure tables have a label when there are no entries. (Many files) [Bug 3394]
 + Use a generic language function when finding and validating languages (Load.php, ManageRegistration.php, ManageServer.php, Profile-Modify.php, Register.php) [Feature 2225]
 ! Improve sanitation for avatars. (Subs-Members.php, Profile-Modify.php)
 ! IE bmp mime sniffing fix (Display.php)
 ! Change the way we handle attachments (Display.php, ManageAttachments.php, Post.php, Subs-Post.php, Subs.php, install_2-0_*.sql, upgrade_2-0_*.sql)
 * Curve: unclosed div tag (Admin.template.php)
 * Curve: updated the GenericList template to match Curve's look and feel. (GenericList template, style.css, admin.css, forum.css, moderate.css)
 * Curve: rewrote the Notify template to match Curve's look and feel. (Notify.template.php)
 ! Session languages where not validated correctly (Load.php) [Bug 3430]
 * Curve: fixed an xhtml typo (Search.template.php) [Bug 3431]
 * Curve: small stats on Board Index not properly aligned (forum.css) [Bug 3429]
 * Curve: typos (stats.css)
 * Curve: button_strip was not active, wrong language string (Memberlist.template.php)
 * Curve: fixed more invalid xhtml (Search.template.php)
 * Curve: Profile.template.php updated for Curve's look and feel (Profile.template.php, profile.css)
 ! Add a theme check to prevent usaage of invalid themes (Load.php)
 ! Remove uneeded html from package servers, only allowing BBC. (PackageGet.php)
 ! Token confirmation was flawed. (Security.php)
 ! Avatar hash was not handled correctly (Subs-Graphics.php) [Bug 3433]
 * Curve: changed the way we handle old admin templates (admin.css)
 * Curve: rewrote the ManageMail template to match Curve's look and feel. (ManageMail.template.php, admin.css)
 * Curve: rewrote the ManageMaintenance template to match Curve's look and feel. (ManageMaintenance.template.php, admin.css)
 * Curve: rewrote the ManageAttachments template to match Curve's look and feel. (ManageAttachments.template.php)
 * Curve: changed some css classes (admin.css)
 * Forum stats already have comma_format applied to them (BoardIndex.template.php) [Bug 3432]
 ! Deleting category was offering to move boards to itself (ManageBoards.php)
 ! Adding a moderator more than once doesn't make them do more work (ManageBoards.php) [Bug 3428]
 ! Taking action against a reported post did not update Report count if needed (Subs.php) [Bug 3434]
 ! Don't allow flash attachments to be shown as images - reported by Alejandro Rusell. (Display.php)
 ! Strings passed to install.php weren't properly sanitized - reported by Alejandro Rusell. (install.php)
 ! Added more protection against IE's image XSS vulnerability  - reported by Jacques Copeau (Display.php)
 ! Try to prevent custom avatar settings from being empty, causing errors (ManageAttachments.php, Admin.template.php, Admin.english.php) [Bug 3414]
 ! Present a login form to guests trying to view profiles without sufficient permissions. (Profile.php)
 * Curve: Toggle link not floated right (style.css) [Bug 3438]
 * Curve: Layout issues in IE6 (ie6.css) [Bug 3440]
 * Curve: prevent from a linebreak in GenericList table headers (style.css) [Bug 3441]
 * Curve: check the existence of parent element before using getElementById for a child (script.js) [Bug 3439]
 * Curve: fixed the missing buttonlist transparency for IE6 (ie6.css) [Bug 3442]
 * Curve: removed a gap from BoardIndex (BoardIndex.template.php, forum.css) [Bug 3417]
 * Curve: Polls in topic need curve effect (Display.template.php, forum.css) [Bug 3055]
 * Curve: Updating Activity icons to reflect curve looks (images/topic/*.gif) [Bug 3444]
 ! Default Moderation center settings should hide areas the moderator may not have access to (ModerationCenter.php) [Bug 2839]
 ! Deleting a user, should remove entries from the recipients table as well (Subs-Member.php) [Bug 2289]
 ! When using Intergration, we should send the raw password rather than the SMF sha1 verison (Profile-Modify.php) [Bug 2933]
 ! Use posterOptions when marking new topics read instead of user_info (Subs-Post.php) [Bug 2913]
 ! Allow themes to use "template_create_button" to create their own buttons (Subs.php) [Bug 1878]
 ! If you can't post a new topic, you can't start a poll in it (MessageIndex.php) [Bug 3230]
 ! Try to better detect some servers who send non default responses (Class-Package.php) [Bug 3112]
 ! Refunding a double subscription would end both subscriptions (subscriptions.php) [Bug 3426]
 ! Line breaks would be lost with item codes, so use an ugly workaround (Subs.php) [Bug 1655]
 ! Update convert_themes to use new menu system and other missing details (Themes.php) [Bug 3337]
 * Curve: missing overflow for polls (forum.css) [Bug 3055]
 * Curve: pagesection needs a variable height (style.css)
 * Curve: invalid xhtml (Display.template.php)
 * Curve: Quick Buttons need float (forum.css) [Bug 3443]
 * Curve: style the errors as pretty as the rest. (Error template)
 ! Approving posts was not possible without access to the Moderation Center (Security.php, Subs-Auth.php) [Bug 3404]
 * Curve: Moderation buttons not properly aligned (forum.css, ie7.css) [Bug 3447]
 * Curve: Memberlist should use common css classes (Memberlist.template.php, style.css, memberlist.css, ie6.css)
 * Curve: added some useful common css classes, Templates should use common css classes (style.css, Who.template.php, Recent.template.php and many other files)
 & Updated language strings to use numbered sprintf variables. (Many language files) [Bug 3402]
 + Add ability to delete languages (ManageServer.php, Admin.template.php, Admin.english.php) [Bug 3124]
 ! An empty linktree would cause wireless mode to throw php errors at the error screen (Load.php) [Bug 3451]
 * Curve: updated the ManageBoards template to match Curve's look and feel. (ManageBoards.template.php, admin.css) [Bug 3076]
 ! View attachments in Profile didn't respect $board, if it set (Profile-View.php)
 ! constructPageIndex should use numbered sprintf as well (Display.php, Subs.php, Recent.php, Subs-List.php, SplitTopics.php, script.js)
 ! Multi-page topics on MessageIndex didn't use constructPageIndex (MessageIndex.php)
 ! Deleting a member, should delete their subscription (Subs-Members.php) [Bug 3454]
 * Curve: ToogleBar shouldn't break float (ManageMembers.template.php, ManageAttachments.template.php, ManageMaintenance.template.php, ManageMail.template.php)
 * Curve: updated the Admin template to match Curve's look and feel - part 1 (Admin.template.php, admin.css, style.css, ie6.css)
 ! When adding languages, attempt to find out if different existing files just have newline character differences (ManageServer.php) [Bug 3209]
 ! Don't indexing BoardIndex when they is any $_GET (BoardIndex.php)
 ! Remove the last of sesc/sc remnants (Many files) [Bug 3019]
 ! Paid subscription erorrs should contain more detail for our error log (subscriptions.php) [Bug 3278]
 ! Improve some safety checks (Subs.php)
 ! Try to detect if certain columns have altered their type, and use it instead of the default (upgrade.php, upgrade_2-0_mysql.sql) [Bug 2712]
 ! Boards with new posts in them weren't being marked as such on the boardindex in PostgreSQL [Bug 3158]
 ! The INSTR() function in PostgreSQL should act just like the one in MySQL (Display.php, MessageIndex.php, install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql) [Bug 2657]
 ! Prevent users from using * as a valid character in a username (Subs-Members.php) [Bug 3376]
 ! Meta keywords needed htmlspecialchars cleaning (Subs.php) [Bug 2902]
 ! Enable OpenID on ssi_login() and wirless templates (SSI.php, Wireless.template.php) [Bug 3246]
 ! ssiTopTopics would not accept more than 100 topics, even when requested on forums with 100000+ messages (SSI.php) [Bug 3243]
 ! Download avatar at url could fail if the url contained spaces (Profile-Modify.php) [Bug 3200]
 ! Oversized extrnal avatars would fail if they contained spaces (Profile-Modify.php) [Bug 3201]
 ! Package Manager permissions didn't support multiple attachment directories (Packages.php)
 * Curve: Stats wasn't properly algigned with small Screen-Resolutions (Stats template) [Bug 3401]
 ! The send topic button was appearing when it shouldn't. (Display.php) [Bug 3462]
 * Curve: updated the ManageScheduledTasks and ManageCalendar template to match Curve's look and feel. (ManageCalendar.template.php, ManageScheduledTasks.template.php, admin.css)
 ! Guests can't do "own" permissions (ManagePermissions.php, ManagePermissions.template.php) [Bug 3227]
 ! Users should be able to delete their own unapproved replies, It just saves us time approving them (RemoveTopic.php) [Bug 3195]
 * Curve: The profile summary wasn't properly aligned on some browsers (profile.css) [Bug 3043]
 ! Password upgrading would announce that you had logged in (LogInOut.php)
 ! .xml feed titles where not handled properly for rss/atom/rdf (News.php)
 ! Attempt to prevent automatic prunning from failing with errors if there is missing mod settings (ScheduledTasks.php) [Bug 3461]
 * Memberlist was not displaying correctly in Core (Memberlist.template.php, memberlist.css)
 * Template button strip needed updated in Core (index.template.php, style.css) [Bug 3468]


April 2009
--------------------------------------------------------------------------------
 * Unread/unreplies lost the categories/boards/board variable (Recent.template.php) [Bug 3373]
 ! Tooltip might have html so provide an alt non-html title version (Subs.php, index.template.php {default only}) [Bug 3159]
 & Wap2/Rss/Xhtml strings were hard-coded (index.template.php, index.english.php) [Bug 3375]
 ! Guests visiting a profile section they don't have access to shouldn't lead to an undefined index error. (Profile.php)
 ! Allow better customisation of generic menu urls by making base_url, toggle_url and toggle_redirect_url optional. (Subs-Menu.php) [Feature 3128]
 * Adjusted the GenericMenu template to use the urls defined in $menu_context. (GenericMenu template) [Feature 3128]
 ! The personal messages section didn't respond well to toggling. (PersonalMessage.php) [Bug 3280]
 * Lower linktrees wouldn't show, removed old traces of linktrees, re-added linktrees for babylon/classic (index.template.php, index.css, and many other templates) [Bug 3377]
 ! Sleepy updated the Package SDK for 2.0 and fixing some old style links (Package SDK files) [Bug 3329]
 ! PostGreSql needs the column name name not our recipient alias. Plus pmr.id_pm should be pm.id_pm (PersonalMessage.php) [Bug 3190]
 ! PostGresql requires all non-aggregate fields in the select must be referenced in the group by (Subs-Post.php) [Bug 3193]
 ! Spiderlog would be shown regardless of whether sengines are enabled (Admin.php) [Bug 3182]
 ! Don't log relatively trivial profile access errors as they may flood the error log otherwise. (Profile.php)
 ! Default the repair settings' database type to MySQL to assure it always works properly. (repair_settings.php)
 ! Temporarily disabled changing attachment directory setting as it doesn't support multiple upload paths yet. (repair_settings.php)
 ! Fixed repair settings' support for the dynamic cache directory setting that's used in a default SMF install. (repair_settings.php)
 ! Boards/Cats were in wrong order in PostGreSql & Sqlite for boardindex, jumpto, and many dropdowns and other places. (Subs-Db-postgresql.php, Subs-Db-sqlite.php and 10 other source files) [Bug 3221]
 ! PostGreSql couldn't ban users as it incorrectly detected everyone as admin as it returns t or f (ManageBans.php)
 * Classic theme was missing an on2.gif
 * <s> tag is depreciated (Help.template.php) [Bug 3122]
 ! Round the relative activity by board in the profile stats panel down to two decimals. (Profile-View.php)
 * Renamed the Combat template to Compat. (Compat.template.php)
 * Changes to several css styles and ditto templates, converted Search.template complete for Curve.
 * Google attempts to browse image set by js but at the wrong location (Help.template.php) [Bug 3387]
 & Mail Settings should be just Settings for consistency (admin.english.php) [Bug 3385]
 ! Repair boards missing a label (Admin.php)
 & Admin log changed to Administration log in language strings and comments (Help.english.php, Modlog.english.php, Admin.english.php, and comments in Subs-Members.php and ModLog.php) [Bug 3386]
 ! Prevent deleting recycle bin board until has chosen alternative or disabled recycling (ManageBoards.php, ManageBoards.template.php, ManageBoards.english.php) [Bug 2981]
 ! Replaced all bold tags with semantically better strong tag. (117 files)
 ! Replaced all italic tags with semantically better em tag (68 files)
 & ThemeS Settings to Theme Settings (Admin.english.php) [Bug 3384]
 ! .xml action should respect guest setting (index.php) [Bug 3389]
 * RSS hard-coded text, and rss link in footer shown when .xml disabled or not available to guests. (index.template.php)
 ! Banned member showing as latest member, and member totals not be updated (ManageBans.php) [Bug 3381]
 * Expand Pagination with lots of pages pushed buttons down (MessageIndex.template.php, Display.template.php) [Bug 3341]
 ! Opera 10 couldn't use wysiwyg, added is_chrome and is_webkit variables, changed as necessary is_safari in templates), re-ordered IE browser conditions to be unnoticeably faster (Load.php, script.js, index.template.php, Admin.template.php, Packages.template.php, renamed safari.css to webkit.css)
 ! Safari/webkit wraps lines in Wysiwyg in <div>'s instead of <br /> and was losing linebreaks as a result. (Subs-Editor.php) [Bug 2680]
 ! Empty boards have an impossible where in query due to limit 0, 0 (MessageIndex.php) [Bug 3343]
 * Undefined is_recycle error as the variable isn't setup when adding a new board (ManageBoards.template.php)
 * Missing some is_safari, is_webkit changes for curve / default js files (script.js, theme.js)
 ! Database error when removing members due to PM alias (PersonalMessages.php) [Bug 3397]
 ! Quick lists not using styles (Subs.php) [Bug 3391]
 * Numbered List does not format properly (index.template.php, Profile.template.php, Display.template.php, BoardIndex.template.php, style.css, Compat.template.php) [Bug 2892]
 ! Alternate Formatted Lists get bbcode changed when toggled (Subs-Editor.php, Subs.php)[Bug 2925]
 ! MoveTopics redirection topic not increasing users post count (MoveTopic.php) [Bug 3396]
 ! Accounts inaccessable after real name and password change (Profile-Modify.php) [Bug 2960]
 * Consistency use the same line break style for imode (Wireless.template.php) [Bug 3284]
 * Website should use website title for title and alt instead of www (Various)
 ! Undefined index for some themes where use_sidemenu isn't setup (Subs-Menu.php)
 * Updated the help popup to match Curve's style better. (Help template, style.css)
 * Rewrote the memberlist template's HTML to match Curve's style. (Memberlist template, memberlist.css, Memberlist.php)
 * Rewrote the statistics template's HTML to match Curve's style. (Stats template, stats.css, index.css, Stats.php)
 * Updated the recent messages template to match Curve's style better. (Recent template, recent.css, Recent.php)
 * Black smudge caused by auto suggest div. Start with visibility hidden(style.css) [Bug 3077]
 * Curve Reminder page - right side curve missing (Reminder.template.php) [Bug 3070]
 * Curve: display: table; causing issues in Opera (style.css) [Bug 3049] [Bug 3038]
 * Curve: Most buttons have text cursor when hover over text on button (style.css) [Bug 3054]
 * Allow pages in the manual to use extra stylesheets. (Help.php, Help template)
 * Show all configured smileys instead of just the default smileys on the smiley reference page. (Help.php, Help.template.php)
 & Removed some now-obsolete language strings. (Manual language file)
 * Core Memberlist using depreciated tab menu / classes, plus few minor upgrades (Memberlist.template.php, added memberlist.css) [Bug 3358]
 ! Unable to load the 'wap_pm' template - use wireless_error_notyet instead (PersonalMessage.php) [Bug 3363]
 ! Manageboards - non-existant boards/category causes errors (ManageBoards.php) [Bug 3398]
 ! db_name_input already defined (install.php) [Bug 2984]
 & Profile language string regarding receiving emails didn't refer to newsletters (Profile.english.php)
 ! Instead of SMFCookie11, generate the same cookie name as install.php would (repair_settings.php) [Bug 3407]
 ! Without GD, uploading and requiring resize of oversized avatars fails but says succeeded (Profile-Modify.php, ManageAttachments.php) [Bug 3408]
 ! Hard-coded strings related to debug (Subs.php, ViewQuery.php) [Bug 3241]
 * Javascript should use smf_scripturl where possible (Display.template.php) [Bug 3406]
 & Updated some language strings with member instead of user, and group requests (Help.english.php, ModerationCenter.english.php, ModerationCenter.php) [Bug 3360, 3383]
 & Remove instead of delete for quick mod (index.english.php) [Bug 3100]
 * Curve: Message age: Between isn't fully on the same line (search.css) [Bug 3040]
 * Curve: Lower Navigation Bar Alignment with Small Screen Resolution (index.css) [Bug 3400]
 * Curve: >> << icons were invisible white on white (change_menu.png, change_menu2.png) [Bug 3413]
 * Long/Wide code blocks causing page disruption in show posts (PersonalMessage.template.php) [Bug 3409]
 ! Selecting Specified Directory to store uploaded avatars, but not specifying dir, results in undefined index  [Bug 3202]
 * Don't use depreciated u tags, use css class (Help.template.php, ManageSettings.english.php) [Bug 3119]
 * Curve: updated the Who template to match Curve's look and feel. (Who template, who.css)
 ! Use css class instead of div align, use existing classes instead of inline floats (60 files) [Bug 3149]
 * Banish center tags in favor of css (Few files) [Bug 3121]
 * Curve: Admin register member was badly laid out. And missing rounded titles. (Register.template.php, login.css) [Bug 3320]
 * In profile in ie6/7 some text/chars can get cropped at bottom. (Profile.css) [Bugs 3382, 3419]


March 2009
--------------------------------------------------------------------------------
 ! Including quotes in the forum title would break newsletter sending. (ManageNews.php) [Bug 3289]
 ! Announcing a topic wasn't working on PostgreSQL and was needlessly sorting. (Post.php) [Bug 3129]
 ! Manage attachments was doing an unnecessary group, breaking PostgreSQL. (ManageAttachments.php) [Bug 3203]
 ! Ensure custom profile fields use a prefix in the themes table. (ManageSettings.php) [Bug 2658]
 ! Change around some of the security on theme java function to allow guests to keep their session alive but stop name being used. (Themes.php) [Bug 2658]
 ! Update template_button_strip function to take an array as a third parameter, plus backwards support for old implementation. (index templates, Combat template)
 ! You can now force the ID of a button strip being created. (index templates, Combat template)
 ! Quick in topic moderation was javascript erroring if you couldn't delete every message. (xml_topic.js, theme.js, Display templates) [Bug 3312]
 ! Gave Curve it's own settings language file and moved strings that should have been in it but wern't into it. (Settings and ThemeStrings language file)
 ! Generic menu now supports the idea of hidden menu items (ones which can be selected but are not shown) (Subs-Menu.php) [Bug 3303]
 ! Redid the profile security model and menu code to be clearer, avoid duplication and hopefully be less prone to coder error. (Profile.php)
 ! Support longer AIM nicknames. (Profile-Modify.php, install and upgrade scripts) [Bug 3308]
 ! Call Army Time, 24 hour time. (Manual and Profile language files) [Bug 3300]
 ! Generic menu was adding unnecessary session IDs into URLs. (GenericMenu template) [Bug 3299]
 ! Clean cache in upgrade was out of date, also it now doesn't try to delete period and period period. (upgrade.php, Subs.php) [Bug 2916]
 ! Be more forgiving when people don't do what they're told and decide to separate newsletter recipients by comma or line break. (ManageNews.php) [Bug 3294]
 ! Ensure we always use INNER JOIN, if only for consistency. (DbExtra-postgresql.php) [Bug 2262]
 ! When logging an upgrade note down which admin it was. (upgrade.php) [Bug 3134]
 ! Allow the URL tag as a cite on the quote tag, like we used to back in 1.1. (Subs.php) [Bug 2303]
 ! Sourcedir is needed before calling those files (ManageMembergroups.php) [Bug 3115]
 * For members use the profile version of tracking by ip (Display.template.php core/curve/babylon/classic) [Bug 3163]
 ! New installs should ship with calendar max year to something more distant, and min year more relevant (install scripts) [Bug 3160]
 ! In admin link to admin modlog instead of moderate version (ManageSettings.php) [Bug 3125]
 ! Warning system, make sure things which are disabled stay disabled. (Profile-View.php) [Bug 3104]
 * Search had some text appearing (Search.template.php) [Bug 3101]
 * Reports had some extra spaces depending on conditionals (Reports.template.php) [Bug 3215]
 * Prevent registration audio verification popups getting indexed by search engines (Register.template.php) [Bug 2996]
 * Messageindex top anchor wasn't getting included if there were no child boards (MessageIndex.template.php) [Bug 3318]
 ! Suppress apache_reset_timeout warning notices especially from safe mode. (Lots of files) [Bug 2811]
 ! Missing xmlns and other xhtml warnings (repair_settings.php) [Bug 3150]
 ! Advanced profile field radio set to 0 wouldn't show as selected (Profile.php) [Bug 3103]
 * Non-selected/checked inputs cause unnecessary spaces and unnecessary id causing invalid xhtml (Admin.template.php)
 * When editing advanced profile fields default selected radios would never show selected (Admin.template.php)
 ! Required adv profile fields couldn't be 0 (Register.php) [Bug 2805]
 ! Quick reply was supposed to be enabled but collapsed by default (install_2-0_mysql.sql, install_2-0_postgresql.sql, install_2-0_sqlite.sql) [Bug 3173]
 * Empty header td cells and IE don't mix. Use &nsbp; (Search.template.php, MessageIndex.template.php) [Bug 3205]
 * Add/Remove buddy link wouldn't always fit on the same line, so move it down (Profile.template.php) [Bug 3256]
 * Empty ul for guests/regular users causing invalid xhtml (Display.template.php) [Bug 3099] [Bug 2444]
 ! Session verification failure in Server Settings could lead to undefined indexes [Bug 3319]
 ! Advanced profile field radio set to 0 wouldn't show as selected, better fix (Profile.php) [Bug 3103]
 * Make nice with tabs and spacing (various files)
 ! Aim needs a default to avoid not-null error (install_2-0_postgresql.sql, install_2-0_sqlite.sql, upgrade_2-0_postgresql.sql, upgrade_2-0_sqlite.sql) [Bug 3308]
 ! Prevent ;debug from appearing in canonical tag (QueryString.php)
 ! Display & Pm wasn't freeing results causing errors with mysql trace enabled (Display.php, PersonalMessage.php) [Bug 3301]
 ! Admins weren't excluded from minimum posts required to give karma (Load.php, Karma.php) [Bug 3285]
 ! Known themes query should make sure id_member = 0 (Themes.php) [Bug 3277]
 ! We should ensure IIS login fix applies only to IIS, not just running under CGI (Load.php) [Bug 2285]
 ! Adding calendar holiday caused undefined index (ManageCalendar.php) [Bug 3178]
 * Fatal error needs to be 100% width for profile to avoid uglyness (Errors.template.php) [Bug 3188]
 * Javascript error caused by auto-suggest script when editing bans as it wasn't needed (ManageBans.template.php) [Bug 3184]
 ! Errors from ssi would show as bad link in error logs (ManageErrors.php, Errors.php) [Bug 2896]
 ! Users couldn't view their own warnings (Profile.php) [Bug 2707]
 ! Increase webinstall allowed memory limit to 64mb (Webinstall.php) [Bug 3126]
 & Removed help reference to birthday/calendar/holiday colors which are now css rather than settings (Help.english.php) [Bug 3222]
 ! Errors from ssi would show as bad link in error logs when filtered (ManageErrors.php) [Bug 2896]
 ! Strings accessed using braces, as in $str{42}, is deprecated as of PHP 6. Use square brackets instead. (Profile.php)
 ! Downloading languages should use different url (ManageServer.php) [Bug 3325]
 ! Removing posts via profile wouldn't get added to mod log (Profile-View.php) [Bug 2336]
 ! Don't allow send topic if topic is using post moderation and is unapproved (SendTopic.php, Display.php, Errors.english.php) [Bug 3198]
 ! Couldn't add another row of bbcode buttons (Subs-Editor.php, GenericControls.template.php) [Bug 2248]
 ! We can't create the db for Postgresql, so hide the part which says it does create it (install.php, Install.english.php) [Bug 1521]
 ! Sqlite should come with a health warning (install.php) [Bug 3219]
 ! View warning logic still not quite right (Profile.php)
 * Not able to use a different help for each tab section in admin (GenericMenu.template.php) [Bug 1849]
 * Up one level links on wireless messageindex equivalent had unwanted semi-colon (Wireless.template.php) [Bug 2363]
 * Using unsubscribe for notifications was confusing, and use unnotify in board/topics where notifed (Display.template.php, MessageIndex.template.php, Profile.english.php, Index.english.php, unnotify.gif) [Bug 2886]
 ! Viewwarning, effect would be in the wrong tense when shown to user (Profle-View.php, Profile.english.php) [Bug 3324]
 ! Change a few more smf download urls for the download sub-domain (ManageServer.php & various in other/) [Bug 3325]
 ! Sendtopic was missing a global (SendTopic.php) [Bug 3332]
 ! Guests couldn't revote if poll was reset (Display.php, Poll.php) [Bug 3247]
 ! Guests voters were incorrectly counted (Display.php, Poll.php) [Bug 2186]
 ! Guests were shown to have voted for options voted by other guests (Display.php)
 ! Undefined index recycle_board (Subs.php)
 ! Postgresql doesn't support int(10) so just use int, and its guest_vote (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql, Display.php, Poll.php)
 ! Provide some context for buddies (Subs-Editor.php) [Bug 3335]
 ! Don't require moderate_board permission to show extra poll options when adding a poll to existing topic (Poll.php) [Bug 3008]
 * Moderators on BoardIndex/MessageIndex were no longer shown in smalltext equivalent (css/forum.css in core/curve) [Bug 2511]
 * Blurb padding wasn't working in curve (css/forum.css in curve) [Bug 2511]
 * Signature font-size shouldn't be bigger than the post font-size, thats madness (style.css) [Bug 2511]
 * Report to admin/Insert quote were too small due to nested smalltext tags. (Post.template.php, PersonalMessage.template.php) [Bug 3210]
 ! Move stripos into Subs-Compat.php where all <php5 functions can be found (Subs.php, Subs-Compat.php) [Bug 3216]
 ! Change viewResults to lowercase, and ensuring backwards compatibilty/we don't break other themes (Display.template.php, Display.php) [Bug 2872]
 ! Don't show viewresults button if we already see the results (poll expired/voted etc) (Display.template.php, Display.php) [Bug 2872]
 * Classic theme undefined index allow_return_vote (Display.template.php)
 ! Reminder fatal errors would log as general error rather than user related like password (Reminder.php) [Bug 2637]
 * Participation icon/legend on MessageIndex should be not be shown to guests (MessageIndex.template.php) [Bug 3235]
 * "No topics have been posted yet." Also re-worded posts/attachment equivalent. (Profile.english.php, Profile.template.php) [Bug 2904]
 ! Setting Poll too far in advance caused db error (Post.php, Poll.php, Post.template.php, Poll.template.php) [Bug 2819]
 * Suggest causing js error for action=groups and guests, as it was unused (ManageMembergroups.template.php)
 ! Log warnings given for specific posts in the modlog, so they show in ModerationCenter under "Actions taken" (Profile-Actions.php, Modlog.english.php) [Bug 1934]
 * Babylon theme undefined index allow_return_vote (Display.template.php)
 ! If postmoderation is disabled, there is warning level "All posts will be moderated" (Profile-Actions.php, Profile-View.php) [Bug 3327]
 ! ssi_recentAttachments didn't check whether attachments were approved if postmoderation was enabled (SSI.php) [Bug 3248]
 ! Defaults to "html,body" (theme_info.xml in curve/babylon/classic, Themes.php) [Bug 3267]
 ! Content-Disposition wouldn't work properly properly for images on "save target as" (Display.php) [Bug 3111]
 ! Iconv returning false would result in sending blank notification messages (Subs-Post.php) [Bug 2319]
 * Attachments appeared floated to right in Chrome/Safari, fix copied from curve to core(css/forum.css) [Bug 3035]
 * If theres no parent boards we can see, avoid showing an empty category. (BoardIndex.template.php in all 4 themes) [Bug 2841]
 ! mt_rand, lowest member interested in should be 1 not 0 (SSI.php) [Bug 3244]
 ! echo method should be last parameter (SSI.php) [Bug 3245]
 ! Guest polls too greedy, just one cookie for you. (Display.php, Poll.php) [Bug 2186]
 ! Include member id in email pointing to profile, just in case they click it whilst not logged in (ManageMembers.php) [Bug 3291]
 ! Real username should only be shown in xml feed if owner of the profile or admin (News.php) [Bug 3340]
 ! Xml recent topics guid/id should be topic link instead of topic=10.msg234 (News.php) [Bug 2522]
 ! PostGreSql with all messageicons removed, can only add one with id = 0, and adding another replaces it (ManageSmileys.php) [Bug 3136]
 ! Removing own unapproved topic, where you don't have permission to approve (RemoveTopic.php) [Bug 3191]
 ! Undefined type used in query should specify the type in addition to the variable (Subs-Db-mysql.php, Subs-Db-postgresql.php, Subs-Db-sqlite.php) [Bug 3148]
 ! Deleting members might take a while and need more memory (especially if purging inactives) (Subs-Members.php) [Bug 3013]
 ! Spider log/Pruning logs had invalid section descriptions (Admin.english.php, Admin.php) [Bug 3089]
 ! If there are no real boards in the cat, don't show unread posts link. Plus bug fix for bug 2481 as collapsed cats were empty and gone (BoardIndex.template.php in all themes, Subs-BoardIndex.php) [Bug 3080]
 ! Running a scheduled task manually wouldn't free a result (ManageScheduledTasks.php)
 ! &nsbp; for quick mod icons header column & don't mix your colo(u)?rs :P (Many many files)
 ! Quick Moderation might show when it wasn't needed (source change was accidentally committed already) (Messageindex.php, Messageindex.template.php in all themes) [Bug 3234]
 * Babylon/Classic missing the errorbox related css classes (style.css) [Bug 3346]
 ! Ban log was missing no entries label, even though we had a language string prepared (ManageBans.php) [Bug 3063]
 & Missing helptxt string postmod (Help.english.php) [Bug 3062]
 ! Package manager does not parse require-file correctly if there's no space at the end of the element (Class-Package.php) [Bug 327]
 ! $use_permissions needed can_edit => false (Subs-Calendar.php) [Bug 248]
 ! Require re-activation of email address wasn't working due to missing variables (Profile-Modify.php) [Bug 3266]
 ! Noindex weekly calendar pages as duplicate content (Calendar.php) [Bug 3348]
 ! Some internal ip ranges were missed (QueryString.php) [Bug 1563]
 * Poll tabs in topic with poll AND linked events are very close to events info [Bug 3232]
 ! language="JavaScript" is deprecated in favour of type="text/javascript" (Everywhere) [Bug 2672]
 ! PM notifications do not respect buddy lists (Subs-Post.php) [Bug 2932]
 ! Reply to all, sending to 'guest' caused by left rather than inner join on members table (PersonalMesssage.php)
 ! Prevent reply/quote for own pms sent. But still let them "reply all" for other recipients. (PersonalMessage.php, PersonalMessage.template.php) [Bug 1748]
 ! ssi_queryPosts 'where clause' should be conditional in case the user doesn't want to set one. (SSI.php) [Bug 3242]
 ! Max calendar holiday/event title limit to small. Bumped to 60 from 30 (Calendar.php, Subs-Calendar.php, ManageCalendar.php, ManageCalendar.template.php, Post.template.php, install and upgrade files) [Bug 1751]
 ! Increased title length means convertors can use longer substr (invision and yabbse converters)
 * Depreciated div align, IE8 cal below the side panels. IE7 its tight no padding (Calendar.template.php) [Bug 3064, 3339]
 ! 2.0 compatible, many changes (see commit for full list) (repair_settings.php) [Bug 3151]
 ! Newer teamies need adding to the credits list, plus fixed missing space bug when 2 in a group (Who.php, Who.english.php) [Bug 2768]
 ! Creation of attachment thumbnail might run out of memory. (Subs-Graphics.php) [Bug 2229]
 * Fixed IE6 and menubar issue (index.css) [Bug 3161]
 ! Shutup magic quotes, as causes warnings in newer php builds (install.php and few others)
 * IE6 and mark all as read wouldn't float to the right (BoardIndex.template.php) [Bug 2941]
 * IE6 didn't like the height of the calendar in info center (ie6.css) [Bug 2603]
 ! Backup database might need more memory (0kb backups/server error issues) (DumpDatabase.php)
 * Still using ?b4 for js/css on some templates (Several templates) [Bug 3060]
 ! Integrate wasn't getting called on registering as it was for login/logout (Register.php) [Bug 3352]
 * rel="nofollow" ajax msg subject JIC. Editing a message removes the unapproved message notice. [Bug 3192]
 * <hr> between subject/body of post is missing when post is by user who is being ignored (Display.template.php, style.css) [Bug 3152]
 ! IE doesn't support RDF + application/xml+rdf, so use text/xml for IE only otherwise it will try to download the file (News.php) [Bug 1513]
 ! Fixed Integrate wasn't getting called on registering as it was for login/logout (Register.php) [Bug 3352]
 ! Unnecessary $_GET['pid'] causing undefined index error when deleting permission profile (ManagePermissions.php) [Bug 3228]
 * Output $context['html_headers'] BEFORE the ie6,7 fixes/firefox fixes/and rtl css files (otherwise we can't override some classes) (index.template.php)
 * IE6 doesn't support multiple class selectors so use a lastactive class (index.css, ie6.css, index.template.php) [Bug 3161]
 ! Reverse menus in RTL mode. So home should be last button (Subs.php, Profile.php, Help.php, Personal Message.php, Admin.php)
 * Memberlist rtl support for columns, change infocenter upshrink from inline style to class so can override in rtl  (Memberlist.template.php, BoardIndex.template.php, forum.css)
 * Togglebar >> image icon should be reversed in right to left mode (GenericMenu.template.php)
 * Reverse linktree in RTL mode (index.template.php)
 * RTL css (Mainly rtl.css, and few tweaks to other files)
 * Inline class preventing rtl working on lastpost img (MessageIndex.template.php, forum.css)
 ! Members can view membergroups but not the memberlist (Groups.php, ManagePermissions.english.php)[Bug 2396]
 ! Removing own topics should be logged from Display for moderation purposes (RemoveTopic.php) [Bug 2385]
 ! Allow 'unsigned' integers for Mysql Only with 'unsigned' => true, for ints (DbPackages-mysql.php) [Bug 1267]
 * Watch Users - If no watched users theres a blank TH (GenericList.template.php) [Bug 3236]
 * New PMs via wap2/imode does not indicate which pms are new (Wireless.template.php) [Bug 3276]
 * who.template.php - column for messenger icons not wide enough (Who.template.php) [Bug 3252]
 * Padding on grandchild board (on message index), not as good as when on board index (MessageIndex.template.php, forum.css) [Bug 3223]
 & Show quick-moderation on message index as - no longer just message index, so re-word it (Profile.english.php, Manual.english.php) [Bug 3224]
 * help togglebar button on sidemenu is on next line down (GenericMenu.template.php {core}, index.css {curve}) [Bug 3274]
 ! Queryless Urls don't work with session id in urls (Subs.php, Querystring.php) [Bug 1013]
 ! Gzip on attachments should only be used for filetypes that would benefit from it (Display.php) [Bug 2633]
 ! Queryless url cgi check may not always return correct results (Subs.php, Querystring.php, News.php) [Bug 2945]
 * Maxlength should be set on reporting message input, as its a tinytext field (SendTopic.template.php)
 * Move 'Change Profile' button to left (Profile.template.php) [Bug 3162]
 & Error string should be in errors language file otherwise it won't get loaded. (Admin.english.php, Errors.english.php) [Bug 2018]
 * Categories needed clearfix on h3 (BoardIndex.template.php)
 * float:left on .postarea .post causes issues in IE browsers & cached search engine pages (style.css, ie6.css, ie7.css, forum.css, rtl.css, safari.css, ff.css index.template.php) [Bug 3298]
 ! Changing forum language shouldn't override the admins set profile language (Load.php) [Bug 2944]
 * align should be text-align (forum.css, rtl.css) [Bug 3359]
 + Admin, Moderation Center and Profile should have linktrees (Subs-Menu.php, Admin.php, ModerationCenter.php, Profile.php) [Bug 3116]
 + Lighttpd supports path_info and can do queryless urls too (Subs.php, Querystring.php, News.php, Load.php, ManageSettings.english.php, Help.english.php) [Bug 3357]
 ! Profile linktree should use 'Profile of username', same for pagetitle.  Packages had some duplicate linktree items (Packages.php, PackageGet.php, Profile.php, Profile-View.php, Profile.english.php) [Bug 3116]
 ! Don't add the PM inbox folder to the linktree when viewing a label. (PersonalMessage.php)
 ! Add another chain to the linktree when changing PM settings. (PersonalMessage.php)
 + Wireless modes didn't have a link back to full version (index.php, Wireless.template.php, Wireless.english.php) [Bug 1141]
 * Wap2/Imode up one level link in child boards wouldn't work as missing semi-colon (Wireless.template.php)
 ! Do a better job at creating the link tree in the calendar section. (Calendar.php)
 ! Add link trees to the help, login and registration sections as well. (Help.php, LogInOut.php, Register.php)
 * Wap mode messageindex showed Pages 1/0, and pages in different place than wap2 and imode (Wireless.template.php) [Bug 3362]
 ! Limit on delete query won't work in PostGreSql/Sqlite so remove it (ManagePaid.php)
 ! When moving a topic and ask to create a redirection topic, you must give a reason (MoveTopic.php, Errors.english.php) [Bug 3207]
 ! When tracking profile edits, show the applicant's real name instead of his username. (Profile-View.php)
 & Renamed the tabs of the tracking area to be more consistent. (Profile.php, Profile template, Profile language file)
 ! Undefined index in wireless mode, so wireless a url for the linktree (Post.php) [Bug 3369]
 ! Wireless wouldn't give a nice error for calendar subactions (Calendar.php) [Bug 3371]
 * Wap2/imode Pm - folder is now f, and was missing label/pm_head hidden variables. (Wireless.template.php) [Bug 2475]


February 2009
--------------------------------------------------------------------------------
 ! The log pruning section and custom search index creation section were missing their page titles. (ManageSettings.php, ManageSearch.php) [Bug 3023]
 * Use a font instead of screen size dependant width for the mini profile in the Display template. (forum.css)
 ! Sending newsletters would sometimes end prematurely. (ManageNews.php) [Bug 2245]
 ! Don't allow people to move topics from the maintenance area to a redirection board. (ManageMaintenance.php) [Bug 3086]
 ! Version check link from admin page was wrong. (Admin template) [Bug 3085,3078]
 ! IP tracking link from who's online is wrong. (Who template) [Bug 3081]
 ! Ensure the title link on the main menu buttons is the correct title. (index templates) [Bug 3088]
 ! Images copied from the site the forum was hosted on and pasted into a WYSIWYG editor were not properly parsed. (Subs-Editor.php) [Bug 3020]
 ! Ftps protocol links were not properly translated to ftp tags in the WYSIWYG editor. (Subs-Editor.php)
 ! Relative links pasted in the WYSIWYG editor were not translated to full URL's. (Subs-Editor.php) [Bug 1806]
 * Some minor xhtml valid bugs in packages template. (Packages template) [Bug 3091]
 ! Added a validate username function. (Subs-Auth.php)
 ! Always clear the cache after installing a package. (Packages.php) [Bug 3090]
 ! Sorting things didn't always work in PostgreSQL (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql) [Bug 3131]
 ! Removing columns in PostgreSQL didn't work if the db prefix wasn't specified (DbPackages-postgresql.php) [Bug 3132]
 ! PostgreSQL doesn't support LIMIT in DELETE queries (ManagePaid.php, Subs-Db-postgresql.php) [Bug 3133]
 + Present a canonical url for search engines to prevent duplicate content in their indices. (BoardIndex.php, Display.php, MessageIndex.php, Profile-View.php, index template, Printpage template, Wireless template) [Bug 3135]
 ! Change username was broken. (Subs-Auth.php) [Bug 3168]
 ! Some queries were causing DB errors in PostgreSQL (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql) [Bug 3176]
 ! Don't allow numeric db prefixes in PostgreSQL (install.php) [Bug 3180]
 ! Installing multiple copies of SMF on the same DB caused an error in PostgreSQL (install_2-0_postgresql.sql) [Bug 3181]
 ! Trying to delete an account could cause an error in PostgreSQL (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql) [Bug 3186]
 ! Viewing the list of watched users caused an error in PostgreSQL (ModerationCenter.php) [Bug 3208]
 ! PostgreSQL doesn't support RLIKE (ManageBans.php, Subs-Db-postgresql.php) [Bug 3185]
 ! The personal messaging section now uses the generic menu templates. (PersonalMessage.php, PersonalMessage template) [Bug 1695] (CodeFest)
 ! The maximum amount of personal messages wasn't always cached properly. (PersonalMessage.php) (CodeFest)
 ! Update the HTML safe version of the page title dynamically last minute in case it was set at a later time. (Subs.php) (CodeFest)
 ! Split up the help section and made it use generic menus. (Help.php, help.css, Help template, Manual language file) [Bug 3145] (CodeFest)
 ! Creation of backup tables didn't work in PostgreSQL (DbExtra-postgresql.php)
 & The k in 'kB' should be lowercase. (index language file) [Bug 3262] (CodeFest)
 ! The membergroup report function was printing invalid colors. (Reports.php) [Bug 3269] (CodeFest)
 ! Signature validation could report invalid tags more than once. (Profile-Modify.php) [Bug 3253] (CodeFest)
 ! Adjusted the URLs for the apnic, arin and ripe whois services to reflect their new locations. (Profile-View.php) [Bug 3257] (CodeFest)
 ! The admin search didn't always use the proper title and help texts. (Admin.php) [Bug 3261] (CodeFest)
 ! Don't bother attempting to remove anything when there's no topic specified (RemoveTopic.php) [Bug 2056] (CodeFest)
 ! Store avatars with a timestamp in their filenames to allow better caching. (Profile-Modify.php, Subs-Graphics.php) [Bug 3255] (CodeFest)
 * Updated the wireless templates to make quote and code blocks a lot more readable in wireless mode. (Wireless template) [Bug 3251,3239] (CodeFest)
 & Added two language strings to support this change. (Wireless language file) [Bug 3251,3239] (CodeFest)
 & Changed settings to be more consistent in terms of typography. (Admin language file, Help language file, index language file, ManageBoards language file, ManageSettings language file, Manual language file, Profile language file, Themes language file) [Bug 3275,3094]
 * Added a block with links to support resources to the Support & Credits page. (Admin.php, Admin template, Admin language file) [Bug 3092] (CodeFest)
 ! Don't assign $txt variables by reference, as PHP's default pointers are more efficient. (lots of files) (CodeFest)
 & $txt['database_prexfix'] should be identified as $txt['database_prefix'] instead. (Admin language file) [Bug 3279] (CodeFest)
 & Initialise $helptxt in a more appropriate location to make life easier for mod authors. (Help.php, Help language file) [Bug 2405] (CodeFest)
 ! Don't bother outputting generic menus when in wireless mode. (Subs-Menu.php) (CodeFest)
 ! The "top topic starters" weren't always being listed in the correct order in PostgreSQL (Stats.php, Subs-Db-postgresql.php) [Bug 3157]
 ! Trying to manually add a user to a paid subscription wasn't working in PostgreSQL (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql) [Bug 3138]
 ! Sorting the memberlist by ICQ number caused an error in PostgreSQL (Memberlist.php) [Bug 3189]
 ! Don't ignore errors when inserting data unless specifically told to (Subs-Db-postgresql.php, Subs-Db-sqlite.php) [Bug 3296]
 ! With some versions of PostgreSQL, SMF always thought the recipient of your PM was ignoring you, even if they weren't (Subs-Post.php) [Bug 3113]
 ! The "top topic starters" weren't always being listed in the correct order in SQLite (Subs-Db-sqlite.php) [Bug 3293]
 ! The admin search function wasn't always using the correct page title. (Admin.php)
 ! Filtering errors by type wasn't working in PostgreSQL (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql) [Bug 3130]
 ! Including quotes in the forum title would break newsletter sending. (ManageNews.php) [Bug 3289]
 * Linked images in wysiwyg would have an 'orrible border (editor_ie.css) [Bug 2221]


SMF 2.0 RC1                                                      4 February 2009
================================================================================
February 2009
--------------------------------------------------------------------------------
 * A few button strip background images were not properly made transparent. (images/maintab_last.gif, images/mirrortab_last.gif) [Bug 3005]
 * Fixed a spacing issue in the ignore boards screen. (Profile template) [Bug 3003]
 ! Some names in the credits were not properly HTML safe. (Who.php) [Bug 3002]
 ! Set a meta index to prevent robots from indexing certain files, in case an admin forgets to remove them. (install.php, create_backup.php, repair_settings.php, restore_backup.php, smfinfo.php) [Bug 2995]
 ! Fixed several JavaScript errors and notices surrounding registration. (register.js, captcha.js, Subs-Editor.php, Profile template, Register template, Reminder template)
 ! Fixed upgrade replacing language strings incorrectly. (FixLanguage.php) [Bug 2987]
 * The register template contained a several controls without a proper tabindex. (Register template) [Bug 2997]
 ! The installer wasn't closing the HTML form tag properly. (install.php) [Bug 2985]
 ! Some URL's created with BBC were not properly sanitized. (Subs-Post.php)
 ! The copyright was still showing 2008 (several files) [Bug 3016]
 ! The ssi_examples.shtml file was not fully maintained in comparison to ssi_examples.php. (ssi_examples.shtml, SSI.php) [Bug 3017]
 ! Fixed a few remaining old style sesc remnants. (ManageServer.php, Subs-Calendar.php, Subs.php, Themes.php) [Bug 3019]


January 2009
--------------------------------------------------------------------------------
 ! Upcoming birthdates were incorrectly calculated causing the list to be empty during the turn of the year. (Subs-Calendar.php) [Bug 2856]
 & Updated the copyright to include 2009. (index language file)
 ! The offset for scheduled tasks was in some cases stored with an incorrect time offset. (ManageScheduledTasks.php) [Bug 2855]
 ! The fetch_web_data function didn't support URL redirection. (Subs-Package.php) [Bug 2854]
 * Contents of large messages were being clipped in Firefox due to the CSS overflow being set to 'auto'. (Display template, Index template, ff.css) [Bug 2759]
 ! Included APBoard login method for allowing easy conversion. (LogInOut.php) [Bug 2857]
 ! The db_quote function didn't replace predefined variables in case no parameters were sent to it. (Subs-Db-mysql.php, Subs-Db-postgresql.php, Subs-Db-sqlite.php) [Bug 2853]
 ! Several occurrences of query_see_board and query_wanna_see_board weren't yet abstracted. (SSI.php, Security.php) [Bug 2850]
 ! Don't deactivate an account in case the user changes their email address to something invalid. (Profile.php) [Bug 2843]
 * Try to do a better job at linking to the most relevant post moderation area. (BoardIndex template, MessageIndex template) [Bug 2298]
 * Set a title attribute for the toggle buttons in the core features area. (Admin template) [Bug 2848]
 * Do a better job at handling the post and signature CSS-wise. (Display template, style.css, forum.css, ie6.css, ie7.css) [Bug 2798] [Bug 2654]
 ! The smiley parser could in some cases parse a smiley from an already parsed smiley if one smiley code would be a subset of the other. (Subs.php) [Bug 2480]
 ! Guests viewing an out of reach attachment were redirected to that attachment after logging in. (Load.php) [Bug 2847]
 ! url_exists function returned false on HTTP response codes 201/301/302/307, while they are currently supported by the fetch_web_data function. (Subs-Packages.php) [Bug 2699]
 ! On creating a board, the configured permission profile was ignored and overwritten by the parent board's permission profile. (ManageBoards.php, ManageBoards template, ManagePermission language file) [Bug 2823]
 ! Hide the not-so-relevant PM sections in case the user has no permissions to send PM's. (PersonalMessage.php) [Bug 2860]
 ! Added a DAY() function to PostgreSQL (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql)
 ! The permission check on whether a user could edit their own profile did not take into account the *_any permissions. (Profile-Modify.php) [Bug 2808]
 ! Make sure post banned users can not use SMF's email interface. (Security.php) [Bug 2859]
 * Prevent the recent posts area from showing its items all over the place. (BoardIndex template, forum.css)
 ! The jumpto box items in some cases were shown in the wrong order (script.js) [Bug 2865, Bug 412]
 * Completely redesigned the looks and layout of polls. (Display.php, Display template, forum.css) [Bug 2506], [Bug 1949], [Bug 2485]
 ! The new smiley parser didn't parse smileys containing apostrophes properly yet. (Subs.php)
 * Viewing code in a package manager operation window wasn't working properly in Internet Explorer. (Packages template) [Bug 1803]
 ! Recipients fields are empty when replying to a PM with JavaScript disabled. (PersonalMessage.php) [Bug 2867]
 ! Fixed polls not properly being displayed in right-to-left mode. (Display.php, SSI.php) [Bug 2868]
 * The horizontal ruler at the bottom of the board index info center needed a hrcolor class. (BoardIndex template) [Bug 2644]
 * The theme advertised to be valid HTML 4 instead of valid XMHTML 1. (index template) [Bug 2501]
 ! Detect user agents 'Iceweasel' and 'IceCat' and categorize them as 'FireFox', as they are pretty much based on the same source code. (Load.php, script.js) [Bug 2486]
 ! Fixed a typo in a comment. (Subs-Post.php) [Bug 2876]
 * Removed trailing spaces whereever they could be found. (several files) [Bug 2872]
 ! A few poll buttons would in some cases show when the action wasn't allowed. (Display.php, Display template) [Bug 2872]
 ! Some of the issue warning links were still using the old URL structure and therefor not working properly. (ModerationCenter.php,  Display template) [Bug 2877]
 * Fixed language package download form redirecting to an old URL. (Admin template)
 * Fixed a few xHTML validation errors. (ManageSearch template, ManagePermissions template, PersonalMessage template)
 ! Fixed a notice in the awaiting approval/activation screens, caused by the duplicate members check. (Subs-Members.php)
 ! Autocomplete was not turned off in Opera by the JavaScript auto suggest function. (suggest.js) [Bug 2888]
 ! The pruning options assignment was done incorrectly (ManageSettings.php) [Bug 2884]
 * Moved the 'remove poll' button from the moderation button strip to the poll buton strip. (Display template) [Bug 2873]
 * The lower button strip wasn't getting the proper amount of padding. (style.css)
 ! The banned email check on registration did not work properly for bans that were set to never expire. (Security.php) [Bug 2883]
 * The signature was displayed with two lines above in both the profile summary and the Personal Messages index. (Profile template, PersonalMessage template) [Bug 2882]
 ! Fixed a typo in an AutoSuggest method name. (suggest.js) [Bug 2881]
 ! No longer support mb_convert_case as UTF8 alternative for ucwords as it behaves differently than ucwords. (Load.php) [Bug 2880]
 * The calendar board index icon in some cases was positioned too low. (forum.css) [Bug 2603]
 ! Both the Postgresql and sqlite database layers did not replace the random function properly. (Subs-Db-postgresql.php, Subs-Db-sqlite.php) [Bug 2878]
 * Added a bit more padding to the AJAX in progress bar. (style.css) [Bug 2653]
 ! The current theme area should act like a shortcut to the current theme's settings. (Admin.php) [Bug 2863]
 ! Selecting a membergroup when registering someone from the admin area now requires the manage_membergroups permission. (ManageRegistration.php, Register template) [Bug 2816]
 ! Fixed approving posts on boards with 'Count Posts' disabled increased the posters post count. (Subs-Post.php) [Bug 2814]
 * Restructured the dropmenu styles to make the generic menus more flexible. (dropmenu.css, GenericMenu template) [Bug 1187], [Bug 2866]
 ! Notifications regarding the (un)locking of topics weren't always reporting the right status. (MessageIndex.php) [Bug 2891]
 ! Made the 'delete item' text for autosuggest items translatable. (suggest.js, PersonalMessage.js, various template files)
 & Added a language new string to support this change. (index language file)
 ! Internet Explorer 7 doesn't require a javascript fix for the dropdown menu's, so don't override its mouseover events. (script.js, menu.js)
 ! Change the way binary strings are built up from using the pack function to using double quoted strings. (Load.php, QueryString.php, Register.php, Search.php, Subs-Members.php, Subs-Post.php, Subs.php)
 ! Define custom properties of prototyped built-in JavaScript classes on forehand to make sure Chrome likes it. (script.js)
 ! In case the WYSIWYG editor has no selection, its getRange method function should return null; caused an error in Chrome. (editor.js)
 * Inline message icon modification was no longer working properly due to a missing div. (Display templates)
 * Some classes were defined twice in the same HTML tag. (Subs.php, Profile templates, Login templates, ManagePaid templates, Register templates, Wireless templates) [Bug 2894]
 ! Self-closing tags were treated as block tags by the legalise_bbc function causing unnecessary close tags to be added while switching from WYSIWYG to normal text. (Subs-Editor.php) [Bug 2895]
 ! The amount of line breaks was incorrect for [hr]-tags when switching from WYSIWYG to normal text mode. (Subs-Editor.php) [Bug 2179]
 ! The WYSIWYG table cell alignment conversion wasn't working properly, causing pasted tables to be parsed incorrectly. (Subs-Editor.php)
 * The message index produced invalid xHTML code in case there were no messages. (MessageIndex templates) [Bug 2889]
 * Make sure the tabs in the help section align properly. (Help template, help.css) [Bug 2698]
 * Prevent feedback messages from creating a gap between menu and content. (Profile template, profile.css) [Bug 2893]
 ! The container of the inline message icon changer wasn't getting the proper width in all browsers. (script.js) [Bug 2176]
 ! Do a proper check on the availability of a Personal Message. (PersonalMessage.php)
 * Don't show a border below vote options if there's no expiration date set. (Display template, forum.css)
 ! Always load the English version of the Modifications and (if applicable) ThemeStrings language files as a means of fallback. (Load.php) [Bug 2743]
 ! Update the session check system to make it a bit less predictable. (several files)
 ! Highlight the login tab when asking for a password reminder. (Subs.php) [Bug 2911]
 ! Upgrading an SQLite forum failed on adding the passwd_flood column. (upgrade_2-0_sqlite.sql) [Bug 2907]
 ! Renamed 'Show Contributions' back to 'Show Posts' to prevent unnecessary confusion. (Profile.php, Profile-View.php, Subs.php, Profile template, Profile language file)
 * Show a link back to the message index when starting a new topic in wireless mode. (Wireless template) [Bug 2906]
 ! A few maintenance areas weren't properly redirecting to their new location yet. (ManageMaintenance.php, ManageMaintenance template) [Bug 2927]
 ! The captcha class was sometimes instantiated unnecessary, causing a JavaScript error. (Subs-Editor.php)
 ! The visual and non-visual verification did not work properly on imode and WAP2. (Subs-Editor.php, GenericControls template, Wireless template) [Bug 2930]
 ! Several links to 'track IP' were losing the user ID. (Profile-View.php, Profile template) [Bug 2936]
 ! Calling the fromCharCode function in JavaScript using 'this' as prefix caused a JavaScript error in some cases. (script.js)
 ! The updateMemberData function would cause a database error in case it would be used as integration function. (Subs.php) [Bug 2914]
 ! The backup and alter function of the sqlite DB layer wouldn't work properly in case the .db extension wasn't set. (DbPackages-sqlite.php, DbExtra-sqlite.php)
 ! The remove_column function of the sqlite DB layer caused a PHP error. (DbPackages-sqlite.php)
 ! The sortSmileyTable function didn't work properly when using sqlite. (DbPackages-sqlite.php) [Bug 2438]
 ! Personal Messages couldn't be shown as conversations in sqlite. (Subs-Db-sqlite.php, PersonalMessage.php) [Bug 1590]
 ! The INSERT IGNORE command in the sqlite layer didn't do the ignore part very well. (Subs-Db-sqlite.php) [Bug 2926]
 ! In rare cases (with cache mode set to 3) an incorrect error might be shown after posting a reply to a topic that no longer exists due to a move or a merge. (Post.php) [Bug 2408]
 * Synchronzied all themes with regards to the template_button_strip function so they won't cause any xHTML errors any longer. (index template, Help template, Recent template, Combat template) [Bug 2938]
 * Several JavaScript function and method calls contained scriptURL's that were not taking advantage of the smf_prepareScriptUrl function. (index template, Help template, Packages template, Post template, SplitTopics template, Themes template) [Bug 2935]
 ! The calculation of the total number of posts was including the recycle bin posts. (Subs.php) [Bug 2092]
 ! Fixed install not creating an admin account for sqlite database. (Subs_Db-sqlite.php) [Bug 2940]
 * The wireless boardindex could add too many spans in case both the board and its children contained new messages. (Wireless template) [Bug 2928]
 ! Fixed a few database errors that could occur in certain Personal Message screens when using PostgreSQL. (PersonalMessage.php, Subs-Db-Postgresql.php) [Bug 2921]
 ! The password salt should remain flexible in length, so that it doesn't interfere with converted forums. (upgrade_2-0_mysql.php, install_2-0_sqlite.sql, install_2-0_postgresql.sql, install_2-0_mysql.sql) [Bug 2943]
 * Added an extra stylesheet for special styles to support RTL-languages. (index template, rtl.css)
 ! Fixed recount totals and statistics resulting in a session timeout. (ManageMaintenance.php) [Bug 2962]
 & $txt['remove_message'] appeared twice in the index language file. (index language file) [Bug 2961]
 ! Updating message icons caused a database error for the SQLite database layer. (ManageSmileys.php) [Bug 2950]
 * Fixed JavaScript errors occurring on the selection of options for the database backup function. (ManageMaintenance template) [Bug 2959]
 ! The forms used in generic lists were not properly working. (Subs-List.php) [Bug 2953]
 ! The package database functions for the SQLite database layer to modify, add and drop columns weren't working properly. (DbPackages-sqlite.php, ManageSmileys.php, ManageSearchEngines.php) [Bug 2951]
 * The tab index order was wrong when visual verification was required for a search. (Search template) [Bug 2949]
 * The visual verification didn't have a tab index set for its questions. (GenericControls template) [Bug 2948]
 ! The calendar required the database specific 'DAY' function in some cases, which is not supported by SQLite. (Subs-Calendar.php) [Bug 2947]
 ! Do a better job at highlighting the last item of the main menu. (Subs.php, index template, index.css) [Bug 2968]
 * Top anchor was missing in the message index template. (MessageIndex template) [Bug 2975]
 ! Some maintenance tasks were missing session checks. (ManageMaintenance.php)
 * The message context got lost after submitting a quick edit form in topic display. (Display template) [Bug 2974]
 ! Warning templates were injected with a username and subject that were HTML-escaped twice. (Profile-Actions.php) [Bug 2973]
 ! The unescaped version of forum_name was used in several places where it should've been escaped. (Load.php, ManageMaintenance.php, Register.php, Subs.php, ViewQuery.php, BoardIndex template, Login template, Printpage template, Wireless template, Login language file, Profile language file) [Bug 2971]
 * Applied JavaScript escaping to the quick modify instantiation parameters. (Display template)
 ! The JavaScript escape function left HTML links intact, which by some browsers get parsed. (QueryString.php)
 ! The tabs and scriptURL's didn't get replaced by the JavaScript escape function. (QueryString.php) [Bug 2993]
 ! Searching for members by age in some cases also returned members that hadn't submitted their birth dates. (ManageMembers.php) [Bug 2992]
 ! Merging Multiple topics and then unchecking one or more could cause a fatal error. (SplitTopics.php) [Bug 2994]
 ! The optimize_table function for SQLite database layer wasn't implemented. (DbExtra-sqlite.php) [Bug 2991]
 ! The attachment upload directory was incorrectly determined in case of uploading avatars with multiple upload directories enabled. (Subs-Graphics.php) [Bug 2990]
 * The gender field was not visible in the profile summary. (Profile template) [Bug 2988]
 ! Some <html> tags were not properly mentioning the xmlns or rtl attributes. (install.php, upgrade.php, Karma.php, ManageMaintenance.php, Subs-Auth.php, ViewQuery.php) [Bug 2986]


December 2008
--------------------------------------------------------------------------------
 ! The size property wasn't properly handled by the create table functions in the database layer (DbPackages-mysql.php, DbPackages-postgresql.php, DbPackages-sqlite.php) [Bug 2761]
 ! Attempt an alternative way of retrieving the version as the pg_version function doesn't exist yet in PHP 4.x. (install.php) [Bug 2790]
 & Include message icons in the description of the 'Manage smileys' permission. (Errors language file, ManagePermissions language file, ManageSmileys language file, Reports language file)
 ! Message icons available for all boards could not be managed by non-admins. (ManageSmileys.php) [Bug 2788]
 & Added a required permission to the description of the poll_post permission. (ManagePermissions language file) [Bug 2786]
 ! Unsubscribe from notifications in profile didn't work properly. (Profile-Modify.php) [Bug 2781]
 ! JumpTo didn't link properly to the categories. (script.js) [Bug 2778]
 + Made a new admin section for language-related settings. (Admin.php, ManageSettings.php, ManageServer.php) [Feature 1323]
 * Adjusted the Admin template accordingly and added a section icon. (ManageServer template, admin/languages.gif) [Feature 1323]
 & Added a few strings for the new language settings area. (Admin language file) [Feature 1323]
 ! The autosuggest didn't work properly in case PHP would handle parsing the query string. (suggest.js) [Bug 2799]
 ! A query used in a 'show users attachments' didn't work properly PostgreSQL. (Profile-View.php) [Bug 2773]
 ! Performing an upgrade of the same modification could not be done twice in a row. (Packages.php) [Bug 2702]
 * Fixed IE 6 not properly positioning the right aligned button strips. (ie6.css)
 * Fixed menu buttons getting a different color after being visited in IE. (style.css)
 ! Fixed incorrect header sent with downloadable binary files. (Display.php) [Bug 2792, Bug 2652]
 * The 'exclude sticky topics' option could no longer be selected when using the 'removing old topics' feature. (ManageMaintenance template) [Bug 2793]
 * The permission check used to enable the quick subject modify function was incorrect. (MessageIndex template)
 * In some themes, the quick subject modify function wasn't working properly. (MessageIndex template) [Bug 2797]
 * Added both 'add poll' and 'mark as unread' buttons to the button strips on the display page for the default theme, as there seems to be sufficient space. (Display.php, Display template) [Bug 2787]
 & Shortened the button text from 'Restore message' to 'Restore', as there wasn't enough space. (Index language file)
 ! The can_reply_approved context variable didn't take the post moderation master setting into account. (Display.php) [Bug 2783]
 ! Make sure a file to be deleted during the install of a package is checked for existence first. (Subs-Package.php) [Bug 2739]
 ! Fixed the user not being able to change their openID settings in case the openID has been switched off. (Profile.php) [Bug 2780]
 ! Prevent an attachment to not be shown in case a thumbnail could not be created. (Profile.php) [Bug 2801]
 ! No longer allow setting the personal messages options through the profile screen without profile_extra_own permission. Without profile permissions, there shouldn't be access to the profile screen. (Profile.php)
 ! Some settings could not be changed from the PM section. (Profile-Modify.php)
 ! The profile button wasn't visible in case the user was only allowed to edit their custom title. (Subs.php)
 ! Access to a non-standard profile area by users without the profile_view_* permission was blocked. (Profile.php) [Bug 2784]
 ! Fixed JavaScript error causing the switch from OpenID to password to fail. (register.js) [Bug 2779]
 ! Default values were not always properly set in the database structure of a backup. (DbExra-mysql.php) [Bug 2690]
 * Added a 'modify message' title to the quick modify button. (Display template) [Bug 2802]
 ! Both the spider log and the ban log didn't have page titles. (ManageBans.php, ManageSearchEngines.php) [Bug 2803]
 ! Bad URL error when downloading a non-existent package. (PackageGet.php, Subs-Package.php) [Bug 2764]
 ! Make sure no invalid XML characters are being sent through XMLHTTP (QueryString.php, Xml template) [Bug 2777]
 ! Some invisible characters in the lower ASCII range were not properly trimmed. (Load.php)
 ! The version_compatible property of the standard search API was incorrect. (SearchAPI-Standard.php) [Bug 2776]
 & Fixed a typo in $txt['critical_settings_info']. (repair_settings language file) [Bug 2775]
 * The 'Posting' help page wasn't XHTML valid.  (Help template, Help language file) [Bug 2771]
 ! Fixed guests getting an undefined index on voting at an SSI poll. (SSI.php) [Bug 2733]
 ! The SSI guest voting feature was storing an incorrect ID in the log_polls table. (SSI.php)
 * The Quick Reply description in combination with the 'topic locked' warning was taking more space than available at that spot. (forum.css, Display template) [Bug 2731]
 ! Store each file using the UNIX line breaks. (several files) [Bug 2727]
 * Added a CSS class for alerts and moved each alert and error to their respective CSS class. (several files) [Bug 2720]
 * The online image on the Display page was in some themes no longer linked properly to the PM screen. (Display template) [Bug 2718]
 ! Make the UTF-8 option checked by default during install in case PostgreSQL is selected as database. (install.php) [Bug 2676]
 ! Fixed the version detection for PostgreSQL in the installer as the version label used started with non-numeric characters. (install.php)
 ! Fixed a few undefined indexes caused by the database type not known during the install. (install.php)
 ! Fixed the syntax of the 'SET NAMES' query not being right for PostgreSQL. (Subs-Db-postgresql.php) [Bug 2676]
 ! Fixed typo in the template causing a malfunction in the inline edit feature. (Display template)
 ! The shadow bulletin board code didn't work properly in IE. (Subs.php) [Bug 2266]
 ! Fixed the shadow-text style not being implemented properly for the newer browsers supporting CSS 3. (Subs.php) [Bug 2366]
 ! A few return statements were not properly formatted. (PersonalMessages.php, Subs-Db_sqlite.php) [Bug 2810]
 ! Use more descriptive names for some of the variables. (ManageSearchEngines.php, ManageServer.php, PersonalMessage.php, Profile-View.php, Subs-Members.php, Subs-Post.php, Subs.php, Themes.php, Profile template) [Bug 2809]
 ! Clear a user's settings cache after toggling the dropdown menu. (Subs-Menu.php)
 * Use a proper alternate text for the 'send PM' button. (Display template) [Bug 2667]
 ! Fixed XML requests returning an error screen on session timeout, sending an HTTP 304 response code instead. (Security.php)
 ! Fixed keepalive action failing due to sending an integer value as separate request parameter. (script.js)
 ! Added a function allowing to escape JavaScript strings, necessary to get strings properly passed from template to JavaScript. (QueryString.php)
 ! Try to fall back on the English language if none of the preferred languages can be found. (Load.php) [Bug 2743]
 * Try to do a better job at styling the subject edit box in quick edit mode. (Display template, forum.css) [Bug 2175]
 ! Allow theme authors to easily load an additional language file for theme-related strings. (Load.php) [Feature 2829]
 ! Moved the log pruning settings to the admin log section. (Admin.php, ManageSettings.php)
 ! Send http header 503 when the forum is in maintenance mode, so search engines don't bother indexing it. (Subs-Auth.php)
 ! Send http header 500 when an operation results in a fatal error, so search engines don't bother indexing it. (Errors.php)
 ! Redesigned the server settings area and moved a few settings to it. (Admin.php, ManageServer.php) [Bug 1323]
 & Added a few new strings for the new server settings sections. (Admin language file) [Bug 1323]
 ! Restructured the autosuggest function, moving all configurable things to the template. (suggest.js, Subs-Editor.php)
 ! Autosuggest wasn't generic enough to handle non-member types. (suggest.js) [Bug 2595]
 ! Cleaned up the recipient handling logic in the PM send form. (PersonalMessage.php, PersonalMessage template)
 ! Added autosuggest function to most member searching controls. (Groups.php, ManageBoards.php, ManageMemberGroups.php, ManageNews.php, ManageBans template, ManageBoards template, ManageMaintenance template, ManageMembergroups template, ManageNews template, ManagePaid template, Profile template) [Bug 2815, Bug 2571, Bug 2548, Bug 1758]
 * Move the autosuggest style options from a separate css file to the main style.css as the control is too generic. (style.css, suggest.css)
 * Restyled the autosuggest to make the items more readable and fit into the theme. (style.css)
 ! Fixed old IE versions unable to deal with non-capturing parentheses in regular expressions. (script.js)
 ! The column size is incorrectly interpreted from the field definition given by MySQL. (DbPackages-mysql.php) [Bug 2842]
 ! A comment line still mentioned the old style column names. (Subs-Editor.php) [Bug 2840]
 * Make sure the alt-value of the avatar preview doesn't contain a value from a previously selected avatar. (Profile template) [Bug 2838]
 ! Default value in deltree function documentation was wrong. (Subs-Package.php) [Bug 2831]
 ! The 'latest member' wasn't always determined properly. (Subs-Members.php, Subs.php) [Bug 2830]
 ! Indices weren't always removed correctly when using the db_remove_index function. (DbPackages-mysql.php, DbPackages-postgresql.php, DbPackages-sqlite.php) [Bug 2812]


November 2008
--------------------------------------------------------------------------------
 & Split up the 'reply' text string, as it was used as both verb and noun. (index language file, Display template) [Bug 2714]
 * When sending out newsletters, make sure to remember whether we're sending them as personal messages or not. (ManageNews template) [Bug 2414]
 ! Email addresses weren't hidden properly in recent posts RSS feeds. (News.php) [Bug 2615]
 * Replaced the warning icons on the Display template with some that reflect their nature better. (warn.gif, warning_moderate.gif, warning_mute.gif, warning_watch.gif) [Bug 977]
 & Made capitalization of forum timestamps optional on a per-language basis. (Subs.php, index language file) [Bug 416]
 + Added Sphinx search files to the repository. (sphinx_config.php, SearchAPI-Sphinx.php)
 ! Added a method to the Search API's allowing to dynamically determine which methods it supports. (Search.php, SearchAPI-Custom.php, SearchAPI-Fulltext.php, SearchAPI-Sphinx.php, SearchAPI-Standard.php)
 ! Fixed the subject only search not working properly in Sphinx. (SearchAPI-Sphinx.php) [Bug 1567]
 ! Mails sent to Yahoo and Hotmail accounts no longer need special treatment. (Subs-Post.php) [Bug 1910]
 ! Added a check to prevent null byte insertion. (QueryString.php)
 ! Added an additional check on theme data insertion. (Themes.php)
 ! Prevent certain ascii data to appear in avatars. (Subs-Graphics.php)
 ! Added an .htaccess for the packages directory. (Packages/.htaccess)
 ! Fixed a few undefined index notices. (SSI.php, Help.php)
 ! Recalculating the amount of replies per topic wasn't quite working correctly with PostgreSQL. (RepairBoards.php) [Bug 2670]
 ! Users deleting their own accounts were improperly redirected. (Profile-Actions.php) [Bug 2760]
 ! Allow some of the database operation functions to accept an empty string as size parameter. (DbPackages-mysql.php, DbPackages-postgresql.php, DbPackages-sqlite.php) [Bug 2761]
 ! Fixed a typo in one of the comments. (Search.php) [Bug 2754]
 ! Sorting bans by number of trigger caused a database error. (ManageBans.php) [Bug 2770]
 ! Partially matching tags were in some cases interpreted by legalise_bbc as full matches. (Subs-Editor.php) [Bug 2767]
 ! Fixed in-topic-restore not working properly. (Display template) [Bug 2651]
 ! Moved in-topic-moderation function to object oriented and external JavaScript. (Display template, xml_topic.js)
 + Added a counter to the remove/restore buttons in case an in topic selection is being made (xml_topic.js)
 * Added a theme-specific JavaScript function to add menu items dynamically. (index template, theme.js)
 ! Removed trivial comment from Subs-Post.php (Subs-Post.php) [Bug 2645]
 * Cleaned up the template_button_strip function (index template, Help template) [Bug 2640]
 * Fixed button_strip not properly implemented for older themes on several pages (Recent template, Help template)
 ! Fixed 'repair boards' function could in some cases skip an ID to be checked. (RepairBoards.php)
 ! Make sure the range boundaries for a repair check are only calculated once for each check. (RepairBoards.php)
 ! Prevent a duplicate key error from occuring in case the message being salvaged was already part of an existing topic. (RepairBoards.php) [Bug 2725]
 ! Make sure the default error handler is always enabled again after parsing the database file during the upgrade process. (upgrade.php)
 ! Fixed JavaScript error caused by currentStyle property that's not defined in all browsers. (theme.js, babylon index template)
 ! Fixed code box select JavaScript not working properly in Safari. (script.js) [Bug 2769]
 & Fixed typo in $txt['error_form_already_submitted']. (Error language file) [Bug 2750]
 ! Make sure redirection boards don't count towards the total post count (Subs-BoardIndex.php) [Bug 2704]
 ! The message index showed the 'create topic' button in some cases when the user didn't have permission to create a topic. (MessageIndex.php) [Bug 2740]
 ! Newly created replies could in some cases become unapproved, eventhough the post moderation feature was turned off. (Post.php)
 ! The reserved table name array wasn't always matched in case the database prefix or database name contained capitals. (DbPackages-mysql.php, DbPackages-postgresql.php, DbPackages-sqlite.php)
 ! Dropping tables would not properly work when done from the SSI interface. (DbPackages-mysql.php, DbPackages-postgresql.php, DbPackages-sqlite.php) [Bug 2751]
 ! The 'create table' function didn't match the list of existing tables properly. (DbPackages-mysql.php, DbPackages-postgresql.php, DbPackages-sqlite.php)
 ! The SSI recent attachments function didn't respect the board access permissions properly. (SSI.php) [Bug 2737]


October 2008
--------------------------------------------------------------------------------
 ! PostgreSQL doesn't have instr() (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql) [Bug 2657]
 ! Paid subscription reminder emails could have HTML tags in them. (ScheduledTasks.php) [Bug 2621]
 ! With lots of themes installed but not all visible, admins might not see the whole game. (Themes.php) [Bug 2440]
 ! Tracking users had an error in PostgreSQL. (Profile-View.php) [Bug 2623]
 ! The who's online page was sometimes picking the wrong strings. (Who.php) [Bug 2616]
 & Help language file was corrupt somehow. (Help language file) [Bug 2609]
 ! Reattributing posts wasn't properly escaping a language string. (ManageMaintenance template) [Bug 2599]
 ! Expand the list of IP addresses associated with whois servers. (Profile-View.php) [Bug 2602]
 & Fixed a few minor typos. (Help, EmailTemplates, ManagePermissions language files) [Bug 2601]
 * Classic theme was fetching on2.gif, which sn't used in that theme (Classic BoardIndex template) [Bug 2327]
 ! Languages with agreements in them wouldn't install. (ManageServer.php) [Bug 2622]
 ! Give more information with a database error. (Subs-Db-xxxxx.php) [Bug 2582]
 ! Repairing the forum could fail on fixing missing topics. (RepairBoards.php) [Bug 2624]
 ! In rare cases, uploading an avatar could get SMF stuck in an infinite loop. (Subs-Graphics.php)
 ! Try stop spiders indexing verification stuff. (Register and GenericControls templates) [Bug 2626]
 ! Minor typo in ManagePaid. (ManagePaid.php) [Bug 2628]
 ! Protection stopping people making themselves admins wasn't quite what was required. (Profile-Modify.php) [Bug 2632]
 ! When a package wants to redirect handle the situation where they don't provide their own text. (Packages.php) [Bug 2631]
 ! Don't rewrite line breaks on files that we think are unicode. (Display.php) [Bug 2627]
 ! When deleting a board make sure any boards using it are reset. (Themes.php) [Bug 2473]
 ! Make sure admin help can only take a string. (Help.php) [Bug 1273]
 ! Don't allow ourselves to try to send notifications if the topics gone missing. (Subs-Post.php) [Bug 2408]
 ! Restoring a message from the recycle bin could through a database error if it was going to be a last message. (RemoveTopic.php) [Bug 2413]
 ! Load the new profile stylesheet when in the profile section. (Profile.php) [Feature 2634]
 * Add some extra padding to the credits template. (Who template)
 ! Settings pages could have invalid XHTML. (Admin template) [Bug 2454]
 ! SQLite wasn't setting default values right. (DbPackages-sqlite.php) [Bug 2646]
 ! Make sure to use the proper unescape function if the magic_quotes_sybase directive is enabled. (QueryString.php) [Bug 2661]
 ! Toggling the menu wasn't working properly with SQLite. (Subs-Menu.php) [Bug 2635]
 ! Opera and IE appear to prefer octetstream over octet-stream. (Display.php) [Bug 2652]
 ! pg_escape_string only supports one parameter on older versions of PHP. (Subs-Db-postgresql.php) [Bug 2675]
 ! URL decode URLs on servers without support for ; in the URL. (QueryString.php) [Bug 2669]
 ! Changed the warning show option to enable you to show warning status to moderators, all users or just those who are warned. (Display template, ManageSettings.php, ManageSettings language file)
 & Renamed some warning text strings to make them non-user specific. (Profile language file)
 ! Destroy menu now kills the template layer that was used to put it in. (Subs-Menu.php)
 ! Allow users to see their warnings from their profile, if the admin allows. (Profile.php, Profile-View.php, Profile-Actions.php, Profile template, Profile language file) [Bug 2663]
 ! Group membership notification emails were linking to an incorrect approval address. (Profile-Modify.php) [Bug 2692]
 ! When viewing unapproved posts and topics ensure we retain the current board within the page index. (PostModeration.php) [Bug 2697]
 ! Make sure the xcache actually has some capacity before trying to cache anything. (Load.php) [Bug 2694]
 ! Allow emptying out the whole spider log by putting in a zero for the time limit. (ManageSearchEngines.php, ManageSearch template, Search language file) [Bug 2684]
 ! It shouldn't be possible to set a default value for text fields. (DbExtra-mysql.php) [Bug 2690]
 ! If post size limit is into mediumtext territory then respect it on the insert. (Subs-Post.php) [Bug 2691]
 ! Improve the error message when uploading a package fails. (PackageGet.php, Packages language file) [Bug 2689]
 ! Updated the text in the language install screen to use a list, cause it looks better. (ManageSettings language file)
 ! Make it possible to have only the "change your custom title" permission. (Profile-Modify.php, Profile.php) [Bug 2701]
 ! Managing multilingual registration agreements wasn't quite working correctly. (ManageRegistration.php) [Bug 2696]


September 2008
--------------------------------------------------------------------------------
 ! A couple of additional changes were needed now that inet_aton() returns 8-bit integers (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql)
 ! INET_ATON() didn't support all possible IP addresses (install_2-0_postgresql.sql, upgrade_2-0_postgresql.sql)
 & Removed unused text string. (PersonalMessage language file) [Bug 2525]
 & Fixed some misspelled text indices. (ManageAttachments.php, PersonalMessage and ManageSearch template files, PersonalMessage, Search, and Admin language files) [Bug 2530,2518]
 ! Trimmed some of the old holidays. (install files) [Bug 2527]
 & Spelling fix and changing the PHP site link to the non-country specific version. (Help language file) [Bug 2530]
 * Put the Core Features in their own area of the admin center. (Admin.php, ManageSettings.php, Admin template)
 * Added a new icon for the Core Features area and replaced a few others with some more descriptive icons. (various images)
 + The profile section now uses generic menus. (Profile.php, Profile-Actions.php, Profile-Modify.php, Profile-View.php)
 * Adjusted the profile and paid subscription templates to reflect this. (Profile template, ManagePaid template)
 * Toggling the toolbar is now no longer an admin preference, but available to all users. (Subs-Menu.php)
 & Added language strings for the Show Contributions area and removed some obsolete strings. (Profile language file)
 ! The number of members requiring approval wasn't collected quite right. (ManageMembers.php) [Bug 2577]
 & Changed a few instances of 'non-existant' to their proper spelling. (ManageMaintenance language file) [Bug 2570]
 ! Moved the scheduled tasks functions to their own source file, template and language file. (Admin.php, ManageMaintenance.php, ManageMaintenance template, ManageMaintenance language file, ManageScheduledTasks.php, ManageScheduledTasks template, ManageScheduledTasks language file)
 ! Restructured the forum maintenance area. (Admin.php, ManageMaintenance.php, RemoveTopic.php, RepairBoards.php) [Bug 1322]
 * Adjusted the admin and forum maintenance templates for the above change. (Admin template, ManageMaintenance template) [Bug 1322]
 & Added language strings for the two changes above and removed a few obsolete ones. (Admin language file, Help language file, ManageMaintenance language file) [Bug 1322]
 ! Make sure we get compatibility going early enough in the upgrade script. (upgrade.php) [Bug 2590]
 ! Remove a unnecessary guest check. (Display template) [Bug 2591]
 * Fixed XHTML error in Display template. (Display template) [Bug 2594]
 ! Posts per day on newbies sometimes displayed a little funny. (Profile template) [Bug 2567]
 ! When copying the default theme also include some key css. (Themes.php) [Bug 2588]
 ! Changes to core settings broke admin search. (ManageSettings.php)
 + Add option to force cookies to be secure where HTTPS is in use. (Subs-Auth.php, ManageSettings.php, ManageSettings and Help language files) [Bug 2583]
 ! Allow deleting of smileys from the smiley edit screen. (ManageSmileys.php, ManageSmileys template and language files)
 ! Return the list of columns in a table as an associative array. (DbPackages-xxxx.php) [Bug 2569]
 ! The custom index search was generating errors, if it worked at all. (SearchAPI-Custom.php) [Bug 2407]
 ! Make the attachment restriction warnings more clear and concise, and accurate. (Post.php, Post template, Post language file) [Bug 2556]
 * Some lists wern't showing bullets when they should. (Who template, ManageSettings language file) [Bug 2531]
 * Browsing a package server wasn't dealing with headings and titles. (Packages template) [Bug 2564]
 * Only show ordered lists on the package page if there is more than one package. (Packages.php, Packages template)
 * Display template needed a tweak to get the page numbers in the same place as the bottom. (Display template) [Bug 2549]
 ! Strip tags from board and catergory names for the move drop down box. (MoveTopic.php) [Bug 2547]
 ! Change the URL to the Simple Machines package server. (upgrade and install scripts) [Bug 2395]
 ! Tweak how is_last is removed on the setupMenuContext function. (Subs.php) [Bug 2534]
 * Top border on posts was sometimes missing. (Display template) [Bug 2586]
 ! The togglebar function wasn't putting in the right variables all the time. (GenericMenu template) [Bug 2517]
 ! Sometimes the number of unread messages might be cached and calculated wrong for personal messages. (PersonalMessage.php) [Bug 2580]
 ! Allow admins to enable the sidebar for all members. (Settings template)
 * Changed license.txt in all theme folders from Lewis Media to Simple Machines LLC.


SMF 2.0 Beta 4 Public                                           7 September 2008
================================================================================
September 2008
--------------------------------------------------------------------------------
 * Copywrite notice was too small. (index.css) [Bug 2389]
 ! Upgrade was throwing an error if you disable security. (upgrade.php)
 * When making a backup of the forum, include the table structure by default. (ManageMaintenance template) [Bug 2489]
 * Add the windowbg2 class to the Core Features page to ensure it's readable on darker themes. (Admin template)
 ! The edit box was not being set up correctly on quick edit. (xml_topic.js) [Bug 2488]
 ! The SSI query posts function unnecessarily parsed each message twice. (SSI.php) [Bug 2484]
 ! Make the $field parameter optional for $smcFunc['db_insert_id']. (Subs-Db-mysql.php, Subs-Db-postgresql.php, Subs-Db-sqlite.php) [Bug 2498]
 ! Add detection for Opera 9.6 (script.js) [Bug 2495]
 ! Fix the jumpto box containing entities. (script.js) [Bug 1025]
 ! Don't show the editor's resizer in Google Chrome, as that browser supports textarea resizing by default. (script.js, editor.js)
 ! Closing of BBC tags wasn't working right on all tags, particularly br and hr. (Subs-Editor.php) [Bug 2494]
 ! Only protect file names where they exist. (QueryString.php) [Bug 2493]
 ! Make sure verification with guests works properly with quick reply. (Post.php, Post template, Errors language file) [Bug 2447]
 ! Add name and email boxes for guests using quick reply. (Display.php, Display template)
 ! Saving of custom profile fields was not always working correctly. (Profile-Modify.php) [Bug 2487]
 ! Change the way random numbers are generated for the session and reminder variables. (several files)


August 2008
--------------------------------------------------------------------------------
 ! Better sanitization for paid subscription posts upon saving a subscription. (ManagePaid.php)
 ! Member-dependant variables weren't parsed when sending newsletters via personal messages (ManageNews.php) [Bug 2445]
 ! It was possible to get undefined index errors when sending out newsletters (ManageNews.php)
 * Code boxes with just a single line of code now get their horizontal scrollbar again if needed (theme.js) [Bug 2446]
 ! Some smileys weren't being used. (install sql files, Install language file) [Bug 2466]
 ! A user couldn't see their own unapproved topics if the board contained only unapproved topics. (Load.php, MessageIndex.php) [Bug 2458]
 ! Put field names between the appropriate classifiers when creating a table. (DbPackages-mysql.php, DbPackages-postgresql.php, Subs-Db-mysql.php, Subs-Db-postgresql.php)
 ! A column's default value can be 0 but not null, so check it properly. (DbPackages-mysql.php, DbPackages-postgresql.php)
 ! Messages are now always marked as read for guests (Display.php) [Bug 2364]
 ! Don't show a link to the permission profile area when a user can't manage permissions. (ManageBoards.php, ManageBoards template) [Bug 2476]
 ! Remove any HTML from category and board names when building the list of boards for quick moderation (MessageIndex.php) [Bug 2478]
 ! Use a capital-less identifier when querying the name of the first poster for RSS feeds. (News.php) [Bug 2470]
 ! Redirect to the right admin area after clearing a log. (ManageBans.php, ManageMaintenance.php, ManageSearchEngines.php) [Bug 2463]
 & Removed the %Z option from the helptext for the timeformat as it wasn't very useful and could cause confusion. (Help language file)
 ! Encode spaces in the URL before checking the image size. (Subs.php) [Bug 2342]


SMF 2.0 Beta 4                                                    20 August 2008
================================================================================
August 2008
--------------------------------------------------------------------------------
 ! All messages would appear as new when a board was marked as read. (Display.php) [Bug 2365]
 ! Link to the last post in the topic on the board index for guests instead of the last post on the entire forum. (Subs-BoardIndex.php) [Bug 1925]
 ! Change the ignore_boards column from tinytext to text to allow more boards to be ignored.  Note:  At this time this doesn't effect existing SQLite installs. (upgrade and install SQL files) [Bug 2323]
 ! Added white to the list of colors in the generic controls. (GenericControls template, Post language file) [Bug 2361]
 ! /me was removing the preceding newline. (Subs-Post.php) [Bug 2228]
 ! The error log filter was escaping the _ character in the display text. (ManageErrors.php)
 ! Added a column header for the news column to avoid confusion with the preview column when editing news items. (ManageNews template) [Bug 2247]
 ! Fixed up a few of the warning template replacements. (Profile-Actions.php, Profile language file) [Bug 2371]
 ! The list of messenger icons should no longer result in empty list items nor an empty list. (Display template, Load.php) [Bug 2370,1933]
 ! Message approval wasn't working. (Subs-Post.php) [Bug 2375]
 ! When searching with excluded words you could get a database error. (Search.php) [Bug 2376]
 ! Fixed javascript error when looking at your own warnings. (Profile template) [Bug 2373]
 ! Give the who is online area the right look on Display. (Display template) [Bug 2369]
 ! It simply isn't possible to send a guest an email from Personal Messages as we don't have their address - so remove the code that does that. (PersonalMessage template) [Bug 2374]
 ! Don't try to fix mods by default in the upgrader. (upgrade.php)
 ! Attempt to automatically get the arrow right on sorted lists that start descending. (Subs-List.php) [Bug 1678]
 ! The memberlist direction arrow wasn't really right, so fix it. (Memberlist.php) [Bug 1253]
 ! Give the WYSWIYG editor the same tab index as the window it replaces. (editor.js) [Bug 2362]
 + Added a database specific function to escape LIKE wildcards. (Subs-Db-xxx.sql)
 ! When filtering the error log use the database specific wildcard escaping. (ManageErrors.php) [Bug 2184]
 ! Don't show messenger icons in the mini profile if the person can't view the poster's profile. (Display template) [Bug 228]
 ! URLs that contained single digit octets weren't being auto linked correctly. (Subs.php) [Bug 454]
 ! Small tweak to the javascript URL in the display template to stop stupid search engine linking. (Display template) [Bug 2380]
 ! Setting a default value with select boxes and custom profile fields wasn't working that great. (upgrade and install scripts) [Bug 1978]
 ! Posting polls was bypassing the approvals process. (Post.php) [Bug 2379]
 ! Weights wern't being applied correctly in search. (Search.php) [Bug 2226]
 ! The moderation log wasn't showing the moderator names. (Modlog.php)
 ! The poster was not being logged correctly when individual messages were deleted. (RemoveTopic.php) [Bug 1657]
 ! Surpress error notice messages when cleaning up mods. (upgrade.php) [Bug 2187]
 ! Don't error on duplicate indexes on install, and fix a undefined index. (install.php) [Bug 2183]
 ! Support some more common password salts. (LogInOut.php) [Bug 1954]
 ! The unread and unreadreplies actions was only taking the user custom topics per page into account for the pagination but not the topics themselves. (Recent.php) [Bug 2356]
 ! Sometimes entries were being added to the moderation log when nothing was changed. (Post.php)
 ! Surpress mkdir errors in the package manager. (Subs-Package.php) [Bug 2384]
 ! When deleting topics, if the topic is going to be gone forever, don't link the topic ID. (RemoveTopic.php, MessageIndex.php) [Bug 2338]
 ! Moderators couldn't warn a member due to a certain post. (Profile-Actions.php) [Bug 2387]
 ! If a database engine doesn't give us the size of an index or a table then just default to not applicable. (ManageSearch.php, ManageSearch template) [Bug 440]
 + Added ALTER support for SQLite. (DbExtra-sqlite.php, DbPackages-sqlite.php) [Feature 1586]
 ! Updated the upgrade script to use the new method. (upgrade_2-0_sqlite.sql)
 ! Fixed a few issues with smf_db_insert_sql and smf_db_table_sql so that they work properly with SQLite. (DbExtra-sqlite.php)
 ! Fixed mysql_real_escape_string compatibility problems for PHP < 4.3. (Subs-Compat.php)
 + Added a css file for the package manager. (packages.css, Packages.php, PackageGet.php)
 * Don't collapse sections when only one item is in the section or it is the only section. (Packages template) [Bug 2390]
 & Grammer for board access text. (ManageBoards language file) [Bug 2402]
 * Javascript variable to identify safari browsers was using the wrong variable. (editor.js) [Bug 2397]
 & Made the text for sending emails on database connection errors generic. (Admin language file) [Bug 2406]
 & Improved the wording and included extra information for news and newsletters help text. (Help language file) [Bug 2246]
 ! When an admin changed a member's display named and approved an account, the display name would be sent in the email as the username to log in. (ManageMembers.php, EmailTemplates language file) [Bug 2419]
 + Added additional spiders to the default list. (install and upgrade sql files) [Feature 1545]
 ! SQLite doesn't support setting character sets. (Subs-Db-sqlite.php) [Bug 2411]
 ! Use some spider specific text strings for some actions. (Who.php, ManageSearchEngines.php, Who language file) [Bug 2428]
 ! Show the spider log with newest first as default. (ManageSearchEngines.php) [Bug 2427]
 ! Adding calendar holidays could result in trying to put in titles that were too long. (ManageCalendar.php, ManageCalendar template) [Bug 2425]
 ! Protect against a missing variable in permission management. (ManagePermissions.php) [Bug 2424]
 & Removed a load of unused language entries. (Various files) [Bug 2404]
 * Add titles to the post moderation setting images page thing. (ManagePermissions template) [Bug 2418]
 * Fixed validation error in permissions template. (ManagePermissions template) [Bug 2415]
 & Some language entries were missing a closing bold tag. (ManageSettings language file) [Bug 2429]
 ! It was impossible to quick edit an unapproved post. (Post.php) [Bug 2093]
 ! Make sure to clean the ignore boards POST variable even when you aren't coming from the ignore boards profile page. (Profile-Modify.php)
 ! Set quick reply to shown but collapsed for the initial user when installing the forum. (install sql files) [Bug 1845]
 - Removed an artifact javascript function. (script.js) [Bug 2222]
 * Added the ability to add an onsubmit action for admin settings pages. (Admin template)
 ! Added a javascript notice if an admin selects the recycle board option without selecting a specific board to use as the recycling board. (ManageBoards.php) [Bug 2412]
 & Added text string for above option. (ManageBoards language file) [Bug 2412]
 & Improved the text string for the simplied post moderation reply for one's own topics. (ManagePermissions language file) [Bug 2416]
 * The post moderation permission page was missing a closing form tag. (ManagePermissions template file) [Bug 2409]
 ! The ignore boards feature could cause a database error under certain conditions. (Load.php)
 ! Post template was defaulting to approve unapproved posts. (Post template) [Bug 2432]
 * The message index template had picked up an old typo. (MessageIndex template) [Bug 2436]


July 2008
--------------------------------------------------------------------------------
 ! COPPA wasn't working right as guets can't access it. (index.php) [Bug 2291]
 * If the deliminator is 'null' when finding members with javascript it means we only can handle one name. (Help template)
 ! Use the above change to ensure ban triggers only use one username. (ManageBans template) [Bug 2288]
 ! Ensure ban triggers a logged even for new bans. (ManageBans.php) [Bug 2287]
 ! Accept slightly longer color names. (Subs.php) [Bug 2237]
 & The label for message icons hadn't been made translatable on Display. (Display template, index language file) [Bug 2292]
 ! Sending personal messages was reporting users were ignoring you on PostgreSQL. (Subs-Post.php) [Bug 2260]
 & A language string (login_or_register) was duplicated in Login template. (Login template and language file) [Bug 2263]
 ! The SSI function ssi_queryMembers returned unreliable results if called more than once. (SSI.php) [Bug 2241]
 ! The javascript addslashes function wasn't escaping single quotes, breaking some popup smileys. (script.js) [Bug 2265]
 ! The hack for a bugger version of MySQL wasn't quite right. (ScheduledTasks.php, install and upgrade scripts) [Bug 2283]
 ! Setting a theme smiley set wasn't working right. (Settings templates) [Bug 1973]
 ! Searching for members somtimes would show unapproved members. (Memberlist.php) [Bug 2227]
 ! Removed the package function saveInstalledPackages() as the data it saves to a file is now stored in the database. (Subs-Package.php)
 ! Fixed incorrect locking of cache file for the language cache. (ManageMaintenance.php)
 ! Fixed javascript error when editing poll. (Poll template) [Bug 2306]
 ! db_server_info was failing on SQLite. (Subs-Db-sqlite.php) [Bug 2301]
 & Clarified the meaning of "Default Personal Text". (ManageSettings and Help language files)
 ! Do a bit more validation on the subject choice when moving, merging and spliting topics. (MoveTopic.php, SplitTopics.php) [Bug 2307]
 * Subject line was overlapping buttons when inline editing (Display template)
 * Poll editing links were laid out below instead off to the right when you had voted (Display template, style.css, forum.css, ie6.css)
 * Fixed HTML layout to comply with SGML/tidy standards. (several files)
 ! The default personal text setting was not working correctly. (Subs-Members.php) [Bug 2302]
 ! The theme URLs were being set incorrectly when making a copy of the default theme. (Themes.php) [Bug 2312]
 ! Lowered the number of pages shown when clicking the '...' in the pagination to 50. (script.js) [Feature 1304]
 ! Since PHP tends to be a bit more lenient with comparisons, make sure to do a type check for 'null' in dumpTags(). (News.php) [Bug 2321]
 ! Users deleting themselves wern't being logged properly. (Subs-Members.php) [Bug 2316]
 ! If we haven't loaded a theme, we can't do a proper fatal_lang_error, so die gracefully. (Errors.php)
 * Fixed differences with default fontsize in browsers (default/style.css, default/css/ie6.css, default/css/ie7.css)
 * Updated Help.template css withbetter styles (default/css/help.css)
 ! Make sure that custom fields are cleaned correctly from registration. (Profile.php, Profile-Modify.php, Register.php) [Bug 2309]
 ! Make sure custom field restrictions cannot be bypassed. (Profile-Modify.php) [Bug 2310]
 ! Wireless was showing the wrong total pages on display. (Display.php)
 & Username error messages wern't that informative on install. (install.php, Install language file) [Bug 2300]
 ! Don't bother logging certain OpenID error messages. (Subs-OpenID.php) [Bug 2334]
 & Removed some duplicated and/or unused strings. (index and Profile language files) [Bug 2263]
 ! Don't allow the recycle bin board to be made into a redirection board. (ManageBoards.php, ManageBoards template, ManageBoards language file) [Bug 2253]
 ! Don't list redirection boards on the ignore boards page. (Profile-Modify.php) [Bug 2330]
 * Fixed validation error which could occur on the display page for quick reply. (Display template) [Bug 2331]
 * wrapping child boards line created trouble in IE7, narrow browser widths didn't "fill out" same spot. (default/BoardIndex.template, default/css/forum.css) [Bug 1865]
 * removed hr element and used css to create divider between subject and post (default/Display.template, default/css/forum.css) [Bug 1933]
 * removed PHP/MYSQL/CSS buttons, addd XHTML, RSS and WAP2 text links instead. (default/index.template, default/css/froum.css, default/style.css) [Bug 2058]
 * Synced IMG alt and A title tags for IM buttons, for consistency (Load.php) [Bug 2101]
 * cleaned up latest-themes section (other/latest-themes.js, simlemachines.org/SMF/latest-themes.js)
 * cleaned up latest-packages as well (other/latest-packages.js, simplemachines.org/SMF/latest-packages.js)
 * moved inline styles, advanced search icon now have title/alt tags filled and the menu items have alt tag on the a tag ( default/css/index.css, default/index.template.php ) [Bug 2079]
 * Restoring a message from a topic in the recycle bin wasn't working right. (Display template) [Bug 2340]
 ! Protect against redirecting to a deleted topic on quick moderation. (Display.php) [Bug 2339]
 ! Clarify whether a topic has been locked or unlocked in the moderation log - and stickies too. (LockTopic.php, Modlog language file) [Bug 2333]
 ! Fixed a couple of PostgreSQL bugs. (Groups.php) [Bugs 2251,2244]
 ! The recount function was setting id_last_msg incorrectly on boards. (ManageMaintenance.php) [Bug 2162]
 ! When adding a label to PM's the redirect was using the wrong anchor name. (PersonalMessage.php) [Bug 2242]
 * Classic theme was missing some text strings. (index template) [Bug 2354]
 ! Fixed javascript error expanding stats in the stats page. (stats.js) [Bug 2351]
 ! Category names wern't getting properly cleaned in the jump to box. (Xml.php) [Bug 2345]
 ! Make all Package database functions add a prefix unless told otherwise. (DbPackage-xxxx.php, upgrade.php, ManagePosts.php, convert.php) [Bug 1952]
 ! Checkboxes for move and announce wern't being remembered upon preview. (Post.php, Post template) [Bug 2305]
 & Reworded the quick reply description. (index language file) [Bug 1886]
 ! Don't increment a users post count until their post has been approved. (Subs-Post.php, RemoveTopic.php, MoveTopic.php, Subs-Members.php) [Bug 2004]
 ! Don't allow people to remove every admin from the admin group. (Subs-Membergroups.php) [Bug 2102]
 ! Don't show the group link tree if you're in the moderation center. (Groups.php) [Bug 2332]
 * Warn a user who is about to remove themselves from the admin group. (ManageMembergroups template, ManageMembers language file) [Bug 2243]
 ! Approving a message during an edit wasn't actually working. (Post.php) [Bug 2165]
 ! Don't allow moving of a topic to the same board as it came from. (MoveTopic.php) [Bug 2304]
 ! Set more default values in the install and upgrade scripts. (install and upgrade scripts) [Bug 2329]
 ! If people are using quick reply, and need to enter verification details, give them some notice. (Display.php, Display templates, Post.php, index and Post language files) [Bug 2278]
 & A language entry was in the wrong file. (Errors and PersonalMessage language files) [Bug 2358]
 ! Fixed typo in moderation center. (ModerationCenter.php) [Bug 2357]
 * Quick preview wasn't working. (Post template)
 ! The page index was shown incorrectly when users were denied their request to view all posts in a topic. (Display.php) [Bug 2314]


June 2008
--------------------------------------------------------------------------------
 + It is now possible for themes to define "variations" (Such as colors) and have SMF do all the UI for it. (Themes.php, Load.php, Themes and index templates, Themes language file)
 ! Added some compression to the character set conversion schemas. (script.js)
 * Image inconsistency on ManagePermissions. (ManagePermissions template) [Bug 2147]
 ! Fixed the auto suggest not supporting non-UTF8 character sets. (Subs-Editor.php) [Bug 1895]
 & Viewing membergroups was missing the associated action. (Who language file) [Bug 2149]
 ! Don't log the user into the online log if they are entering a verification code - as the action won't make sense anyway. (index.php) [Bug 2149]
 ! When you turn off post moderation, approve everything. (PostModeration.php, ManageSettings.php) [Bug 2138]
 & The password reminder text made about as much sense as being vegetarian. (Profile language file) [Bug 2151]
 ! Upgrade could turn back on post moderation - bad boy! (upgrade_2-0_mysql.sql) [Bug 2133]
 ! Add the brute force check to reminder emails. (Reminder.php)
 ! The number of permissions per group was being miscounted slightly. (ManagePermissions.php) [Bug 2108]
 ! Split topics wouldn't always work on PostgreSQL due to bad grouping. (SplitTopics.php) [Bug 2090]
 ! Applying signature settings would replace all instances of an over-ratio image sig. (ManageSettings.php) [Bug 2085]
 ! If the user can select more than one option in a poll - limit it to the number of options. (Display.php, SSI.php)
 ! The UTF-8 check on install wouldn't work due to lack of server connection. (install.php) [Bug 2054]
 ! SQLite should not return error text if connection fails, instead hold it in db_error. (Subs-Db-sqlite.php) [Bug 1730]
 ! Do a better job counting inserts on the installer. (install.php) [Bug 2087]
 ! Fixed a bug causing a nasty loop on entering invalid BBC tags. (Subs-Editor.php) [Bug 2166]
 ! Optimized the first half of the legalise_bbc function. (Subs-Editor.php)
 ! Could not create custom search index in PostgreSQL due to syntax errors. (DbSearch-postgresql.php)
 ! The ban list wasn't working on PostgreSQL. (ManageBans.php) [Bug 2049]
 ! The list control now supports setting the default sort direction. (Subs-List.php)
 ! Sort the ban list by newest first, by default. (ManageBans.php) [Bug 2136]
 ! Automatically approve any messages or posts being moved towards the recycle bin. (RemoveTopic.php, MoveTopic.php) [Bug 2134]
 * The recent posts template was displaying horribly. (Recent template)
 + Added support for webslices, and used them for recent posts. (News.php, BoardIndex template, Xml template, index language file)
 ! A space is needed before the /> in xhtml or else pages will not validate. (Many files) [Bug 2206]
 ! Show the number of downloads for attachments when managing attachments from the admin panel. (ManageAttachments.php) [Bug 2208]
 ! The query to check for ALTER privileges was still using ID_BOARD, causing it to always fail. (install.php) [Bug 2220]
 * Fixed validation issue in MessageIndex template. (MessageIndex template) [Bug 2218]
 ! TrackIP wasn't respecting board permissions. (Profile-View.php) [Bug 2223]
 ! The WYSIWYG editor seems to work with Safari so lets allow it. (editor.js) [Bug 1484]
 ! The javascript password verification wasn't stopping use of email as password. (register.js) [Bug 2215]
 ! The editor resizer doesn't work on the rubbish versions of Opera. (editor.js) [Bug 1468]
 ! Fixed possible undefined index but in Search. (Search.php) [Bug 2205]
 ! PostgreSQL doesn't support full text. (SearchAPI-Fulltext.php) [Bug 2197]
 ! Some repair queries wern't working on RepairBoards. (RepairBoards.php) [Bug 2120]
 ! Work around an annoying bug in some MySQL versions. (upgrade.php, install.php, ScheduledTasks.php, Display.php)
 ! Password reminders did not work when using a validation code. (Reminder.php) [Bug 2232]
 ! Users loaded in loadMemberContext() are never guests. (Load.php) [Bug 2224]
 ! Backup wasn't working in PostgreSQL. (DbExtra-xxx.php) [Bug 2235]
 ! Finally got repair boards to work on all databases by doing more work, I'm afraid. (RepairBoards.php) [Bug 2234]
 & Change the formatting of the guest welcome text on the semantic theme. (index template, index language file) [Bug 2233]
 ! Users could not delete their own topics using quick moderation. (MessageIndex.php) [Bug 2236]
 ! Removing and restoring topics wasn't always logged properly. (MessageIndex.php, RemoveTopic.php) [Bug 1827]
 ! Multiple topics could not be restored at the same time using quick moderation. (RemoveTopic.php) [Bug 2239]
 ! A member's username was being shown instead of their display name when viewing warned members. (ModerationCenter.php) [Bug 1965]
 ! Optimized the second half of the legalise_bbc function. (Subs-Editor.php) [Bug 2181]
 * The message index was not always valid xhtml. (MessageIndex template) [Bug 2249]
 ! PostgreSQL didn't know how to find an integer in a set. (install_2-0_postgresql.sql)


May 2008
--------------------------------------------------------------------------------
 ! Tell PostgreSQL how to convert an integer into a timestamp (Subs-Db-Postgresql.php) [Bug 2048]
 + Added support for XCache. (Admin.php, Load.php, ManageServer.php, Subs-Admin.php, ManageSettings language file) [Feature 1937]
 ! When issuing a warning, check to see if there are no errors before sending them a notification about the warning. (Profile-Actions.php) [Bug 1955, Bug 1996]
 ! More substring replacements for SQLite. (Themes.php) [Bug 2005]
 ! Can't use file_exists on an url.  It needs a path. (Subs-Menu.php) [Bug 1994]
 ! Remember the collapse state for guests and the info center. (index.template.php) [Bug 1977]
 ! Comma format the stats for ssi_boardStats. (SSI.php) [Bug 1968]
 ! When adding a ban or reporting a post to a moderator, make sure to use the UTF-8 compatible htmlspecialchars function. (ManageBans.php, SendTopic.php) [Bug 1958,1963]
 ! When viewing the posts of watched users, take into account the smileys and check if they are to be shown or not. (ModerationCenter.php) [Bug 1966]
 ! After sending the Location header in Settings.php, just exit. (Settings.php) [Bug 2010]
 ! Fixed a JavaScript syntax error that occurred when operations failed. (Packages template) [Bug 1651]
 * The wrong sub_action was being set when toggling the sidebar on the admin panel. (GenericMenu template) [Bug 2003]
 ! The title for the watch users by posts was wrong. (ModerationCenter.php) [Bug 1990]
 * Use a more noticeable icon for the notification notice popup when looking at the warnings issues to a user on the profile page. (Profile template) [Bug 1993]
 ! It was possible to get undefined errors when sending newsletters and not sending a PM with it. (ManageNews.php) [Bug 1962]
 ! Trim the trailing slashes from theme_dir when creating a copy of the default theme. (Themes.php) [Bug 1782]
 + Added icons to the quick admin tasks in the admin home page. Thanks to m3talc0re for the icons. (Admin.php, Admin template, admin.css) [Feature 1639]
 ! The language editor didn't take into account utf8 language files when saving. (ManageServer.php) [Bug 1791,2012]
 + When making a copy of the default theme, generate a theme_info.xml file. (Themes.php) [Feature 201]
 ! When making a copy of the default theme, increase the time limit. (Themes.php)
 ! When splitting topics, take into account the user defined messages per page setting. (SplitTopics.php) [Feature 1970]
 ! When loading themes that have custom Settings template and language file, load the language before the template and force a language reload. (Themes.php) [Bug 1935]
 ! Password strength was not being checked when passwords were reset using a secret question. (Reminder.php) [Bug 1959]
 + Added integrate_output_error hook for integrations that want to display errors in the integrated script instead of SMF. (Errors.php)
 ! Package functions wern't always using default correctly. (DbPackages-mysql.php, DbPackages-sqlite.php) [Bug 2022]
 ! Some functions were renamed when they shouldn't have been. (ManageSmileys.php, Reminder.php) [Bug 2011]
 ! Make the page title HTML safe. (Subs.php, index templates) [Bug 2015]
 ! If the user makes an error when creating admin account on install, protect the variables. (install.php) [Bug 1613]
 ! Always set the timezone on install, to avoid errors. (install.php) [Bug 2019]
 ! The WYSIWYG editor wasn't doing too well with complex paragraphs, and some crazy embedded styles. (Subs-Editor.php)
 ! Don't show warning PMs as being from the "guest" membergroup. (PersonalMessage.php) [Bug 1997]
 ! Don't give a javascript error if the BBC buttons are disabled. (GenericControls template, script.js) [Bug 1972]
 & The error message for invalid range when tracking an IP was setting a bad example. (Profile-View.php, Errors language file) [Bug 1991]
 ! It's now possible to resize richedit controls - but only on Firefox so far. (script.js, resize-handle.gif)
 * Fixed too big font-sizes in IE7/IE6 for default theme, future theme (default/css/ie6.css, future/css/ie7.css) [Bug 1892]
 * Added missing icons in admin sections/menu (Admin.php) [Bug 1759]
 * Changed dots to background arrow for drop-menus with child menus (dropmenu.css, GenericMenu.template) [Bug 1187]
 * Typos in forum.css (default/css/forum.css, future/css/forum.css) [Bug 2030]
 & When toggling the sidebar, set the subaction only if its being set. (GenericMenu template) [Bug 2034]
 ! Some places were still using 'sc' instead of 'sesc' for sessions in the url. (Several files) [Bug 2031]
 ! Don't show the auto renew subscription option if it's disabled. (Subsciptions-PayPal.php) [Bug 2035]
 ! Only show the closing form tag if not in the last step. (install.php) [Bug 2029]
 ! Changed the way that prefix are validated when installing.  (install.php, Install language file) [Bug 1735]
 ! JavaScript doesn't like commas at the end of the last element in an array.  It goes crazy. (editor.js) [Bug 2032]
 ! Sorting bans by triggers resulted in a database error. (ManageBans.php) [Bug 2036]
 ! Flash wasn't being disabled properly on the BBC button menu. (Subs-Editor.php) [Bug 2033]
 ! Smileys with HTML in their code were dissapearing on post. (Subs-Editor.php) [Bug 2038]
 & Tweak the number of voters text, to stress it's current members only. (index language file) [Bug 2008]
 ! Try to give better error messages in the package manager. (Packages.php, Subs-Package.php, PackageGet.php, upgrade.php) [Bug 2039]
 ! Scheduled tasks is no longer a subsection of Forum Maintenance. (Admin.php, ManageMaitenance.php, ManageMaintenance template, Admin and ManageMaintenance language files) [Feature 1322]
 ! Added the Tasks Log, Spider Log and Ban Log to the Logs section. (various files) [Feature 1319]
 ! Fixed some PostgreSQL bugs. (ManageNews.php, ManageSearchEngines.php, Subs-Db-postgresql.php, Profile-Modify.php) [Bug 2047,2048,2050]
 ! If a modification is malformed don't give undefined index errors, and tell them which file it is. (Packages.php) [Bug 2046]
 + Add database level login brute force protection. (Load.php, LogInOut.php, Error language file, upgrade and install scripts)
 ! Casting an array as an integer is not a good idea.  Lets loop through the array and cast it's values as integers. (Search.php) [Bug 1961]
 ! Keep things consistent and make Spider Logs -> Spider Log. (Admin language file) [Bug 2045]
 ! Scheduled Tasks page was using the Forum Maintenance title. (ManageMaintenance.php, ManageMaintenance language file) [Bug 2044]
 ! When warning a member because of a message, make sure that the msg id is casted as an integer. (Profile-Actions.php) [Bug 2065]
 ! Fields in SQLite are case sensitive. (Subs-Db-sqlite.php, LogInOut.php)
 ! Remember the database filename for SQLite if an error occurs on install. (install.php) [Bug 2052]
 ! Some request variables were not being casted as integers when giving someone a +/- karma. (Karma.php) [Bug 2099]
 ! When searching, it was still possible to get a database error if the search relevance was a double instead of an integer. (Search.php) [Bug 1714]
 ! Some links had extra unneeded semicolons at the end. (Subs-BoardIndex.php, Profile template) [Bug 2080,2082]
 ! Unapproved posts in the moderation area didn't take into account if smileys were enabled or not. (PostModeration.php) [Bug 2094]
 ! Strip slashes for database name on install. (install.php) [Bug 2052]
 ! Make sure the cache is properly cleared whenever a topic is moved from one board to another. (MoveTopic.php) [Bug 2111]
 * Gender images were not displayed on posts properly. (Display template) [Bug 2100]
 ! When registering a user via the admin panel, set the ip to the local host ip. (Subs-Members.php) [Bug 2083]
 ! Sometimes when deleting attachments they wouldn't delete. (ManageAttachments.php) [Bug 2089]
 ! Don't use hard coded language string for the prompts in the rich editor. (Subs-Editor.php, editor.js, index language file) [Feature 2067]
 ! When ever possible use fatal_error over trigger error for database errors. (Subs-Db-postgresql.php, Subs-Db-sqlite.php) [Bug 2057]
 & Removed duplicate language string entry for calendar_link_event. (index language file) [Bug 2051]
 ! Added the page offset to the board link for Moderation Log entries. (Modlog.php) [Bug 2097]
 ! Redirect after submitting a moderation comment to prevent double submission. (ModerationCenter.php) [Bug 1779]
 ! Some databases require you to have a GROUP BY clause when using HAVING. (Display.php) [Bug 2086]
 ! Announcing a topic to only regular members threw an error after the first batch. (Post.php) [Bug 2061]
 ! Make sure only valid topics can be announced. (Post.php) [Bug 2064]
 ! A poll's expiration date was not being checked in SSI. (SSI.php) [Bug 2121]
 ! Users with permission to manage membergroups were not shown the manage membergroups button in the admin menu. (Admin.php) [Bug 2126]
 ! The email form occasionally showed the user's user name instead of their display name. (SendTopic.php) [Bug 1874]
 ! The integrate_fix_url hook was not working properly. (News.php) [Bug 2132]
 ! The regular expression to remove the DESC from the GROUP BY in SQLite was a bit too greedy. (Subs-Db-sqlite.php)
 ! Added moderation notes as part of the default items in the Moderation Center. (ModerationCenter.php) [Feature 2122]
 ! Logging in and out was not working in PostgreSQL due to the case sensitive names. (LogInOut.php) [Bug 2127]
 ! Removed WYSIWYG support for IE 5.0 as it didn't work properly. (editor.js)
 ! Revised event handling by the WYSIWYG editor so that they work within OOP context. (editor.js)
 ! Added IE/Opera support to the textarea resizing function. (editor.js)
 ! Fixed wrapping bbc tags around the current caret position in WYSIWYG mode for FF. (editor.js)
 ! Move cursor to the end of the inserted bbc tags if something was selected. (editor.js)
 ! Allow HTML entities to be used as username, allowing latin character sets to be used for non-latin usernames. (LogInOut.php, Subs-Auth.php, Subs-Members.php, sha1.js) [Bug 1466]
 ! Remove HTML-entities from the shown filename. (Display.php, ManageAttachments.php, SSI.php)
 ! Attempt to send a proper filename when downloading a non-ASCII named attachment. (Display.php)
 ! The links to set individual board's permissions were incorrect. (ManageBoards.php, ManageBoards template)
 ! Fixed inserting smileys not working properly in Opera. (editor.js)
 ! Make sure only those allowed to receive notifications can request them. (Post.php) [Bug 2095]
 ! Guests could receive disallowed permissions when copied from another group or profile. (ManagePermissions.php)
 * No arrow were shown on highlighted menus with submenus. (GenericMenu template) [Bug 2044]
 * Fixed some validation issues on admin pages. (Admin template, GenericMenu template) [Bug 2146]
 ! The subject of the 'report to moderator' mail notification wasn't properly encoded. (SendTopic.php) [Bug 1856]
 ! When browsing avatars the popup address was wrong if using a custom avatar directory. (ManageAttachments.php) [Bug 2139]
 ! An undefined index error was thrown if a corrupt package was uploaded. (Packages template)
 ! Quick Edit used html entities where it shouldn't. (script.js, sha1.js, xml_topic.js) [Bug 1580,1836]
 ! Standardized and centralized the url encoding and 8 bit conversion of JavaScript textual parameters (script.js, editor.js, register.js, suggest.js, xml_board.js, xml_topic.js)
 ! Fixed the registration name check not working properly with HTML entities. (Register.php)
 * Fixed duplicate ID causing the quick edit subject to appear at the wrong place. (Display template)
 ! Fixed ISO-8859-9 and added ISO-8859-5 and ISO-8859-15 to the JavaScript character set conversion. (script.js)
 ! PostgreSQL won't like group by on not all columns. (Display.php, Subs-Db-postgresql.php)
 ! Make sure mail queue emails are parsed as strings. (ScheduledTasks.php) [Bug 1841]
 ! If there's nothing to search for due to some dodgy characters, then just skip it. (Search.php) [Bug 2088]
 ! Make sure the page title really does handle entities correctly. (Subs.php) [Bug 2077]
 ! The JavaScript character set conversion was still not fully identical to a typical form submission process. (script.js)


April 2008
--------------------------------------------------------------------------------
 * The link to import a smiley was not correct. (ManageSmileys.php, ManageSmileys template) [Bug 1862]
 & If a member was banned while logged in they would not receive the correct error. (Security.php, index language file) [Bug 1862]
 ! Add some extra variable safety into SMF. (index.php)
 & Emailing a user should appear in who's online. (Who language file) [Bug 1875]
 ! Email form was showing the wrong name. (SendTopic.php) [Bug 1874]
 ! "Allow users to email" still wasn't working. (Register.php) [Bug 1873]
 ! Check time offset always returns something valid. (profile.js) [Bug 1871]
 ! Allow warned admins to change their warning level. (Profile-Actions.php, Profile template) [Bug 1867]
 ! Display lists better in search results. (Search.php) [Bug 1869]
 ! Paid subscriptions wasn't allow deletion of completed subscriptions. (ManagePaid.php) [Bug 1864]
 ! Auto detecting the time offset wasn't working in some locales. (Profile.php, Profile template, profile.js) [Bug 1860]
 ! WYSIWYG editor is now themable. (Load.php, Subs-Editor.php, editor.js)
 ! If you define a custom menu subsection URL then don't force the 'sa' index into the URL. (Admin.php, GenericMenu template) [Bug 1877]
 + Add a new variable in SSI, $ssi_on_error_method, that allows users to define how to handle errors in SSI. (SSI.php, Errors.php) [Feature 1084]
 ! By default assume the admin will want to email users through the forum, but allow them to select their email address from the email screen. (SendTopic.php, SendTopic template) [Feature 1872]
 * Updated some templates for the above change. (Profile, Display templates)
 ! Fixed undefined index error when logging in with OpenID. (Subs-OpenID.php) [Bug 1804]
 ! Ensure totalMembers is set on install. (install scripts) [Bug 1798]
 ! ssi_fetchGroupMembers was incorrectly sorting by username, not display name. (SSI.php) [Bug 1800]
 ! Changing core settings was destroying the custom profile field cache. (ManageSettings.php) [Bug 1792]
 ! BBC cleaner upper was being a little more aggressive than need be, time to reign it back in, as it was messing up some languages translations. (Subs-Post.php) [Bug 1807]
 ! Moderation cache wasn't respecting people who could manage membergroups. (Subs-Auth.php) [Bug 1817]
 ! The "simple" permission management screen would cause a javascript error with disabled permissions. (ManagePermissions template) [Bug 1783]
 ! XML feeds (RSS etc) were not having the URLs prepared right if queryless URLs were enabled. (News.php) [Bug 1790]
 ! The admin menu wasn't hiding itself properly for those who could not enter. (Admin.php, Moderate.php) [Bug 1774]
 ! Add a function for destroying a menu. (Subs-Menu.php)
 + Allow moderators to add custom warning messages. (Profile-Actions.php, Profile template, ModerationCenter.php, ModerationCenter template, ModerationCenter language file) [Feature 1497]
 ! Shut PHP up about magic quotes. (QueryString.php) [Bug 1658]
 ! User searching wasn't doing it by name and username. (Subs-Auth.php) [Bug 1815]
 ! On the board index don't let search engines index it if there is something in the querystring, other than the session ID. (BoardIndex.php)
 ! Block requests that have http at the start of the query string as it's annoying. (QueryString.php)
 ! Only index topics that have come through normal page links. (Display.php, MessageIndex.php)
 ! Generally, stop robots indexing stupid pages. (Several files)
 ! Change last post links on message index for guests to improve indexing. (MessageIndex.php)
 * Don't show action=unread links for guests. (BoardIndex and Message index templates)
 ! Inline permissions were not saving right. (ManageServer.php) [Bug 1884]
 ! Fixed undefined index error for reported posts. (ModerationCenter.php) [Bug 1811]
 ! Code blocks were using white-space: pre, which does not work well with IE. (style.css) [Bug 1802]
 ! Moved the future index template into the default, and added new stylesheets as a result. (style.css, index.css, ie6.css, ie7.css, index template)
 ! Fixed up some problems with the new templates, and moved the board index across. (forum.css, index.css, style.css, main/mirror tab images, BoardIndex template, index template)
 ! Added a variable to show when a function has had it's templates updated. (BoardIndex.php, index template)
 * Fixed css issues with future theme, converted Display.template (future/templates)
 ! If max number of attachments per post is disabled, show the upload field and set the limit to 50 per page load. (Post.php) [Bug 1902]
 ! Wrong variable was being used for the key in the $matches array. (ManageSettings.php) [Bug 1896]
 ! Some actions were in the wrong order. (index.php) [Bug 1906]
 ! Recounting forum totals and statistics sometimes caused a database error. (ManageMaintenance.php)
 ! Keep search engine list sorted by user agent order. (ManageSearchEngines.php) [Bug 1924]
 ! Send 503 when the forum is down. (Subs-Auth.php) [Feature 1926]
 ! Send nofollow on sorting links on generic lists, memberlist and the who template. (Who, GenericList templates)
 ! No search engine indexing for guest login screen thanks. (Security.php)
 ! Put the new message index template live into the default theme, and fix a few errors elsewhere. (forum.css, MessageIndex.php, style.css)
 ! SQLite doesn't support RLIKE, so make our own. (Subs-Db-sqlite.php) [Bug 1724]
 ! Expanding message size wasn't working. (ManagePosts.php) [Bug 1918]
 ! Removed migrated templates from future theme directory as it will use default. (Several templates)
 ! LoadTemplate wasn't failling back to the default theme properly for style sheets. (Load.php) [Bug 1900]
 ! Make the audio CAPTCHA harder to detect with scripts. (Subs-Sound.php)
 ! Tab image sizes meant too long or too short tabs were looking wrong. (mirrortab_first/last.gif, maintab_first/last.gif)
 ! Fixed some problems left on the message index. (MessageIndex template) [Bug 1932]
 ! Changed the way template_button_strip works to make it more efficient. (index template)
 ! Fixed some validation issues in the updated theme templates. (BoardIndex template) [Bug 1922]
 & Removed unused language string, "to delete_blank". (Post language file) [Bug 1913]
 ! Put the "future" display template into the default theme. (Display template)
 ! On PHP 4.2.0 seed the random generator - reported by Jessica Hope. (Subs-Compat.php, index.php)
 ! Remove HTML recursively from normal user's posts - reported by Jessica Hope. (Subs-Post.php)
 ! Custom profile fields wouldn't play nice in non-latin languages. (ManageSettings.php) [Bug 1885]
 ! Added some more randomization to CAPTCHA sound. (Subs-Sound.php) [Bug 1920]
 ! Mac wasn't being detected as windows. (Load.php) [Bug 1947]
 & Minor typo in language string index. (PackageGet.php, FixLanguage.php, Packages language file) [Bug 1948]
 ! Send some very basic traceback info on a solid error in the database - very basic. (Subs-Db-xxx.php)
 ! If you were not an admin and you tried to do an upgrade you simply got a database error. (upgrade.php) [Bug 1946]
 ! Added some temporary images to get tabs looking right in non-upgraded themes, other tweaks. (forum.css, maintab_first_prev.gif (etc))
 - Removed noindex from wireless pages as it will stop mobile indexers. (Wireless template)
 ! Always clean the language class when debugging. (Subs.php)
 ! The spider display setting was unclean and not working right. (Who.php, Search language file) [Bug 1940]
 ! Added CSS class, "normallist", for standard list - that do need formatting. (style.css, Help language file)
 * Link to the right section of the post approval center when clicking the board/message index link. (BoardIndex, MessageIndex templates) [Bug 1929]
 * Reattribute post template was invalid, and making it unusable in Firefox. (ManageMaintenance template) [Bug 1916]
 ! Custom profile fields can now be marked as editable by the owner and admin only, invisible to users. (ManageSettings.php, Profile.php, Profile-Modify.php, ManageSettings language file) [Feature 1901]
 ! Stats had an unnecessary group in the query. (Stats.php) [Bug 1830]
 ! Tabs were not being displayed right with code blocks in firefox. (Subs.php) [Bug 1944]
 ! The nobbc was getting auto closed too many times. (Subs-Editor.php) [Bug 1831]
 ! Cache the recent posts for slightly less time and search harder for messages as it's now cached. (Subs-Recent.php) [Bug 1819]
 ! Don't allow spell checking to suggest censored words. (Subs-Post.php, Search.php) [Bug 882]
 + Allow admins to override meta keywords tag. (ManageSettings.php, index templates, ManageSettings and Help language files)
 ! Ensure that the meta description and, in some cases, forum name, are html'd when used in tags. (Subs.php, index templates) [Bug 1893]
 ! Use the "send email" form in all places except admin areas. (PersonalMessage, Memberlist, Profile templates) [Bug 1872]
 ! Ensure you can only skip admin account creation if you have no admins, and clean erroneous username characters. (install.php) [Bug 1733]
 ! rtrim quotes to avoid any trailing line breaks (etc). (Post.php)
 ! When quoting html tags, keep the line breaks. (Post.php) [Bug 1897]
 ! Ensure that in the rich text editor all normal breaks are converted to html breaks. (Subs-Editor.php)
 ! Sometimes the package installer/uninstaller could ask for FTP when it didn't need it. (Packages.php) [Bug 1899]
 ! Give a more accurate status message to people upgrading their language/template files. (upgrade.php) [Bug 1767]
 ! Present a user installing SMF with a more obvious error message if the install scripts are missing. (install.php, install language file) [Bug 1863]
 ! RepairBoards wasn't setting unapproved post count right. (RepairBoards.php)
 ! Restore posts wasn't setting all the necessary statistics so it got a partial rewrite. (RemoveTopic.php) [Bug 1943]
 ! Upgrade now requires the Install language file, and uses this for some of the primary language strings. (upgrade.php, Install language file)
 ! Don't allow the use of numeric prefixes for SQLite. (install.php) [Bug 1672]
 ! Make posting keyboard shortcuts (alt+s, ctrl+b etc) work in Firefox on the post page. (editor.js)
 ! The syntax for REGEXP is slightly different from RLIKE in SQLite. (Subs-DB-sqlite.php) [Bug 1936]
 ! In some cases search relevance returned doubles but the database expected integers so now they are casted as integers. (Search.php) [Bug 1714]
 ! Check to see if the database filename exists for SQLite.  If so just return an error. (install.php, Install language file) [Bug 1731]
 ! Show the full path for the database filename in SQLite. (install.php) [Bug 1729]
 ! iPhone uses the same engine as the iPod but different agents so detect the iPod as an iPhone as well. (Load,php, script.js) [Feature 1951]
 + Updated the installer to use a similar style to the upgrade tool, cleaning things up in the process. (install.php, Install language file)
 & Language entry for not_activated was added to the wrong language file. (Admin and ManageMembers language files) [Bug 1953]
 * Use a different warning message when uninstalling a mod that contains errors. (Packages template, Packages language file) [Bug 1837]
 ! Try to prevent double submission of the modification installation form. (Packages.php, Packages template) [Bug 1950]
 ! XML comments weren't properly parsed in package XML files. (Class-Package.php)


March 2008
--------------------------------------------------------------------------------
 ! Recycled posts and topics can now be restore via quick moderation. (Display.php, MessageIndex.php, RemoveTopic.php, Display and MessageIndex templates, index language file) [Feature 1343]
 ! Restoring topics now uses the move_any permission instead of the moderate_forum. (Display.php, MessageIndex.php, RemoveTopic.php)
 ! Some queries were missing the substring identifier in SSI.php. (SSI.php)
 ! We don't use short joins in queries any more. (SSI.php)
 ! Downloading a database dump in SQLite would sometime fail due to an error in the headers sent. (DbExtra-sqlite.php)
 ! Check to see if the db_filename is empty when installing under SQLite. (install.php, Install language file) [Bug 1732]
 ! When using the "Today" feature moderation note submission times were parsed incorrectly. (ModerationCenter.php) [Bug 1778]
 ! Password reminders were not being sent out by email. (Reminder.php) [Bug 1780]
 * The classic theme was showing a header for child boards when there were none. (MessageIndex template) [Bug 1777]
 ! Calendar events were being shown on the board index regardless of where they were set to show. (Subs-Calendar.php) [Bug 1776]
 ! Banned members could still post unapproved replies and topics if post moderation was enabled. (Security.php) [Bug 1775]
 ! Calendar events that were not linked to a post could not be edited. (Subs-Calendar.php) [Bug 1788]
 ! Members were being shown as duplicates of themselves when awaiting activation. (Subs-Members.php) [Bug 1786]
 * Search results were not styled in quote box correctly. (Search template) [Bug 1785]
 * Update wireless mode to handle the new code for code and quote BBC. (Wireless template)
 ! The default action for admin account creation on new installs was "skip" instead of "finish". (install.php) [Bug 1797]
 ! The webmaster email was not being written to the settings file on new installs. (install.php)
 ! Skipping admin account creation caused a database error if a session was already present in the database. (install.php)
 ! Some database functions for packages were adding the database prefix multiple times. (DbPackages-xxxx.php) [Bug 1793]
 ! Board deletion was not being logged in the administrative log properly. (Subs-Boards.php) [Bug 1795]
 ! Requesting group membership caused an undefined variable error. (Profile-Modify.php) [Bug 1799]
 ! Set quick reply to be shown but collapsed by default. (Register.php) [Feature 1845]
 ! The sendpm function should load the PM language file in case it needs encounters an error. (Subs-Post.php)
 ! Parse the BBC in previous notice text. (ModerationCenter.php) [Bug 1846]
 ! Sort the smileys table immediately after enabling smileys. (MangeSmileys.php) [Bug 1834]
 ! When moving a topic make sure the current board isn't select as the default value. (MoveTopic.php) [Bug 1833]
 ! The unapproved reply permission was showing a reply link on locked topics. (Display.php) [Bug 1829]
 ! Disable WYSIWYG if BBC is disabled. (Post.php, PersonalMessage.php) [Bug 1809]
 ! The group requests and the group listings was using the member name instead of the real name. (Groups.php, ModerationCenter.php) [Bug 1816]
 ! Having a moderator watch list with members who all have 0 posts was causing a database error. (ModerationCenter.php) [Bug 1832]
 ! Fixed upgrade script erroring if theme paths were wrong - give them a big warning instead. (upgrade.php)
 ! Upgrade wasn't slashing board names sometimes. (upgrade_2-0.sql)
 ! cache_getOffsetIndependentEvents doesn't need Calendar.php. (Subs-Calendar.php)
 ! getEventRange didn't always include the link index of events. (Subs-Calendar.php) [Bug 1848]
 ! Change the index on the manage mail queue to make it faster. (install and upgrade scripts)
 ! Reverse the logic behind the priority flag on mails to work to MySQL's natural sorting advantage. (Many files)
 ! Announcements and newsletters are now sent lower priority than notifications as they can go whenever. (ManageNews.php, Post.php)
 ! Make sure password/activation emails are sent right away. (Several files)
 ! Don't show areas of the moderation center to people who can't access them. (ModerationCenter.php) [Bug 1810]
 ! Added variables for IE8. (Load.php, script.js)
 ! Don't throw an error if moderation log data in the database is a little off. (Modlog.php)
 * Themes that didn't use tabs threw some errors on the manage attachments screen. (ManageAttachments template) [Bug 1854]
 ! Searching for members by their primary group resulted in a database error. (ManageMembers.php, Subs-Members.php) [Bug 1850]
 ! The session was not being checked when approving posts. (PostModeration.php) [Bug 1851]
 ! Don't let guests issue warnings. (ManagePermissions.php) [Bug 1857]
 ! Size custom profile input fields a little more logically. (Profile.php)
 ! The javascript verification password should only be true if the main password is true. (register.js)
 ! Autocheck the username is available when the user has typed it in register. (register.js)
 ! show_online wasn't being cast to an int. (Subs.php, Subs-Membmers.php)
 ! The register "allow users to email me" option wasn't really being done right. (Register.php, Register template) [Bug 1858]
 + Allow the admin to set the server timezone. (ManageSettings.php, ManageSettings and Help language files)
 ! Upgrade and install scripts should now work with MySQL 6, assuming you are starting from 2.0. (install.php, upgrade.php, install_2-0_mysql.sql, upgrade_2-0_mysql.sql) [Bug 1859]
 ! Make sure the "Play Sound" doesn't follow the link. (captcha.js) [Bug 1784]


SMF 2.0 Beta 3 Public                                              17 March 2008
================================================================================
March 2008
--------------------------------------------------------------------------------
 ! Ensure memcached version information is displayed correctly when available. (Subs-Admin.php)
 ! Split topics would cause a database error. (SplitTopics.php) [Bug 1754]
 ! Magic quotes still applies on parse_str, so work around this too. (QueryString.php) [Bug 1588]
 ! Allow styling of the WYSWIYG editor border, and make it look the same in all browsers. (editor.js, editor.css, editor_ie.css) [Bug 1146]
 ! The activateaccount function existed twice. (Profile-Modify.php) [Bug 1757]
 ! Pagination wasn't working for unapproved topics. (PostModeration.php) [Bug 1753]
 ! Latest news in the moderation center could cause a javascript error. (ModerationCenter template) [Bug 1608]
 * Added a new image for use in the package manager for viewing operations and make it always use the default theme. (package_ops.gif)
 ! Warn a user if they are running install on an existing install. (install.php)
 ! Allow the skipping of admin account creation on install. (install.php)
 + Also track edits to a user's custom profile fields. (Profile-Modify.php, Profile-View.php) [Bug 1683]
 ! Adding an index wouldn't work quite right. (DbPackages-xxxx.php)
 ! Dump database was incorrectly checking memory allocation. (DumpDatabase.php)
 + Install and upgrade will now warn you if your script is out of date. (install and upgrade scripts)
 * Use tabindex on quick modify to ensure the input jumps as expected. (Display templates)
 ! If deleting a conversation delete items in your outbox and inbox. (PersonalMessage.php) [Bug 1674]
 ! Only the first page of moderator notes could be viewed if caching was enabled. (ModerationCenter.php) [Bug 1762]
 ! The scheduled task log could not be emptied. (ManageMaintenance.php) [Bug 1825]
 ! The unescape string function did not work in PostgreSQL (Subs-Db-postgresql.php) [Bug 1828]
 ! Upgrade failed if a board using local permissions had an apostrophe in its name. (upgrade_2-0_mysql.sql)
 ! In some cases merging topics would cause a database error. (SplitTopics.php) [Bug 1844]
 ! It was impossible to reactivate an account after it was marked for deletion. (LogInOut.php)


SMF 2.0 Beta 3                                                     15 March 2008
================================================================================
March 2008
--------------------------------------------------------------------------------
 ! When sorting by IP use INET_ATON to sort them properly. (ManageMembers.php, Profile-View.php) [Bug 1671]
 ! When viewing the warning notices that were sent to a member resulted in a database error. (ModerationCenter.php) [Bug 1670]
 ! Post moderation wasn't fully gone in its disabled state. (several files)
 ! The current_member parameter should be casted as raw instead of integer. (PersonalMessage.php)
 ! SQLite is picky when int is used as an column type for primary fields. Use integer instead. (install_2-0_sqlite.sql)
 * Use javascript to create the AJAX notification. (index template, script.js)
 * Give the quick edit and post warning icons title attributes. (Display template, index language file) [Feature 1411]
 * More changes to future theme. Started on Display.template (Themes/future)
 ! In some languages smf news feeds might not display correctly. (News.php) [Bug 1686]
 ! Fixed query in profile. (Profile-Modify.php) [Bug 1688]
 ! Query error in MergeTopics. (SplitTopics.php) [Bug 1690]
 ! Fixed query error in Display. (Display.php) [Bug 1691]
 ! Added $modSettings['postmod_active'] as a shortcut to define whether post moderation is doing something. (Several files)
 ! Issueing a warning was displaying the username not display name. (Profile-Actions.php) [Bug 1687]
 ! Fixed undefined index when editing a poll. (Poll.php) [Bug 1682]
 ! Truncate poll questions so they look nicer. (Post.php, Poll.php) [Bug 1681]
 & There were two strings with the same index in one file. (ModerationCenter language file) [Bug 1673]
 ! If the user is adding more than one person to a PM, try do them all one after another. (suggest.js) [Bug 1663]
 ! When deleting or labelling a conversation in personal messages do it to every message. (PersonalMessage.php) [Bug 1674]
 + Added the ability to support tabs to the generic list. (Subs-List.php, GenericList template)
 * Changed the order subscription page looks in the profile section. (ManagePaid template)
 ! Better handle replacing of smileys in the WYSIWYG editor. (Subs-Editor.php) [Bug 1477]
 & The description for the moderation center boxes setting is no longer needed as it now uses checkboxes. (Moderation Center template, Moderation Center language file) [Bug 1667]
 ! Language files downloaded from the admin panel were not always saved to the disk correctly. (ManageServer.php) [Bug 1538]
 ! Language files with an underscore didn't work with the language editor. (ManageServer.php)
 & The order button's text was hardcoded in the subscriptions page. (ManagePaid template, ManagePaid language file) [Bug 1697]
 ! Attachments couldn't be approved or deleted from the moderation center due to a database error. (PostModeration.php) [Bug 1693]
 ! Bans that have expired shouldn't trigger a hit on the email address. (Security.php) [Bug 1684]
 & Missing global. (ManagePaid language file) [Bug 1698]
 ! Copyright function could sometimes spit out bad HTML. (Subs.php)
 * Calendar template was missing an opening div. (Calendar template) [Bug 1637]
 * Make lists show up better in wireless mode. (Wireless template) [Bug 1349]
 - Removed the ability to pass an unhashed password to the login function via GET. (LogInOut.php) [Bug 467]
 & Duplicated txt entry. (Profile language file) [Bug 1661]
 & Some old email text strings hadn't been removed. (ManageMembers language file) [Bug 1565]
 ! Wrong index name was being used for paid subscriptions errors. (subscriptions.php)
 ! Stop adding new people adding more than one and/or submitting the form. (suggest.js) [Bug 1659]
 ! Group requests were being made much too safe. (Groups.php) [Bug 1706]
 ! Use <code> for BBC code tag and <blockquote> for BBC quote tag. (Subs.php, style.css)
 ! Hopefully fix some post moderation issues. (Several files) [Bug 1707]
 ! Some database backup options were not being followed. (DumpDatabase.php) [Bug 1653]
 ! SQLite doesn't have a CONCAT function of its own. (Subs-Db-sqlie.php) [Bug 1702]
 ! SQLite doesn't have LOCATE so we need to create it. (Subs-Db-sqlite.php) [Bug 1602]
 ! Sorting some options in Manage Membergroup resulted in database error for SQLite. (Subs-ManageMembergroups.php, ManageMembergroups.php) [Bug 1603]
 ! Some debugging code was left in the database initialization functions. (Subs-Db-sqlite.php, Subs-Db-postgresql.php) [Bug 1708]
 ! Removed some incorrect spacing. (Various files) [Bug 1385]
 ! Try to make key names as unique as possible for package operations to accommodate for different modification files. (Packages.php) [Bug 1703]
 ! Set the $connection paramenter to null by default for transactions in SQLite to make the connection optional. (Subs-Db-sqlite.php) [Bug 1701]
 ! Rewrote the upgrade file for SQLite.  This is a temporary method until the custom alter table support is added to SMF. (upgrade_2-0_sqlite.sql) [Bug 1546]
 ! The link to sort the moderation report actions table was incorrect. (ModerationCenter.php) [Bug 1704]
 ! Attachment maintenence occasionally threw undefinded variable errors when using a single attachment path. (ManageAttachments.php)
 ! Viewing a user's permissions in a specific board threw a database error. (Profile-View.php)
 ! The list of boards a particular user could not see was not exhaustive. (Profile-View.php) [Bug 1680]
 ! Fixed undefined index when writing reasons to request a group application. (ManageMembergroups template) [Bug 1727]
 ! Fixed undefined index reporting a pm. (PersonalMessage.php) [Bug 1721]
 ! Viewing bans was showing the wrong number of triggers. (ManageBans.php)
 ! Ban name was being unnecessarily protected twice. (ManageBans.php) [Bug 1716]
 ! Reporting a personal message was protecting the subject too much. (PersonalMessage.php) [Bug 1720]
 ! Personal Message searching was simply ignoring the age parameters. (PersonalMessage.php) [Bug 1722]
 ! Disabling the font BBC wasn't removing the select box. (GenericControls template)
 ! Disabled BBC which had a select box would lead to a javascript error. (editor.js) [Bug 1718]
 ! SMF wasn't sending the right reminder email all the time. (Register.php) [Bug 1692]
 ! Simplify the language caching to avoid rush conditions better. (Load.php, ManageMaintenance.php) [Bug 1709]
 ! Make absolutely sure that changing mods can be skipped. (upgrade.php) [Bug 1669]
 ! Make the moderation log easier to understand when we can't find particular parameters. (Modlog.php) [Bug 1712]
 ! Memberlist search was incorrectly html'ing repeat searches. (Memberlist.php) [Bug 1725]
 ! The number of files in some directories was being reported incorrectly. (ManageAttachments.php, Post.php, Subs-Post.php)
 * The link to quote a personal message was incorrect in sent messages folder. (PersonalMessage template) [Bug 1723]
 ! Make sure search doesn't die if a topic in the cache get's deleted. (Search.php) [Bug 1715]
 ! Cast months as integers to drop the leading 0 for the stats. (Stats.php) [Bug 1713]
 ! A GROUP BY is needed for SQLite when using HAVING. (Profile-View.php) [Bug 1719]
 ! Make sure to skip certain database errors for SQLite on upgrade. (upgrade.php) [Bug 1546]
 ! Use the table alias for the approve column in the recent page. (Recent.php) [Bug 1737]
 ! Set the $do_include to true by default. (ManageMaintenance.php) [Bug 1736]
 ! The post moderation setting screen wasn't setting moderate permissions right. (ManagePermissions.php) [Bug 1642]
 ! The file permissions screen wasn't XHTML valid. (Packages.php, Packages template) [Bug 1739]
 ! Replying to all on a pm would throw an error. (PersonalMessage.php) [Bug 1744]
 ! Verification questions were not working if you just wanted one question. (Subs-Editor.php) [Bug 1745]
 ! Marking recent topics as read would redirect to somewhere which might not be where you wanted to go. (Recent template) [Bug 1746]
 ! Verification questions were not being checked as case insensitive. (Subs-Editor.php) [Bug 1624]
 ! Birthdates were not getting saved and displayed quite right if the user wanted to remove the year/date. (Profile-Modify.php) [Bug 1178]
 ! Don't let the admin setup a paid subscription without any costs. (ManagePaid.php, ManagePaid language file) [Bug 1598]
 ! Added another index to the topics table for MySQL. (install and upgrade scripts) [Bug 1593]
 ! Search highlighting wasn't really working very well. (Search.php) [Bug 1622]
 ! Custom search index wasn't working with new posts. (Subs-Post.php)
 ! Optimisation of the recent topic query for when post moderation is in use. (Recent.php) [Bug 1728]


February 2008
--------------------------------------------------------------------------------
 ! Try to make sure that garbage collection for sessions is turned on when using database driven sessions. (Load.php) [Bug 1494]
 & Added a compact linktree consisting of category name and current board name to the wireless templates. (Wireless template) [Feature 1243]
 ! Check for registration errors before registering the user. (Register.php) [Bug 1495]
 & Changed the moderation notes interface a bit and added scrollbars. (ModerationCenter template, style.css) [Bug 937]
 + Lowered the limit of moderation notes to show and added pagination. (ModerationCenter.php, ModerationCenter template) [Bug 1476]
 + Added the ability to delete moderation notes. (ModerationCenter.php, ModerationCenter template)
 & Give the message icon cell a fixed width. (Display template) [Bug 1452]
 ! When enabling the warning system restore the default values. (ManageSettings.php)
 ! Undefined index errors when warning a member and leaving the reason blank. (Profile-Actions.php) [Bug 1496]
 ! Approving an attachment threw a database error. (ManageAttachments.php) [Bug 1506]
 + Inform the admin if memcache is installed and ready for use. (Admin.php, ManageServer.php, Subs-Admin.php, ManageSettings language file) [Feature 1504]
 ! varify != verify (Settings.php, FixLanguage.php, Errors language file) [Bug 1503]
 & Requesting another verification image on registration was refreshing the page. (Register template)
 ! When a guest performs a search and image verification is on, going to the next page of results would ask for image verification again. (Search.php) [Bug 1507]
 ! relevance parameter is a float not an int. (Search.php)
 ! No longer remove the first and last quote from the password salt on registration. (Register.php) [Bug 1517]
 ! Make sure that $context['repair_errors'] gets overwritten only if it has to be when doing attachment maintenance. (ManageAttachments.php) [Bug 1512]
 ! SQLite doesn't know what SUBSTRING is so we need to add a valid replacement when fetching SM files. (ScheduledTasks.php, Subs-Db-sqlite.php) [Bug 1510]
 ! SQLite doesn't support ORDER BY on ALTER TABLE so we skip it. (Subs-Db-sqlite.php, Subs-Boards.php)
 ! SQLite doesn't support INSTR.  We make it use LIKE then. (Subs-Db-sqlite.php)
 ! We need our own version of sqlite_libversion() since the function doesn't take any parameters. (Subs-Db-sqlite.php)
 ! Fixed support for HOUR and FROM_UNIXTIME in SQLite. (Subs-Db-sqlite.php, Profile-View.php)
 ! Ensure loadEssentialThemeData has loadLanguage existing. (ScheduledTasks.php) [Bug 1486]
 ! SQLite doesn't require the db_prefix fix. (Subs-Db-sqlite.php) [Bug 1524]
 ! Only ask for search CAPTCHA once. (Search.php)
 ! For the greater good, when doing database changes, by default add the prefix. (DbPackages-xxxx.php, Packages.php) [Bug 1516]
 ! Skip database errors during smiley sorting. (ManageSmileys.php) [Bug 1502]
 ! The user contextual array should be referenced to the user_info array where possible. (SSI.php, Load.php) [Bug 1519]
 ! Don't allow more than one "Test Connection" button. (Packages template) [Bug 1500]
 ! For consistency allow {db_prefix} in all standard database functions. (DbExtra-xxxx.php, DbPackages-xxxx.php) [Bug 1499]
 ! Showing "today/yesterday" wasn't taking offset into account correctly. (Subs.php)
 ! Scheduled tasks was showing random times, really. (ManageMaintenance.php) [Bug 1487]
 ! Randomise the offset for the simple machines javascript fetch stuff to avoid killing our server. (install.php, upgrade scripts)
 ! If an admin wants a custom profile field on registration ignore the privacy field. (Profile.php) [Bug 1488]
 ! UTF-8 conversion would try to use a non-numeric key as a range. (ManageMaintenance.php)
 ! Move the version check to be part of maintenance. (Admin.php, ManageMaintenance.php, Admin and ManageMaintenance templates) [Bug 1523]
 ! Remember the admin's last search type - for ease of use. (Admin.php, Admin template) [Feature 1149]
 ! Allow formatting within URL tags for the WYSIWYG editor. (Subs-Editor.php) [Bug 1518]
 ! Don't allow no/tiny image urls. (Subs-Post.php, editor.js) [Bug 1515]
 ! Work around MySQL's removal of ALTER BY ... ORDER BY <function>. (ManageSmileys.php) [Bug 1502]
 ! invertAll now checks ID as well as name properties. (script.js)
 + The package manager will now try to put theme files in all installed themes, if the user selects it. Mod authors can override using the "theme" attribute. (package-info.dtd, Packages.php, Subs-Package.php, Packages template)
 ! Ensure any formatting within code tags isn't parsed by the WYSIWYG editor. (Subs-Editor.php)
 ! Make the editor do a better job of closing tags. (Subs-Editor.php)
 * Change the registration template to look a little prettier when using openID. (Register template)
 ! Firefox (And perhaps other browsers) would error if the CSS files were outside the domain on the WYSIWYG editor. (editor.js)
 ! Check if the current database type supports the search method being loaded. (ManageSearch.php, SearchAPI-Standard.php, SearchAPI-Fulltext.php, SearchAPI-Custom.php, SearchAPI-Sphinx.php)
 ! SQLite now uses a common identifier for SUBSTRING to SUBSTR replacement. (Subs-Db-sqlite.php, MessageIndex.php, Memberlist.php, Recent.php, Subs-Recent.php, ScheduledTasks.php)
 ! When deleting moderation notes, make sure to empty the cache. (ModerationCenter.php)
 ! The regex for the LIMIT fix in PostgreSQL needed to be updated. (Subs-Db-postgresql.php)
 ! The WYSIWYG editor wasn't doing inline styles quite right. (Subs-Editor.php)
 ! Javascript select on packages wasn't quite working right. (script.js, Packages template) [Bug 1410]
 ! Register should probably work with OpenID native (i.e. without doing login first) (Subs-OpenID.php, Register.php)
 ! SQLite doesn't support the TO_DAYS function but has an equivalent function that we can use. (Subs-Db-sqlite.php) [Bug 1561]
 ! The recent posts page should respect the ignore boards option. (Recent.php) [Bug 1425]
 * Updated the Flash BBC icons. (flash.gif)
 ! Custom profile fields weren't saving if they were admin only but shown on registration. (Profile-Modify.php) [Bug 1571]
 ! If you are using OpenID don't allow you to do admin actions - but tell you how to enable it. (Subs-Auth.php, Admin language files, Login template)
 ! If you are using OpenID to login allow you to change your authentication method from the profile. (Profile.php, Profile-Modify.php, Profile template, Profile language files)
 ! Don't require password confirmation nor show the password change box if you are using OpenID. (Profile-Modify.php)
 ! Some characters were being escaped that didn't need to be escaped. (Subs.php) [Bug 1568]
 ! Removed comment reference to calendar in the updateStats function. (Subs.php) [Bug 1575]
 ! Fixed JavaScript warnings issued on logging in. (sha1.js)
 * Repaired the HTML of the upgrade output and fixed JavaScript warnings. (upgrade.php)
 ! Fixed a bug in the last step of upgrade causing a 'function already defined' error in rare cases. (upgrade.php)
 * Fixed quick modify refering to the wrong JavaScript object on submit. (Display template)
 ! Update the password reminder functionality to act appropriately with OpenID. (Reminder.php, Reminder template)
 & Email templates added for all registration functions so that passwords are not sent to OpenID users. (EmalTemplates language file)
 & Number of password reminder language strings changed and some added for OpenID functionality. (Profile language file)
 * Added new sections to the admin center for security and modification settings, and moved some elements around. (Admin.php, ManageSettings.php)
 & Moved and changed a load of language strings. (Admin, ManageSettings, Login language files)
 ! Separate out the verification on registration setting from the visual verification type. (upgrade and install scripts, Subs-Graphics.php, Register.php, ManageSettings.php)
 + It's now possible to require guests to enter a verification code on posting without requiring users with one post. (Post.php, ManageSettings.php)
 ! All verification type settings are now in the security area. (ManageSearch.php, ManagePosts.php, ManageSettings.php, Admin, ManageSettings and Search language files)
 ! Package operations needed $theme_paths to reflect the new changes to parseBoardMod and parseModification funtions. (Packages.php) [Bug 1566]
 ! SQLite doesn't like ASC or DESC on the GROUP BY clause so we make sure to strip it. (Subs-Db-sqlite.php) [Bug 1548]
 ! Don't cast BINARY as a string for MySQL. (ManageSmileys.php) [Bug 1549]
 ! Use the right column name when tracking a user and sorting by ip on the profile area. (Profile-View.php) [Bug 1552]
 ! Column name should be casted as raw and not as an integer. (PersonalMessage.php) [Bug 1551]
 ! Cast months as integers to lose the preceding 0. (Stats.php, ManageCalendar.php) [Bug 1550]
 ! When managing ignored boards return 0 if the board is not ignored instead of false since it works better on SQLite. (Profile-Modify.php) [Bug 1557]
 + Added verification control which now handles everything to do with verification including loading image, testing user input, etc. Rolled this out to all verification areas. (Subs-Editor.php, Post.php, PersonalMessage.php, Search.php, Register.php)
 * Updated templates for new verification control. (GenericControls, Post, Register, PersonalMessage and Search templates)
 + Added option to set question and answers for verification challenges. Either independant on image or as well as. (ManageSettings.php, Subs-Editor.php, ManageSettings language files)
 ! SQLite only takes integer fields as a primary key. (install_2-0_sqlite.sql) [Bug 1554]
 ! Don't cache language files if they are missing. (ManageMaintenance.php)
 ! Show updates to language files right away. (ManageServer.php) [Bug 1574]
 ! Registration settings now uses the generic settings template. (ManageRegistration.php, Admin.php, Registration template)
 & Changed some language strings to fit with the right way of working. (FixLanguage.php, Login language file)
 ! The task log now uses the generic list. (ManageMaintenance.php, ManageMaintenance template)
 ! Scheduled task list is now a generic list. (ManageMaintenance.php, ManageMaintenance template)
 ! SQLite doesn't like the use if DISTINCT inside COUNT. (Themes.php, Subs-Db-sqlite.php) [Bug 1556]
 ! SQLite doesn't like it when you give a column alias the same name as an existing column. (ModerationCenter.php, Profile-Modify.php) [Bug 1555]
 ! Was possible to get a database error when deleting personal messages in SQLite. (PersonalMessage.php) [Bug 1559]
 ! Changed a few references to ISNULL to IFNULL. (Memberlist.php, ManageNews.php) [Bug 1558]
 ! Replace \n with an actual line break in reserved names. (ManageRegistration.php) [Bug 1553]
 ! Changed the action lockVoting to lockvoting to keep the naming style consistent. (index.php, Poll.php, Display template files) [Bug 1592]
 ! loadTemplate will take an optional array of style sheets to also include, they must be in the css directory though. (Load.php, Subs.php)
 ! Do a better job with spaces between smileys on the rich editor. (Subs-Editor.php) [Bug 1477]
 ! Make the text areas more forgiving when editing a language entry. (ManageServer.php, Admin template)
 * Was possible to get an undefined index error if the user couldn't see your latest post. (BoardIndex template) [Bug 1591]
 ! Display wasn't doing things like page indexing correctly if there were unapproved posts and you were a special person. (Display.php) [Bug 1595]
 ! Make the credits publically accessible. (index.php, Admin.php, Who.php, Who, Admin, and Help templates, Who and Manual language files, style.css)
 ! Removed the Lewis Media copyright replacement. (Subs.php)
 ! Missed a SUBSTRING replacement for SQLite. (Subs-Membergroups.php) [Bug 1602]
 ! When looking for packages to install, ignore the case for extentions. (Packages.php) [Bug 1359]
 ! SQLite doesn't like LOW PRIORITY on update. (Subs-Db-sqlite.php)
 ! When sorting by number of members in the Manage Membergroups page sort by 1 and not -1. (ManageMembergroups.php) [Bug 1603]
 ! Generic lists had the sort arrows the the opposite direction. (Subs-Lists.php) [Bug 1589]
 ! Warning System link in core settings page was pointing to the wrong area. (ManageSettings.php) [Bug 1599]
 & In Manage Membergroups the javascript to disable the fields was looking for the wrong name for the moderators input box. (ManageMembergroups template) [Bug 1604]
 ! Use as different variable name for the parameter in autoDetectTimeOffset. (profile.js) [Bug 1609]
 + Added a theme setting to determine if message previews are being used on the message index.  Don't parse the posts if they aren't. (MessageIndex.php, index template) [Bug 1594]
 ! Removed the leet Easter Egg, because it's time. (Load.php)
 ! Putting padding on the left and right of a smiley in the WYSWIYG editor but reduce it slightly. (editor.js, Subs-Editor.php)
 ! Inserting smileys into the WYSIWYG editor with IE was eating a character sometimes. (editor.js) [Bug 1477]
 ! If the user forgot their password and they are looking for it by email, tell them that there are no users with that email. (Reminder.php, index language file) [Bug 1618]
 + When restoring posts from the recycle board, check to see if the board has post count on and restore the members' post count. (RemoveTopic.php) [Bug 1581]
 ! Send the sub_template and page_title after the config_vars for Manage Registration Settings area. (ManageRegistration.php) [Bug 1621]
 ! Make the credits page a little bit more generalized. (Who.php, Who template, Who language file)
 ! When searching by board if the user wants to refine their search show the boards appropriately. (Search.php, Search template) [Bug 1623]
 ! There were some legacy uppercase column aliases in use. (ModerationCenter.php, News.php, Recent.php) [Bug 1631]
 ! Typo in the function to handle phpBB3 passwords was causing the wrong password to be generated for PHP4. (LogInOut.php)
 ! Erroring when deleting an account cause cause an unexpected error. (Profile.php) [Bug 1615]
 ! Don't log repeated errors. (Errors.php)
 ! Better handle start variables for unapproved posts in display. (Display.php) [Bug 1595]
 ! Only show the previous year and next year grid for the calendar if the previous year is less than the minyear and next year is less than maxyear. (Calendar.php) [Bug 1619]
 ! Use a different name for the ip_address and name for sorting in the Track IP page. (Profile-View.php) [Bug 1614]
 ! Updated some database function names to improve consistency and help avoid conflicts with integrations better. (Subs-Db-xxx.php) [Bug 1641]
 ! Allow who's online to work out the correct actions on the new admin URLs. (Who.php) [Bug 1313]
 ! Put the settings URL in the warning when a currency hasn't been set up for Paid Subscriptions. (ManagePaid language file) [Bug 1644]
 ! deleteMembers now takes an optional parameter to *not* delete any admins. (Subs-Members.php)
 ! Don't allow the admin to delete either themselves or other admins from the member list - just in case they are an idiot. (ManageMembers.php) [Bug 1620]
 ! Custom avatars wern't uploading to the right place. (Profile-Modify.php) [Bug 1543]
 ! Remove some query duplication in Post2. (Post.php)
 ! sendNotifications now accepts a fourth parameter to restrict the members being sent to. (Subs-Post.php)
 ! Only send notifications for replies to unapproved topics to the topic starter - as no-one else can see the thing! (Post.php) [Bug 1638]
 ! Don't eval language files anymore, it's not required. (ManageMaintenance.php) [Bug 590]
 * More updates on "future" theme, removed infocenter render function, fixed avatar/font-sizes etc (Themes/future)
 * Converted MessageIndex.template, fixed linktree etc. (Themes/future)
 + Allow moderators to comment on topic reports in the moderation center. (ModerationCenter.php, ModerationCenter template, ModerationCenter language file) [Feature 873]
 ! Applied some query optimizations. (Display.php, ModerationCenter.php, Profile-View.php, upgrade_2-0.sql, install_2-0.sql)
 ! The count parameter in str_replace was added in PHP 5 so we count lines the old fashion way. (ManageMail.php)
 ! For reason body in the warn user section, replace \n with \\n and \r with an empty string in the javascript. (Profile template)
 ! Missing substring identifier for a query in ManagePaid.php. (ManagePaid.php)
 ! Fixed an undefined index error (News.php) [Bug 1679]


SMF 2.0 Beta 2.1                                                03 February 2008
================================================================================
February 2008
--------------------------------------------------------------------------------
 ! When browsing for theme files make sure that the directory is valid. (Themes.php) [Bug 1458]
 ! Cast closed and ignore as integers for reported posts in the moderation center. (ModerationCenter template) [Bug 1457]
 * Removed the duplicate format=.wav from the verification audio links. (Register template) [Bug 1449]
 * Removed extra semicolon from the delete pm link. (PersonalMessage template) [Bug 1443, 1447]
 ! Load the Post language file before using strings from that file. (Subs-Editor.php) [Bug 1442]
 & Use the correct label for left to right setting when editing languages. (Admin template, ManageSettings language file) [Bug 1453]
 ! Don't allow HTML in the ban name as it's more hassle than it's worth. (ManageBans.php) [Bug 1455]
 ! Store member warning notices in HTML-safe versions. (Profile-Actions.php) [Bug 1454]
 ! Handle errors much better on the warning issue page, and tell people what's been done. (Profile.php, Profile template, Profile language file) [Bug 1456]
 ! Don't allow permission profiles to have HTML in their name. (ManagePermissions.php) [Bug 1448]
 ! Don't let people prune silly timescales, which could give a wrong type warning. (PersonalMessage.php) [Bug 1444]
 * The template for searching messages could look a little silly with no results. (PersonalMessage template) [Bug 1441]
 ! Provide a few more no access errors for people loading up pages incorrectly. (Help.php, BoardIndex.php, SplitTopics.php, MoveTopic.php) [Bug 1433]
 * PM labels can actually be 30 characters long. (PersonalMessage template) [Bug 1440]
 ! The WYSIWYG editor wasn't getting rid of silly linebreaks. (Subs-Editor.php) [Bug 1439]
 ! Removed the teletype and preformatted text tags from being HTML as the rich editor really doesn't handle them well - keep them BBC. (editor.js)
 ! Superscript and subscript now work properly in the rich text editor. (editor.js) [Bug 1445]
 + Adding a BBC button for unformatting and unlinking selected text. (Subs-Editor.php, unformat.gif)
 ! Make sure the deliminator works correctly on find members. (Subs-Auth.php, Profile template) [Bug 1446]
 ! Search results had an incorrect link for quoting. (Search template) [Bug 1437]
 ! Redirect the user after adding a moderation note to save the risk of resubmission on reload. (ModerationCenter.php) [Bug 1462]
 ! Listening to CAPTCHA sounds wouldn't work correctly in IE6. (Subs-Sound.php)
 ! Put some padding to the left of smileys in the rich text editor to simulate the spaces normally required. (editor.js)
 ! Replaced some unnecessarily complex code in the WYSIWYG editor. (editor.js)
 ! The cursor was not showing properly on Firefox. (editor.js)
 ! Do some primative removal of formatting if used in non-richedit mode. (editor.js) [Bug 1467]
 ! File permissions wasn't selecting "no change" by default. (Packages template) [Bug 1432]
 ! When posting a move topic redirection make sure the URL indicates the page is zero. (MoveTopic.php) [Bug 1436]
 ! Uploading avatars wouldn't work if you had multiple attachment folders enabled. (Profile-Modify.php) [Bug 1460]
 ! Add a hidden setting for a load average limit on unread posts. (Recent.php, Errors language file) [Feature 1435]
 ! The track IP now keeps track of how you entered it (Member or raw IP) and doesn't switch out in error. (Profile-Modify.php, Profile template, Who template) [Bug 1396]
 ! Loading a language would fail on install. (install.php) [Bug 1471]
 ! Some characters in usernames wouldn't be found by the personal messaging system. (Subs-Editor.php, PersonalMessage.php) [Bug 1384]
 ! Add a warning to the file permissions screen with some helpful advice. (Packages language file, Packages template) [Bug 1479]
 ! Add a javascript select function to the package operation template. (Packages template) [Feature 1410]
 ! Add an extra space to the select link when specifying a language for code. (Subs.php) [Feature 1410]
 ! Fixed quotes getting escaped in the WYSIWYG editor. (Subs-Editor.php)
 ! Fixed potential undefined index error when saving settings. (ManageServer.php) [Bug 1480]
 ! Upgrade should always put maintenance mode back to something which ain't 2. (upgrade.php)
 ! FixLanguages wasn't quite working right for the Help file. (FixLanguage.php)


January 2008
--------------------------------------------------------------------------------
 ! ManageSearch had a couple of old style queries. (ManageSearch.php)
 ! Don't error out on certain search related issued. (ManageSearch.php)
 ! Updating permission profiles on upgrade broke if the board name has a special character in it. (upgrade_2-0_mysql.sql)
 ! Don't let users try to edit invalid language files. (ManageServer.php)
 ! Upgrade wasn't PHP5 capable. (upgrade.php)
 ! When uploading an attachment it was possible to get a database error due to undefined variable. (Display.php)
 ! No need to escape the variable in a single quote string. (ManageNews.php, Help english file) [Bug 1350]
 ! Upgrade wasn't suppressing set_time_out errors and install wasn't PHP4 compatible. (install and upgrade scripts)
 ! A repair boards query wasn't MySQL 4 compatible. (RepairBoards.php) [Bug 1358]
 ! Repair boards wasn't quite postgreSQL compatible. (RepairBoards.php)
 ! Upgrade could potentially get a divide by zero error. (upgrade.php) [Bug 1356]
 ! Search would not work if searching topic only. (Search.php) [Bug 1354]
 ! Fixing long words was broken. (Subs.php)
 ! Do a better job of inserting tags around text in the WYSIWYG editor. (editor.js) [Bug 1365]
 ! Remove error handler override for database functions instead opting for a db_values key called 'db_error_skip'. (Subs-Db-xxx.php)
 ! Allow security_override to also be set through db_values. (Subs-Db-xxxx.php)
 ! Unread and search were often erroring on temporary tables. (Recent.php, Search.php)
 ! Quoting from the post view wasn't respecting the WYSIWYG editor mode. (Post template) [Bug 1370]
 ! Added a new control to Subs-Packages, chmod_control, to handle chmoding of files - and used it a bit in the package manager. (Subs-Package.php, Packages template)
 ! Make package_chmod do more, and use it from the chmod_control function. (Subs-Package.php)
 ! Tell users what files need to be writable if we're going to prompt for FTP information, and also check the Packages directory is writable. (Packages.php)
 ! The some steps in the find and repair errors section were being done in the wrong order. (RepairBoards.php)
 ! Fixed broken query in group requests. (Groups.php)
 ! Ensure we include the error file during install. (install.php) [Bug 1378]
 ! Remove some unnecessary white space in editor.js. (editor.js) [Bug 1351]
 ! The WYSIWYG editor was incorrectly showing quotes with HTML in if it was disabled. (editor.js) [Bug 1377]
 ! Make sure we don't forget to escape slashes when entering the WYSIWYG editor. (Subs-Editor.php) [Bug 1375]
 ! Load.php was using capitals for the id_moderator alias, which doesn't go down well with postgreSQL. (Load.php) [Bug 1380]
 ! The WYSIWYG editor was using the document object where it shouldn't have been - which FF3 doesn't really like. (editor.js) [Bug 1376]
 * Display the page index on the top and bottom of the group display page. (ManageMembergroups template) [Bug 1374]
 * Delete button was wrong in the recent template. (Recent template) [Bug 1373]
 ! The nobbc tag wasn't quite working 100% of the time. (Subs.php) [Bug 1368]
 ! Sessions via GET use sesc for the query string instead of sc. (Admin.php) [Bug 1379]
 ! Rejecting group requests with a reason wasn't working. (Groups.php, ManageMembergroups.template.php)
 + Added beginning of a file permissions section to the package manager which currently only display permissions, and might time out. (Packages.php, Packages template, Packages language file)
 ! Additional text fields were being escaped improperly on registration. (Register.php) [Bug 1383]
 ! The file permission screen now displays results correctly, and is javascripted up the eyeballs to ensure it works on even the largest server. (Packages.php, Packages template)
 * Use check boxes instead of a select box when customizing the moderation center homepage. (ModerationCenter.php, ModerationCenter template)
 ! Added an AJAX method to test an FTP connection prior to doing a full submit. (Packages.php, Subs-Package.php, Package template)
 ! It's now possible to reset permissions on all files and selected files from the file permissions screen. (Packages.php, Packages template)
 ! Removed cleanupFilePermissions as it's been superseeded by the above. (Subs-Packages.php, Admin.php)
 * Changed the icons that show package status. (Packages template, package_installed.gif, package_old.gif) [Bug 1271]
 ! loadLanguage no longer assumes the user has definitely been loaded. (Load.php) [Bug 1390]
 ! Changing the cookie name was causing a session error. (ManageServer.php) [Bug 1391]
 ! Redirect after running scheduled tasks manually and tell the user we actually did something. (ManageMaintenance.php, ManageMaintenance language file) [Bug 1357]
 ! On backups only try to get more memory if PHP doesn't already have a high default. (DumpDatabase.php) [Bug 1366]
 ! Added some more sorting options to manage search engines. (ManageSearchEngines.php) [Bug 1386]
 ! Don't bother making lots of WYSWIYG stuff if it's switched off. (editor.js) [Bug 1360]
 & Make the WYSIWYG error messages translatable. (editor.js, Subs-Editor.php, Post language file)
 ! The file permissions screen now retains tree status after change of permissions. (Packages.php, Packages template)
 ! File permissions wasn't making writable stuff read only, and now shows when folders can't be expanded any further. (Packages.php, Subs-Packages.php, Packages template)
 ! If getElementsByTagName doesn't exist, create it. (script.js)
 ! Added a theme specific javascript file to the scripts directory, and moved the code box fix code out to it. (theme.js)
 + Allow users to select the text in a code block. (Subs.php, style.css, index language file) [Feature 1410]
 ! Sorting by IP when viewing a members profile throw an error. (Profile-View.php) [Bug 1397]
 * Wrong session abbreviation was used in URL for toggling menus. (GenericMenu.php) [Bug 1404]
 ! Insert the correct statistics at the birth of a forum. (install.php) [Bug 1405]
 ! If we think they are using https then use it in install. (install.php, Settings.php) [Bug 1403]
 ! When adding a membergroup the group type wasn't taking affect. (ManageMembergroups.php) [Bug 1401]
 ! If the admin session has expired, but the query is using XML, give them another ten minutes (for xml) as they can't login like this and it breaks AJAX. (Security.php)
 ! Prompt the user as to whether they wish to restore permission settings following install of a modification. (Packages.php, Subs-Package.php, Packages template, Packages language file)
 ! Don't use packageRequireFTP anywhere - use the chmod control. (ManageServer.php, PackageGet.php)
 ! HTML tags were getting slashed when edited. (Subs-Post.php) [Bug 1409]
 ! Ensure the WYSIWYG editor mode is correctly set at all times. (GenericControls template, editor.js) [Bug 1416]
 ! Memcached now requires the memcached module to be compiled into PHP as it's otherwise a drag. (Load.php) [Bug 1353]
 ! Sorting smileys by code wouldn't work. (ManageSmileys.php)
 ! Made some improvements to the way the WYSIWYG editor handles images and links. (Subs-Editor.php) [Bug 1418]
 ! Toggling the rich text editor could awaken text from the dead. (editor.js) [Bug 1423]
 ! Added a new javascript function smf_addslashes, which does pretty much what the PHP version foes. (script.js)
 ! Ensure we escape single quotes when launching the smiley popup from the rich text editor. (editor.js) [Bug 1421]
 ! Some BBC wasn't getting converted into HTML understood by IE for the WYSIWYG editor. (Subs-Editor.php) [Bug 1420]
 ! Don't leave open tags unclosed in the WYSIWYG editor. (Subs-Editor.php) [Bug 1420]
 ! Editing karma could cause a database error. (Profile-Modify.php) [Bug 1424]
 ! HTML tags were not being handled right when quoting text in the WYSIWYG editor. (Post.php, editor.js) [Bug 1422]
 ! After installation the install.php check was not removed from Settings.php (install.php) [Bug 1431]
 + Added support for phpBB3 password hash.  (LogInOut.php)
 ! Redirect back to the maintenance page after doing maintenance on attachments. (ManageAttachments.php) [Bug 1427]
 ! When sorting and doing a search in the moderation center it was possible to get a database error. (Modlog.php) [Bug 1434]


SMF 2.0 Beta 2                                                   20 January 2008
================================================================================
January 2008
--------------------------------------------------------------------------------
 ! Renamed some remaining language strings. (Various files)
 * Removed the Recent template from the classic and babylon themes, and added a new image to classic to make it work. (Recent templates, last_post.gif)
 * The moderations setting list box didn't have a size stated. (ModerationCenter template)
 ! Don't store the session id in the cache for the menu buttons. (Subs.php) [MotM]
 ! Give the translators the credit they deserve. (Admin.php) [MotM]
 ! Add option to allow BBC in "text" type custom fields, and allow loadMemberContext to optionally load display fields of a member into context. (Load.php, Display.php, ManageSettings.php, Display templates) [Bug 1131]
 ! Always put the admin features into context. (Load.php)
 ! Removed old compatibility function, doUBBC. (Subs.php)
 ! No longer allow author names in quotes to contain BBC. (Subs.php) [Bug 1179]
 ! Many asthetic typos and the like within the code. (Several files) [Bug 1167]
 ! Allow users to skip certain steps during upgrade, and fix a typo with the warning message inserted into language files. (FixLanguage.php, upgrade.php) [Bug 1171]
 - Undid the JS solution open external links in a new window. (Lots of files) [MotM]
 + Added a theme setting to let SMF know that the theme is using the strict doctype. (index template) [MotM]
 ! When using the strict doctype replace target="_blank" with a javascript solution to maintain validation. (Subs.php) [MotM]
 ! The installer wasn't quite working right at user account creation. (install.php) [Bug 1188]
 * All Moderation center templates should be at 100% width to look right with the top bar. (Several files) [Bug 1156]
 ! Few errors with the PostgreSQL and SQLite implementations. (Subs-Db-xxx.php) [Bug 1193]
 ! When editing the general permissions also show the default board permission profile. (ManagePermissions.php, ManagePermissions template, ManagePermissions language file) [Bug 1166]
 ! Typo in the ConvertEntities was causing the progress bar in the not_done template to not show. (ManageMaintenance.php) [MotM]
 + Added the ability to move topics from one board to another in the maintenance section. (ManageMaintenance.php, ManageMaintenance template, ManageMaintenance and Help language files) [MotM]
 ! Don't use all of $_GET in the xmlfeed cache key, it is full of dirty information. (News.php) [MotM]
 ! When comparing against caching level 3 use an inequality instead of a strict check to allow for future expansion. (Subs.php, Load.php, MoveTopic.php)
 ! Moved xmlfeed caching for guests from level 2 to level 3. (News.php) [MotM]
 + When looked at members awaiting approval or activation allow you to check for duplicates and show their hostname. (Subs-Members.php, ManageMembers.php, ManageMembers language file) [Feature 1199]
 ! Give each search method it's own API file to better allow newer search methos - note this is currently only minimal abstraction. (Search.php, SearchAPI-Standard.php, SearchAPI-Fulltext.php, SearchAPI-Custom.php) [Bug 1189]
 * The default template was not applying labels to poll options correctly. (Display template) [Bug 1206]
 ! Package manager wasn't loading themes correctly. (Packages.php) [Bug 1210]
 ! Some menu items were not showing in the admin center even if you had the right permission. (Admin.php) [Bug 1209]
 ! Installer wouldn't install on SQLite. (install.php, Subs-Db-sqlite.php) [Bug 1197]
 ! If list is disabled, so is ordered list. (Subs-Editor.php) [Bug 1207]
 ! If you turned the cache off it would take 90 seconds before it looked like it had actioned it. (ManageServer.php) [Bug 1204]
 ! The jump to box was not dealing with ampersands in board names very well. (Display.php, MessageIndex.php, ManageBoards.php)
 + Added an interface to the reattribute posts function and made it work with user names and email addresses. (Subs-Members.php, ManageMaintenance.php) [Feature 1195]
 * Changed the manage maintenance template around as it was getting too crowded. (ManageMaintenance.php, ManageMaintenance template, ManageMaintenance language files)
 * Don't show the warning icon for guest's posts. (Display template) [Bug 1212]
 + Try to detect when the user is using an iPhone. (Load.php) [MotM]
 ! Moved spell checking functions into the rich edit control, and the ability to publish the buttons, to ensure it is more modular. (Subs-Editor.php, PersonalMessage.php, Post.php)
 ! Spell check wasn't working in Personal Messages. (PersonalMessage template) [Bug 1214]
 * Don't put layout HTML in the rich edit control, instead call the richedit template piecemeal (GenericControl, Post and PersonalMessage templates)
 ! Added a new context variable called insert_after_template which will get echo'd after the main template in case you need to put elements somewhere form safe which isn't in the headers. (Load.php, Subs.php)
 ! Only delete unused settings weekly. (ScheduledTasks.php)
 ! Added a new function to Subs-Admin.php to email every admin a message. (Subs-Admin.php)
 ! Warn the admin if the attachment folder is getting full. (Subs-Post.php, EmailTemplates language files) [Feature 1201]
 ! Paid subscriptions should use email templates. (subscriptions.php, EmailTemplates and ManagePaid language files)
 ! Tidy up the paid subscriptions code and use the EmailAdmin function for sending out subscription details. (subscriptions.php)
 ! Warn the user if the board directory seems wrong before starting an upgrade. (upgrade.php)
 * Point out that setting attachment sizes to zero disable those limits. (Admin language file) [Bug 1200]
 * Make it more obvious how the reported posts are linked by adding a button to launch the report. (details.gif, ModerationCenter template) [Bug 1196]
 & Tweaked a few language strings and style classes to give the moderation center a more consistant feel. (ModerationCenter language files)
 ! Latest news wasn't working in the moderation center. (ModerationCenter template)
 ! By default change boardsAllowedTo to also check a groups access rights - not just permissions. (Security.php)
 ! Make sure the moderation log absolutely respects access rights of viewers. (Modlog.php) [Bug 1087]
 ! Don't update columns that don't need to be when doing a replace query. (Subs-Db-postgresql.php, Subs-Db-sqlite.php) [Bug 1194]
 ! Use a generic list for the warning log. (ModerationCenter.php)
 ! Some remaining bits of escaping weren't yet removed. (Various files) [Bug 1215]
 ! DB insert now uses {db_prefix} for the table name instead of using the raw variable. (Lots of source files)
 + Added {query_see_board} and {query_wanna_see_boards) as automatic replacements for queries. (Subs-Db-XXX.php, Lots of source files)
 ! Removed db_prefix from the list of globals. (Almost every source file) [Bug 1203]
 * Changed the Moderation Log to use the generic list template. (ModLog template)
 & Changed the way the moderation log displays information on activities to make it human readable. (ModLog language file)
 ! Added an admin log to the admin center that is displayed if the moderation log is active, not used much yet. (Various files)
 ! Few fixes with the Moderation Log. (install_2-0.sql, Modlog language file) [Bug 1222,1224]
 ! Fixed index error in News.php. (News.php) [Bug 1221]
 ! crc32 doesn't work correctly on 64-bit systems. (Subs-Package.php, Class-Graphics.php, webinstall.php) [Bug 1220]
 ! Changed the admin action logging strings to the standard string format to parse. "{%varname%} -> {varname}" (Modlog.php, Modlog language file)
 ! Merged track user and track IP into one menu item in the profile menu. (Profile.php, Profile-View.php)
 + Log user profile edits and allow it's review from the tracking section of profile. (Profile-View.php, Profile language file)
 ! cleanRequest wasn't reversing magic quotes right for sybase databases. (QueryString.php) [Bug 1194]
 ! Move the admin log, moderation log and error log to one section called "Logs" from the admin menu. (Admin.php, ManageErrors.php, Modlog.php) [Bug 1226]
 ! Sort the moderation log by date descending by default. (Modlog.php) [Bug 1227]
 * Change the way filters are shown on the error log now we cannot use the tabs. (Errors template)
 ! Listing tables wasn't working properly with database names that were non-alphanumeric. (DbExtra-mysql.php) [Bug 1208]
 ! Removed some hardcoded strings. (Errors, Help template. ManageMaintenance language file) [Bug 1229,1231]
 ! Fixed SQL error in the weekly maintenance. (ScheduledTasks.php) [Bug 1230]
 & Move language entry membergroups_members_top to ManageMembers language file and use it as a more appropriate version of 'Members' in some templates. (ManageMembergroups template, Admin and ManageMembers language file)
 ! If you didn't form lists right it could crash Apache. (Subs-List.php)
 * Viewing a group should use the standard list template. (ManageMembers.php, Groups.php, ManageMembers template) [Feature 1233]
 ! Only bother forcing the "default groups" to the top of the manage membergroups list if sorting by name. (ManageMembergroups.php, Subs-Membergroups.php) [Bug 1235]
 & The descriptions for post moderation permissions were all wrong. (ManagePermissions language file)
 ! Editing the moderator group permissions wasn't working as expected. (ManagePermissions.php) [Bug 1225]
 ! Fixed errors with mod installations caused by the database changes script. (Class-Package.php, Subs-Package.php) [Bug 1240]
 ! Make sure to keep the correct register date and time when changing profile info. (Profile-Modify.php)
 ! The logic for checking whether to allow emails needed to be reversed. (Profile-Modify.php)
 * Use a variable column span on the memberlist. (Memberlist template)
 ! Quotes no longer need to be removed from a new member's real name. (Subs-Members.php)
 ! Added some more hooks to the search API. (Search.php, ManageSearch.php)
 + Added Sphinx search engine API (SMF Side Only) to the repository. (SearchAPI-Sphinx.php)
 ! Better handle unallowed access on wireless devices. (Security.php)
 * Tweak the who's online template. (Who template)
 ! Only one class attribute is allowed on links. (Subs.php) [Bug 1251]
 ! The WYSIWYG editor wouldn't work if you try to toggle a string of one character. (Subs-Editor.php)
 ! Try harder to keep lists all legal. (Subs-Post.php) [Bug 1239]
 + Added the ability to get the latest attachments via SSI.php (SSI.php, ssi_example files, index language file)
 ! Remodeled WYSIWYG editor to be an object oriented class. (editor.js, GenericControls template, Post template)
 ! Fixed some JavaScript errors. (GenericMenu template, script.js, menu.js)
 ! Changed the $smfFunc variable to $smcFunc to properly handle future expansion of its purpose. (Almost all files)
 ! The security_override parameter wasn't properly handled by db_query. (Subs-Db-mysql.php, Subs-Db-postgresql.php, Subs-Db-sqlite.php) [Bug 1262]
 + Added the ability to restore topics from the recycle board. (index.php, Display.php, RemoveTopic.php, Display template, index, Errors and Modlog language files, install and upgrade scripts)
 & The attachments and avatars administrative section didn't have a help entry. (Help language file) [Bug 1266]
 ! Adding and removing columns wasn't working quite right. (DbPackages-xxx.php, Packages language file) [Bug 936]
 ! Don't set the old url to the cached javascript action. (Subs.php) [Bug 952]
 ! Removed duplicate the duplicate checks for can_remove and can_see_ip. (Display.php) [Bug 1269]
 ! The low password difficulty level was being changed to medium on the javascript side. (register.js) [Bug 1242]
 ! It was possible to bypass captcha on registration if the other fields were filled in correctly. (Register.php) [Bug 1272]
 ! Search terms were not being properly sanitized. (Admin.php) [Bug 1274]
 ! Made some small tweaks to the restore from recycle feature. (RestoreTopic.php)
 & Theme settings link was not using the action=admin;area= format. (ManageSettings language file) [Bug 1276]
 ! Check to see if $_GET['sa'] is set before using it. (Themes.php) [Bug 1277]
 ! Upgrade failed in PostgreSQL due to missing id_log column in log_actions table. (upgrade_2-0_postgresql.sql) [Bug 1283]
 ! PostgreSQL doesn't like multiple ADD COLUMN in one query. (upgrade_2-0_postgresql.sql) [Bug 1282]
 ! Moved the view_newest_pm_first option to the pm_settings template. (Profile template) [Feature 1284]
 ! Empty the error log if the user wishes, during an upgrade. (upgrade.php) [Feature 1285]
 & Fixed typo at the top of each language file. (All language files) [Bug 1252]
 ! Restore topic from recycle link was disabled if quick_mod was turned off. (Dispay.php, Display template)
 ! Don't show the error log link in the admin menu if it is disabled. (Admin.php) [Bug 1297]
 ! Fixed the pagination on the groups page. (Groups.php) [Bug 1292]
 & English strings are already translated. (Errors, Install, ManageMaintenance, Packages language files) [Bug 1290]
 ! Moved the info center collapse object to the BoardIndex template. (index and BoardIndex template files) [Bug 1291]
 ! Approving a post resulted in a database error due to a call to the wrong inject value. (Subs-Post.php) [Bug 1270]
 ! Approving a single posts resulted in a undefined index: 'message' error. (Subs-Post.php)
 ! Messenger icons now have a title. (Load.php, index language file) [Bug 1213]
 ! By default change findMember to return no more than 500 results. (Subs-Auth.php) [Bug 1268]
 ! Use javascript to ensure that the search engine tracking settings that have effect are disabled when logging is disabled. (ManageSearchEngines.php)
 ! The recentPosts function was actually sending the wrong stage for new. (SSI.php) [Bug 1296]
 ! Was possible to get duplicate data errors in search engine tracking. (ManageSearchEngines.php) [Bug 1265]
 ! Added new function smf_db_error_backtrace for backtracing database errors and doing all manner of things to give the right file and line data. (Subs-Db-xxxx.php)
 ! Redirect to the paid subscriptions setting page if a currency isn't set up. (ManagePaid.php) [Bug 1190]
 ! Visual verification should use imagecreatetruecolor where available. (Subs-Graphics.php) [Bug 1247]
 ! Redirect the user back to the permissions page if they edited a board from there. (ManageBoards.php, ManagePermissions and ManageBoards templates) [Bug 1300]
 & Improve the descriptions for managing some permissions. (ManagePermissions.php, ManagePermissions language file)
 ! Lowered the perPage interval for the expandPages function down to 100. (script.js) [Bug 1304]
 ! When creating a new board enable count posts by default. (ManageBoards.php) [Bug 1305]
 ! When joining groups the database expected group_list to be an array of integers when the value was really an integer. (Profile-Modify.php) [Bug 1307]
 ! Query error when downloading a language pack. (ManageServer.php)
 ! Opera simply does not work well with javascript - no rich edit for Opera users. (editor.js)
 ! Remove defunct sidebar setting. (ManageSettings.php, ManageSettings and Help language files) [Bug 1306]
 ! The package operations regex didn't get along to well with windows style paths leading to undefined index errors. (Packages.php) [Bug 1302]
 ! Various fixes related to the spider tracking feature. (ManageSearchEngines.php, ManageSettings.php, Who.php, Who template, Who language file) [Bug 1298]
 ! Package operations were not working properly on custom themes. (Subs-Package.php)
 ! Lots of places were not sending out emails in the right members language. (Various files) [Bug 1312]
 ! Use the correct language string for empty profile edits list. (Profile-View.php) [Bug 1314]
 ! When emptying the log_errors table on upgrade, use TRUNCATE and pass the truncate_table identifier for SQLite support. (upgrade.php) [Bug 1285]
 + Added a array_combine implementation for those not using PHP 5. (Subs-Compat.php) [Bug 1317]
 ! Editing just would not really work if you didn't have WYSIWYG enabled. (editor.js) [Bug 1310]
 * XML previewing of posts was looking dodgy sometimes. (Post template)
 ! The weekly scheduled task was imploding an array it shouldn't have. (ScheduledTasks.php) [Bug 1318]
 ! The time_taken column for the scheduled task log is a float not an int. (ScheduledTasks.php, ManageMaintenance.php) [Bug 1321]
 ! Quick edit wasn't working for unapproved posts in all situations. (xml_topic.js, Post.php) [Bug 1157]
 ! The WYSIWYG editor wasn't making valid BBC for sub lists. (Subs-Editor.php) [Bug 1324]
 ! If the search term is empty for the admin search don't bother searching and return an empty array. (Admin.php) [Bug 1328]
 ! Check to see if $_REQUEST['search_term'] is set before using it. (Admin.php)
 ! Firefox wasn't doing all that great at spell checking in the rich text editor mode. (Subs-Editor.php, editor.js) [Bug 1316]
 ! Unread messages was not paginating dependant on user preference. (Recent.php) [Bug 1320]
 ! smf_ItemPos wasn't correctly checking offset parent. (script.js)
 ! Don't change the WYSIWYG editor state until you actually change the boxes. (editor.js)
 ! WYSIWYG editor wasn't really doing internationalisation well at all. (script.js)
 ! The WYSIWYG editor wouldn't allow linked images through. (Subs-Editor.php) [Bug 1301]
 ! Username test was not working for i18n. (register.js) [Bug 1123]
 ! Load the index language file along with the minimum theme data for ScheduledTasks - just in case. (ScheduledTasks.php) [Bug 825]
 ! If we're fetching simple machines files and we fail to get one give up as their site might be broken. (ScheduledTasks.php)
 & Don't open admin help links in the same window. (Help language file) [Bug 1275]
 ! Log actions to do with membergroups and activation into the admin log. (Subs-Member.php, Subs-Membergroups.php, ManageMembergroups.php, Modlog language file)
 ! Allow lists within lists, to make sub lists look nicer. (Subs.php, Subs-Post.php, Subs-Editor.php)
 ! Add support for ISO-8859-15. (ManageMaintenance.php)
 & Replace pound and euro signs with their entity equivalents. (ManagePaid language file) [Bug 1331]
 ! Added a new javascript function smf_prepareScriptUrl, to ensure we use the right URL on javascript if cookies are disabled on the client. (Most javascript files) [Bug 1329]
 * HTML issue in stats template. (Stats template) [Bug 1332]
 ! ScheduledTasks might load a language file that needed an undefined variable. (ScheduledTasks.php) [Bug 1337]
 ! Add and use a special style sheet for the rich text editor and internet explorer. (editor_ie.css)
 ! The editor was showing the wrong post button label when editing a post. (Post.php) [Bug 1338]
 ! Fixed the page title for the admin log. (Modlog.php)
 * One too many semicolons in the karma links. (PersonalMessages template) [Bug 1347]
 ! Wrong database type in a few PM queries. (PersonalMessages.php)
 ! RemoveTopics would fail if they had polls attached. (RemoveTopic.php) [Bug 1344]
 ! Converting HTML entities to UTF-8 would fail with a database error. (ManageMaintenance.php) [Bug 1341]
 ! Viewing custom profile fields was incorrectly htmlspecialchar'ing the field names. (ManageSettings.php) [Bug 1346]
 ! Use UTF-8 characters instead of HTML entities in UTF-8 mode for inline editing. (script.js) [Bug 1159]
 ! The WYSIWYG editor couldn't get focus in Firefox in case the message was empty. (editor.js) [Bug 1147]
 ! Switching from WYSIWYG to BBC mode didn't translate nested tags properly. (Subs-Editor.php)
 ! Don't let opera identify itself as firefox or gecko. (script.js) [Bug 1329]
 ! Streamline javascript quoting on the quick reply, but keep something back for theme compatibility. (xml_topic.js)


December 2007
--------------------------------------------------------------------------------
 ! Rich text editor works again in Firefox. (Subs-Editor.php, script.js)
 + Added new auto suggest control for easily adding an auto suggest box. (index.php, suggest.js, Subs-Editor.php, GenericControls template)
 ! Changed the personal message sending template to use auto suggest. (PersonalMessage.php, PersonalMessage template, PersonalMessage language files)
 ! Removed option to have a permission profile linked directly to a board. (upgrade, install, ManagePermissions)
 * Various tweaks to the permissions screen. (ManageBoards.php, ManagePermissions.php, ManagePermissions template, ManageBoards template, ManagePermissions language files)
 ! Xml call for the jump to box wasn't doing the selected board correctly. (Xml.php)
 ! Upgrade was not continuing well from a long absence. (upgrade.php)
 + Allow users to pay a subscription to get enhanced board access. (subscriptions.php, Subscriptions-PayPal.php, ManagePaid.php, Admin.php, ScheduledTasks.php, upgrade, install, ManagePaid template, ManagePaid language file)
 + Add flood control to the search function and allow the admin to enable image verification for guests. (Search.php, ManageSearch.php, Search template, Search language files, upgrade, install)
 ! Don't allow search strings longer than 100 characters. (Search.php, Search template, Search language file)
 ! Clean up the sessions table every so often. (ScheduledTasks.php)
 ! Clearing the log_online table was getting done too often thanks to a missing cache call. (Subs.php)
 ! Begun work to make RepairBoards less repetative by rewriting the find error section into the now common array form. (RepairBoards.php)
 ! When kicking guests in wireless mode, make sure to use the wireless login template. (Security.php)
 ! Added new template and language files and moved from maintenance related entries into them from the Admin files. (ManageMaintenance and Admin templates, ManageMaintenance and Admin language files)
 ! RepairBoards now avoids repetition, resumes better during fixing, and displays more information to the admin. It also now works on postgreSQL. (RepairBoards.php, Admin template)
 & Added a load of new language strings to improve feedback on repair progress. (ManageMaintenance language file)
 ! Use a rel instead of class to control links opening in a new window. (Lots of files)
 ! Profiles were not saving if you allowed people to change their member name. (Profile.php)
 * Visual improvements to the auto suggest feature and some caching tweaks. (suggest.js, PersonalMessage template)
 * Only apply the PNG fix to certain images, and only those in the admin center - as resizing remote PNGs croaks on IE6. (Admin.php, pngfix.js)
 ! Added the character fix for some more poor implementation email clients (att, comcast, bellsouth). (Subs-Post.php)
 * Added smf_default_theme_url to the list of javascript globals. (index templates)
 & Changed the text in the string identification_by_smf to remove the reference to SMF. (Login language file)
 ! SMF was incorrectly reporting it had not optimized tables when it actually had. (DbExtra-mysql.php)
 ! Spell maintenance correctly instead of maintenace. (Admin.php, FixLanguage.php, Admin language file) [Bug 1096]
 ! Attempt to make board permission reports less likely to break their memory limit. (Reports.php, Reports template)
 ! Fixed undefined index error when editing permission profile. (ManagePermissions.php)
 ! Work harder to stop search engines trying to pretend to send emails. (SendTopic.php, Display, Profile and Memberlist templates)
 ! It was possible to get a database error when viewing RSS feeds. (News.php)
 ! Entity converter was not respecting primary keys thus breaking data. (ManageMaintenance.php)
 ! When e107 bridge uses e107 auth, the SMF user might not be created yet (e107 bridge/smf.php)
 ! The install files had a duplicate id for the scheduled stats. (install_2-0_msql.sql, install_2-0_sqlite.sql) [Bug 1100]
 ! Added function for setting admin preferences. (Subs-Admin.php)
 ! Make the side bar setting part of the admin preferences.
